<?
  // XML::MODUL   (Class CCore)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dies ist die PHP-Variante des Perl-Moduls CCore)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CCore";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Betriebssystem berprfen und INI-Seperator sowie Slash setzen)
  (substr(php_uname(), 0, 7) == "Windows") ? (($inc_sep = ";") && ($inc_slash = "\\")) : (($inc_sep = ":") && ($inc_slash = "/"));

  // XML::COMMENT (ggw. Verzeichnis als Include-Pfad festlegen)
  // XML::COMMENT (ggw. Setting lesen)
  $myini = ini_get("include_path");

  // XML::COMMENT (ggf. Seperator setzen)
  ($myini == '') ? ($inc_sep = '') : ($dummy);

  // XML::COMMENT (Class-Pfad setzen)
  $inc_path = realpath(".").$inc_slash."classes";

  // XML::COMMENT (Einstellung setzen)
  ini_set("include_path",$inc_path.$inc_sep.$myini);

  // XML::COMMENT (Die Datenbank in der Onlineversion unterscheidet sich massiv von der DB in der Offlineversion!)
  include_once("CConfig.php");

  // XML::COMMENT (Datenbank verfgbar machen, falls nicht vorhanden: Installation)
  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw);
  if (!$dbh)
  {
    faultMySQL();
  }

  // XML::COMMENT (Versuchen, mit Datenbank zu connecten)
  $dbs = mysql_select_db(mysql_database);

  // XML::COMMENT (Sollte das fehlschlagen, wird automatisch auf das Installscript weitergeleitet)
  if (!$dbs)
  {
    doRedirect();
  }

  // XML::COMMENT berprfen, ob Tables verfgbar sind, falls nicht => Installation
  $sth = mysql_query("SELECT * FROM c_settings LIMIT 1");
  (!$sth) ? (print mysql_error()) : ($dummy);
  if (!$sth)
  {
    doRedirect();
  }

  // XML::COMMENT (Module einbinden)
  include_once("CUser.php");
  include_once("CFunction.php");
  include_once("CNews.php");
  include_once("CMessages.php");
  include_once("COrdering.php");
  include_once("CServer.php");
  include_once("CModules.php");
  include_once("CDesign.php");
  include_once("CLayout.php");
  include_once("CVoting.php");
  include_once("CPrax.php");
  include_once("CFiles.php");
  include_once("CXml.php");
  include_once("CGameserver.php");
  include_once("CTourney.php");
  include_once("CTourneyMatch.php");
  include_once("CComment.php");
  include_once("CEvent.php");
  include_once("CStat.php");
  include_once("CForum.php");
  include_once("CText.php");
  include_once("CGallery.php");
  include_once("CSCSaccess.php");
  include_once("CImExport.php");
  include_once("CImage.php");
  include_once("CSeats.php");
  include_once("CBeamer.php");

  // XML::COMMENT (Prototypen der einzelnen Klassen erstellen)
  $cuser    = new CUser;
  $cfunc    = new CFunc;
  $cnews    = new CNews;
  $cmsg     = new CMessages;
  $corder   = new COrdering;
  $cserver  = new CServer;
  $cmod     = new CModules;
  $cdesign  = new CDesign;
  $cl       = new CLayout;
  $cvote    = new CVoting;
  $crax     = new RAX();
  $cfiles   = new CFiles;
  $cxml     = new CXml;
  $ctourn   = new CTourney;
  $cmatch   = new CTourneyMatch;
  $ccomment = new CComment;
  $cevent   = new CEvent;
  $cstat    = new CStat;
  $cforum   = new CForum;
  $ctext    = new CText;
  $c_rq3	= new CQuake3;
  $c_rut	= new CUnreal;
  $c_rcs	= new CCounterStrike;
  $cgallery = new CGallery;
  $cimexport= new CImExport;
  $cimage   = new CImage;
  $cseats	= new CSeats;
  $cbeamer  = new CBeamer;

  // XML::COMMENT (Prototypen global verfgbar machen)
  global $cuser, $cfunc, $cnews, $cmsg, $corder, $cserver, $cmod, $cdesign, $cl, $cvote, $crax, $cfiles, $cxml, $ctourn, $cmatch, $ccomment, $cevent;
  global $cstat, $cforum, $ctext, $c_rq3, $c_rut, $c_rcs, $cscs, $cgallery, $cimexport, $cimage, $cseats,$cbeamer;

  // XML::COMMENT (Settings laden und global verfgbar machen)
  $settings = $cfunc->getSettings();
  global $settings;

  // XML::COMMENT (Falls SCS benutzt wird, gleich Verbindung zum Server herstellen)
  if ($settings['lan.scs.activate'] && !is_online)
  {
    include_once("CSCSIntranet.php");
    $cscsinet = new CSCSIntranet;
    global $cscsinet;

	$cscsinet->setHost($settings['lan.scs.ip'],$settings['lan.scs.port']);
    $cscs = new CSCS($settings['lan.scs.ip'],$settings['lan.scs.port']);
  }

  $design = $cdesign->getDesignSettings();
  global $design;

  // XML::FUNC::fault() (fault())
  // XML::DESC::fault() (Standardfehlerausgabe)
  // XML::VERSION::fault() (1.0)
  function  fault()
  {
	global $settings,$cuser,$cfunc;

    faultExt("Entweder stimmen die Passwrter nicht berein oder es wurden keine Daten eingegeben");
  }

  // XML::FUNC::faultExt() (faultExt($error))
  // XML::DESC::faultExt() (Erweiterte Fehlerausgabe)
  // XML::VERSION::faultExt() (1.0)
  function faultExt($m_error)
  {
	global $settings,$cuser,$cfunc;

    print "<tr><td class=content>";
    print $m_error;
    print "</td></tr>";
    exit;
  }

  // XML::FUNC::faultMySQL() (faultMySQL())
  // XML::DESC::faultMySQL() (Standard-MySQL-Fehlerausgabe)
  // XML::VERSION::faultMySQL() (1.0)
  function faultMySQL()
  {
	global $settings,$cuser,$cfunc;

    print "<tr><td class=content>";
    print "MySQL-Fehler: ".mysql_error();
    print "</td></tr>";
  	exit;
  }

  // XML::FUNC::printDanke() (printDanke($danke)))
  // XML::DESC::printDanke() (gibt Standard-Dankeseite aus)
  // XML::VERSION::printDanke() (1.1)
  function printDanke()
  {
    $args = func_get_args();
    (!$args[0]) ? ($danke = "Die Einstellungen wurden erfolgreich bernommen.") : ($danke = $args[0]);
	print "<tr><td class=content>";
    print $danke;
    print "</td></tr>";
  }

  // XML::FUNC::doRedirect() (doRedirect))
  // XML::DESC::doRedirect() (Leitet die Seite um, damit Installation durchgefhrt werden kann)
  // XML::VERSION::doRedirect() (1.0)
  function doRedirect()
  {
    print "<html>\n";
	print "  <head>\n";
	print "    <title>\n";
	print "      Bitte warten\n";
	print "      $opts[titel]\n";
	print "    </title>\n\n";
	print "    <meta http-equiv=\"content-language\" content=\"de\">\n";
	print "    <meta http-equiv=\"refresh\" content=\"0; URL=phpInstall.php\">\n\n";
  	print "  </head>\n";
    print "  <body><h1>Bitte warten</h1>\n";
	print "  </body>\n";
	print "</html>\n";
	exit;
  }
  // XML::FUNC::getCoreInfo ($self->getCoreInfo())
  // XML::DESC::getCoreInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getCoreInfo  (1.0)
  // XML::RETURN::getCoreInfo ($NAME,$AUTHOR,$VERSION)
  function getCoreInfo()
  {
    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>