<?php
  // XML::MODUL   (Class CImage)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dieses Modul erzeugt Grafiken, sowie Prozentanzeigen)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CImage";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Klasse festlegen)
  class CImage
  {

    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }

    // XML::FUNC::convertToRGB ($self->convertToRGB($color))
    // XML::DESC::convertToRGB (Konvertiert den angegebenen Farbcode in einen dezimalen Farbcode)
    // XML::VERSION::convertToRGB  (1.0)
    // XML::RETURN::convertToRGB  ($array)
    function convertToRGB ($m_color)
    {
	  // XML::COMMENT (Farbe berprfen)
	  // XML::COMMENT (Farbe ist hexadezmal)
	  if (preg_match("/#(..)(..)(..)/i",$m_color,$ar))
	  {
	    $col[0] = hexdec($ar[1]);
	    $col[1] = hexdec($ar[2]);
	    $col[2] = hexdec($ar[3]);
	  }
	  // XML::COMMENT (Farbe ist dezimal)
	  elseif (preg_match("/^(...)[\s](...)[\s](...)/",$m_color,$ar))
	  {
	    $col[0] = $ar[1];
	    $col[1] = $ar[2];
	    $col[2] = $ar[3];
	  }
	  // XML::COMMENT (Keine Angaben)
	  else
	  {
	    $col[0] = "255";
	    $col[1] = "255";
	    $col[2] = "0";
  	  }
	  return $col;
    }

    // XML::FUNC::createPercentDiagramm ($self->createPercentDiagramm(img_direc=>$direction,...))
    // XML::DESC::createPercentDiagramm (Erstellt aus diversen Optionen ein Diagramm)
    // XML::VERSION::createPercentDiagramm (1.0)
    // XML::RETURN::createPercentDiagramm  ($array)
    function createPercentDiagramm($m_opts)
    {
      // XML::COMMENT (1% entspricht $m_onepercent Units)
      $m_onepercent = ceil(($m_opts[val_draw] * 100) / $m_opts[val_hp]);

	  // XML::COMENT ($m_length enthlt die Lnge des kompletten Balkens in vert. bzw. horiz. Richtung)
	  ($m_opts[img_direc] == 'vertical') ? ($m_length = $m_opts[img_height]) : ($m_length = $m_opts[img_width]);

      // XML::COMMENT ($m_width ist die Breite, die mit Farbe gefllt wird)
      $m_widthdiag = ($m_length / 100) * $m_onepercent;
  	  ($m_widthdiag >= $m_length) ? ($m_widthdiag = $m_length - 4) : ($dummy);

      // XML::COMMENT (Neues Image-Objekt erstellen)
      $m_image = imagecreate($m_opts[img_width],$m_opts[img_height]);
      // XML::COMMENT (Hintergrundfarbe auswhlen)
      ($m_opts[bgc]) ? ($m_cols = $this->convertToRGB($m_opts[bgc])) : (($m_cols[0] = "255") && ($m_cols[1] = "255") && ($m_cols[2] = "255"));
      $m_bgcolor = imagecolorallocate($m_image,$m_cols[0],$m_cols[1],$m_cols[2]);

      // XML::COMMENT (Balkenfarbe auswhlen)
      ($m_opts[fc]) ? ($m_cols = $this->convertToRGB($m_opts[fc])) : (($m_cols[0] = "255") && ($m_cols[1] = "255") && ($m_cols[2] = "0"));
      $m_bcolor = imagecolorallocate($m_image,$m_cols[0],$m_cols[1],$m_cols[2]);

	  // XML::COMMENT (Eckpunkte berechnen)
	  if ($m_opts[img_direc] == 'vertical')
	  {
		$m_x1 = $m_opts[border_width];
		$m_y1 = $m_widthdiag - $m_opts[border_width];
		$m_x2 = $m_opts[img_width] - $m_opts[border_width] - 1;
		$m_y2 = $m_opts[img_height] - $m_opts[border_width];
	  }
	  else
	  {
	    $m_x1 = $m_opts[border_width];
	    $m_y1 = $m_opts[border_width];
	    $m_x2 = $m_widthdiag - $m_opts[border_width];
	    $m_y2 = $m_opts[img_height] - $m_opts[border_width] - 1;
	  }

	  imagefilledrectangle($m_image,$m_x1,$m_y1,$m_x2,$m_y2,$m_bcolor);
	  return $m_image;
    }
  }
?>
