<?
  // XML::MODUL   (Class CModules)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dieses Modul verwaltet alle verfgbaren Module)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CModules";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CFunction.php");
  include_once("CConfig.php");

  $cfunc = new CFunc;
  global $cfunc;

  // XML::COMMENT (Klasse festlegen)
  class CModules
  {
    // XML::FUNC::registerMod ($self->registerMod(uid=>$uid,showedname=>$showedname,listorder=>$listorder,active=>$active,url=>$url,settings=>$settings,value=>$values,description=>$desc))
    // XML::DESC::registerMod (registriert Modul in der Datenbank)
    // XML::VERSION::registerMod  (1.2)
    // XML::RETURN::registerMod (BOOL)
	function registerMod($opts)
	{
	  global $cfunc,$VERSION,$NAME,$AUTHOR;

	  // XML::COMMENT (Fehlerausgabe bzw. Variableninitalisierung)
  	  (!$opts[uid]) ? ($cfunc->faultExt("Modulverwaltung v$VERSION: Falscher Aufruf dieser Funktion. Es MUSS eine UID angegeben werden.<br>")) : ($dummy);
  	  ((!$opts[url]) && (!$opts[is_admin])) ? ($cfunc->faultExt("Modulverwaltung v$VERSION: Falscher Aufruf dieser Funktion. Es MUSS eine URL angegeben werden.<br>")) : ($dummy);
  	  ((!$opts[showedname]) && (!$opts[is_admin])) ? ($cfunc->faultExt("Modulverwaltung v$VERSION: Falscher Aufruf dieser Funktion. Es MUSS ein angezeigter Name angegeben werden.<br>")) : ($dummy);
	  // XML::COMMENT (MySQL-String festlegen, der berprft, ob das Modul mglicherweise bereits existiert)
	  ($opts[showedname]) ? ($mysqlstring = "showedname=\"$opts[showedname]\"") : ($mysqlstring = "adminname=\"$opts[adminname]\"");
	  (!$opts[listorder]) ? ($opts[listorder] = $this->getNextListOrder()) : ($dummy);
	  (!$opts[active]) ? ($opts[active] = 0) : ($dummy);
	  (!$opts[online]) ? ($opts[online] = "0") : ($dummy);

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

  	  // XML::COMMENT (berprfen, ob das Modul schon registriert ist)
  	  $sth = mysql_query("SELECT id FROM c_modules WHERE $mysqlstring");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $ret = mysql_num_rows($sth);

	  // XML::COMMENT (Modul existiert noch nicht)
	  if ($ret == 0)
	  {
  	    $sth = mysql_query("INSERT INTO c_modules VALUES(\"\",\"$opts[uid]\",\"$opts[insertin]\",\"$opts[online]\",\"$opts[showedname]\",\"$opts[adminname]\",\"$opts[listorder]\",\"$opts[active]\",\"$opts[url]\",\"$opts[settings]\",\"$opts[value]\",\"$opts[desc]\",\"$opts[admindesc]\")");
  	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	    print "Das Modul \"$opts[uid]\" wurde erfolgreich installiert.<br>";
	  }
	  else
	  {
	    print "<!- XML::STATUS (Module $opts[uid] already installed (no fault)) -!>\n";
	  }
	  mysql_close();
	  return true;
	}
    // XML::FUNC::getNextListOrder ($self->getNextListOrder())
    // XML::DESC::getNextListOrder (Liefert die nchste Listorder zurck)
    // XML::VERSION::getNextListOrder  (1.0)
    // XML::RETURN::getNextListOrder ($integer)
	function getNextListOrder()
	{
	  global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

  	  $sth = mysql_query("SELECT listorder FROM c_modules ORDER BY listorder DESC LIMIT 1");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $ret = mysql_fetch_row($sth);
	  $i_lo = $ret[0];

	  (!$i_lo) ? ($i_lo = 1) : ($i_lo++);

	  mysql_close();
	  return $i_lo;
	}

    // XML::FUNC::unregisterMod ($self->unregisterMod($opts))
    // XML::DESC::unregisterMod (Lscht das Modul mit der angegebenen ID bzw. UID aus der Datenbank)
    // XML::VERSION::unregisterMod  (1.2)
    // XML::RETURN::unregisterMod (BOOL)
	function unregisterModule($opts)
	{
	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  ($opts[id]) ? ($mysqlstring = "id=\"$opts[id]\"") : ($mysqlstring = "uid=\"$opts[uid]\"");

  	  $sth = mysql_query("DELETE FROM c_modules WHERE $mysqlstring");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	  return true;
	}

    // XML::FUNC::activateMod ($self->activateMod($opts))
    // XML::DESC::activateMod (Aktiviert bzw. deaktivert das Modul mit der angegeben ID bzw. UID)
    // XML::VERSION::activateMod  (1.2)
    // XML::RETURN::activateMod (BOOL)
	function activateMod($opts)
	{
	  global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  ($opts[id]) ? ($mysqlstring = "id=\"$opts[id]\"") : ($mysqlstring = "uid=\"$opts[uid]\"");
  	  $sth = mysql_query("UPDATE c_modules SET active=\"$opts[active]\", online=\"$opts[online]\" WHERE $mysqlstring");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	  return true;
	}

    // XML::FUNC::getMods ($self->getMods($opts))
    // XML::DESC::getMods (Liest alle installieten Module aus)
    // XML::VERSION::getMods  (1.1)
    // XML::RETURN::getMods ($array)
	function getMods($opts)
	{
	  global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  if ($opts[onlyshowed])
	  {
	    ($opts[onlyshowed] == 'adminmenu') ? ($mysqlstring = "WHERE adminname!=\"\" AND admindesc!=\"\"") : ($mysqlstring = "WHERE insertin=\"$opts[onlyshowed]\"");
	  }

	  if ($opts[onlyactive])
	  {
	    ($mysqlstring) ? ($mysqlstring .= " AND active=\"1\"") : ($mysqlstring = "WHERE active=\"1\"");
	  }

	  ($opts[id]) ? ($mysqlstring = "WHERE id=\"$opts[id]\"") : ($dummy);
	  ($opts[showedname]) ? ($mysqlstring = "WHERE showedname=\"$opts[showedname]\"") : ($dummy);


	  $sth = mysql_query("SELECT id, uid, insertin, showedname, listorder, active, url, settings, value, description, online, adminname, admindesc FROM c_modules $mysqlstring ORDER BY listorder ASC");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $cnt = 0;

	  while ($ret = mysql_fetch_row($sth))
	  {
	  	$ar[$cnt][id]         = $ret[0];
	  	$ar[$cnt][uid]	      = $ret[1];
	  	$ar[$cnt][insertin]   = $ret[2];
	  	$ar[$cnt][showedname] = $ret[3];
	  	$ar[$cnt][listorder]  = $ret[4];
	  	$ar[$cnt][active]     = $ret[5];
	  	$ar[$cnt][url]        = $ret[6];
	  	$ar[$cnt][settings]   = $ret[7];
	  	$ar[$cnt][value]      = $ret[8];
	  	$ar[$cnt][desc]       = $ret[9];
	  	$ar[$cnt][online]     = $ret[10];
	    $ar[$cnt][adminname]  = $ret[11];
	    $ar[$cnt][admindesc]  = $ret[12];

	  	$cnt++;
	  }
	  mysql_close();
	  return $ar;
	}

    // XML::FUNC::checkModIsActive ($self->checkModIsActive($opts))
    // XML::DESC::checkModIsActive (berprft, ob ein angegebenes Modul aktiv ist. Es wird der aktuelle Online-Status und die Datenbank bercksichtigt
    // XML::VERSION::checkModIsActive (1.0)
    // XML::RETURN::checkModIsActive (BOOL
	function checkModIsActive($opts)
	{
	  global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);
	  
	  ($opts[showedname]) ? ($mysqlstring = "AND showedname=\"".$opts[showedname]."\"") : ($dummy);
	  
	  $sth = mysql_query("SELECT active, online, showedname, adminname FROM c_modules WHERE uid=\"".$opts[uid]."\" $mysqlstring LIMIT 1");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $ret = mysql_fetch_row($sth);
	  
	  mysql_close();
	  
	  // XML::COMMENT (Angegebener Mod existiert nicht)
	  if (!$ret)
	    return false;
	    
	  $mod[active] 	   = $ret[0];
	  $mod[online] 	   = $ret[1];
	  $mod[showedname] = $ret[2];
	  $mod[adminname]  = $ret[3];
	  
	  // XML::COMMENT (Mod ist aktiv)
	  if ($mod[active] == 1)
	  {
	    // XML::COMMENT (berprfen ob ggw. Einstellung mit Mod bereinstimmen)
	    if (((is_online) && (($mod[online] == 1) || ($mod[online] == 2))) || ((!is_online) && (($mod[online] == 0) || ($mod[online] == 2))) || ((!$mod[showedname]) && ($mod[adminname] != '')))
		{
		  return true;
		}
	  }
		  	    
	  return false;
	}
	
    // XML::FUNC::setMod ($self->setMod($opts))
    // XML::DESC::setMod (Setzt Einstellungen des Mods)
    // XML::VERSION::setMod  (1.1)
    // XML::RETURN::setMod (BOOL)
	function setMod($opts)
	{
	  global $cfunc;
	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  while(list($key,$val) = each($opts))
	  {
	    if ($key == 'id')
	    {
	      next;
	    }
	    else
	    {
	      $sth = mysql_query("UPDATE c_modules SET $key=\"$val\" WHERE id=\"$opts[id]\"");
  	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	 	}
	  }
	  mysql_close();
	  return true;
	}

    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }
  }
?>
