<?
  // XML::MODUL   (Class CVoting)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Datenbankabfragen fr das Votingsystem)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CVoting";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CConfig.php");
  include_once("CFunction.php");

  $cfunc = new CFunc;
  global $cfunc;

  // XML::COMMENT (Klasse festlegen)
  class CVoting
  {
	// XML::FUNC::getVoting ($self->getVoting())
    // XML::DESC::getVoting (liefert Antworten sowie gevotetee Antworten zurck)
    // XML::VERSION::getVoting (1.0)
    // XML::RETURN::getVoting ($array)
	function getVoting()
	{
	  global $cfunc;

	  $settings = $cfunc->getSettings();

	  $cnt = 0;
	  if ($settings)
	  {
	    while(list($key,$value) = each($settings))
	    {
	      if (preg_match("/^lan.voting.(.*).answer/",$key,$ret))
	      {
		    $voting[$cnt][id] = $ret[1];
		    $voting[$cnt][answer] = $value;
		    $voting[$cnt][hasvoted] = $settings["lan.voting.".$ret[1].".hasvoted"];

		    $cnt++;
	      }
	    }
	  }
	  return $voting;
	}

	// XML::FUNC::resetVoting ($self->resetVoting())
    // XML::DESC::resetVoting (Setzt alle Votingeintrge auf 0)
    // XML::VERSION::resetVoting (1.0)
    // XML::RETURN::resetVoting (BOOL)
	function resetVoting()
	{
	  global $cfunc;

	  $settings = $cfunc->getSettings();

	  $cnt = 0;
	  if ($settings)
	  {
	    while(list($key,$value) = each($settings))
	    {
	      if (preg_match("/^lan.voting.(.*).hasvoted/",$key,$ret))
	      {
			$opts[key] = $key;
			$opts[value] = "0";
			$cfunc->setSetting($opts);
	      }
	    }
	  }

	  return true;
	}

	// XML::FUNC::incVoting ($self->incVoting($id))
    // XML::DESC::incVoting (Setzt den Zhler der angegebenen Voting-ID um eins hher)
    // XML::VERSION::incVoting (1.0)
	// XML::RETURN::incVoting (BOOL)
	function incVoting($m_id)
	{
	  global $cfunc;

	  $opts[key] = "lan.voting.$m_id.hasvoted";
	  $opts[increment] = "1";
	  $cfunc->setSetting($opts);

	  return true;
	}

	// XML::FUNC::getVotingIDNext ($self->getVotingIDNext())
    // XML::DESC::getVotingIDNext (Liefert die nchste ID)
    // XML::VERSION::getVotingIDNext (1.0)
    // XML::RETURN:getVotingIDNext ($id)
	function getVotingIDNext()
	{
      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || faultMySQL();
      $dbs = mysql_select_db(mysql_database) || faultMySQL();
	  (!$dbh) ? (faultMySQL()) : ($dummy);

 	  $sth = mysql_query("SELECT setting FROM c_settings WHERE setting LIKE \"lan.voting.%.answer\" ORDER BY setting DESC LIMIT 1");
	  (!$sth) ? (faultMySQL()) : ($dummy);
 	  $ret = mysql_fetch_row($sth);

 	  if (!$ret[0])
 	  {
 	    $voteid = "1";
 	  }
 	  else
 	  {
		$voteid = $ret[0];
 	    $voteid = preg_replace("/lan.voting.(.*).answer/","\\1",$voteid);
		$voteid++;
 	  }
 	  return $voteid;
 	}

	// XML::FUNC::deleteVoting ($self->deleteVoting($m_id))
    // XML::DESC::deleteVoting (lscht das Voting mit der angegebenen ID)
    // XML::VERSION::deleteVoting (1.0)
    // XML::RETURN::deleteVoting (BOOL)
	function deleteVoting($m_id)
	{
      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || faultMySQL();
      $dbs = mysql_select_db(mysql_database) || faultMySQL();
	  (!$dbh) ? (faultMySQL()) : ($dummy);

 	  $sth = mysql_query("DELETE FROM c_settings WHERE setting=\"lan.voting.$m_id.answer\"");
	  (!$sth) ? (faultMySQL()) : ($dummy);

	  mysql_close();
	  return true;
	}

	// XML::FUNC::getTotalVotes ($self->getTotalVotes())
    // XML::DESC::getTotalVotes (Liefert die Anzahl aller abgegebenen Stimmen zurck)
    // XML::VERSION::getTotalVotes (1.2)
	// XML::RETURN::getTotalVotes ($integer)
	function getTotalVotes()
	{
      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || faultMySQL();
      $dbs = mysql_select_db(mysql_database) || faultMySQL();
	  (!$dbh) ? (faultMySQL()) : ($dummy);

	  $total = 0;
 	  $sth = mysql_query("SELECT value FROM c_settings WHERE setting LIKE \"lan.voting.%.hasvoted\"");
	  (!$sth) ? (faultMySQL()) : ($dummy);
	  while ($ret = mysql_fetch_row($sth))
	  {
	    $total += $ret[0];
	  }

	  mysql_close();
	  return $total;
	}

	// XML::FUNC::addVoting ($self->addVoting($opts))
    // XML::DESC::addVoting (fgt das Voting der Datenbank hinzu)
    // XML::VERSION::addVoting (1.0)
    // XML::RETURN::addVoting (BOOL)
	function addVoting($opts)
	{
      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || faultMySQL();
      $dbs = mysql_select_db(mysql_database) || faultMySQL();
	  (!$dbh) ? (faultMySQL()) : ($dummy);

	  $lvid = $this->getVotingIDNext();
	  if (!$opts[init])
	  {
	    $opts[init] = "0";
	  }

 	  $sth = mysql_query("INSERT INTO c_settings VALUES(\"lan.voting.$lvid.answer\",\"$opts[toadd]\")");
	  (!$sth) ? (faultMySQL()) : ($dummy);

 	  $sth = mysql_query("INSERT INTO c_settings VALUES(\"lan.voting.$lvid.hasvoted\",\"$opts[init]\")");
	  (!$sth) ? (faultMySQL()) : ($dummy);

	  mysql_close();
	  return true;
	}

    // XML::FUNC::showVoting() ($self->showVoting())
    // XML::DESC::showVoting() (Zeigt Tabelle mit den Votings an)
    // XML::VERSION::showVoting() (1.0)
    function showVoting()
    {
      global $settings;

	  $ret = "    <form method=post action=\"phpVoting.php?cmd=cmd_userupdate&what=add\">\n";

      $ret .= "      <table border=0 class=voting>\n";
  	  $ret .= "        <tr>\n";
  	  $ret .= "          <td class=voting_question colspan=2>".$settings['lan.voting.question']."</td>\n";
  	  $ret .= "        </tr>\n\n";

	  $votes = $this->getVoting();

	  for($cnt=0;$cnt<count($votes);$cnt++)
	  {
        (!$votes[$cnt][hasvoted]) ? ($votes[$cnt][hasvoted] = 0) : ($dummy);
        $ret .= "      <tr>\n";
        $ret .= "        <td class=input>\n";
        $ret .= "          <input type=radio name=myvalue value=\"".$votes[$cnt][id]."\">\n";
        $ret .= "        </td>\n";

		($settings['lan.voting.vao']) ? ($out = "(<b>".$votes[$cnt][hasvoted]."</b>)") : ($out = '');
        $ret .= "        <td class=right>\n";
        $ret .= "          ".$votes[$cnt][answer]." $out \n";
        $ret .= "        </td>\n";
        $ret .= "      </tr>\n";
	  }
	  if ($votes)
	  {
	    $ret .= "       <tr>\n";
	    $ret .= "         <td class=submit colspan=2><input type=submit class=submit value=\"Abstimmen\"></td>\n";
	    $ret .= "       </tr>\n";
  	  }
	  $ret .= "       </form>\n";
  	  $ret .= "       </table>\n";

  	  return $ret;
    }

    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }
  }
?>
