<?php session_start(); ?>

<?
  // XML::MODUL   (phpAdmin)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpAdmin exportiert die Datenbank und dient als Login-Portal fr den Administrationsbereich)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpAdmin";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpAdmin.php";
  $opts[insertin]   = "mainmenu";
  $opts[showedname] = "Admin";
  $opts[active] 	= 1;
  $opts[url] 		= "phpAdmin.php?cmd=show_login";
  $opts[desc] 		= "Administrationsbereich";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Newsletter verfassen";
  $menu[0][link]	   = "$PHP_SELF?cmd=admin_newsletter";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>


<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Administration";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Loginbereich bzw. Administrationsbereich bei aktiviertem Cookie anzeigen)
  if ($cmd == 'show_login' || $cmd == 'admin_overview')
  {
    if (session_is_registered("active_login"))
    {
	  $opts[username] = $active_username;
	  $myuser = $cuser->getDBData($opts);

	  if (!$myuser[username])
	  {
	    faultExt("Dieser User ist dem System nicht gemeldet.");
	  }
	  $p_cl[in] = "Eingeloggt als ".$active_username."";
	  (!$myuser[cryptedpw]) ? ($p_cl[in] .= "<br>Du besitzt kein Passwort. Bitte ndere dein Passwort <a href=\"phpLogin.php?cmd=user_overview\">hier</a>.") : ($dummy);
	  $p_cl[in] .= $cdesign->createAdminMenu($opts[p_return] = "return");

	  $p_cl[p_return] = "out";
	  $cl->cellContent($p_cl);
	}
    else
    {
      $cl->FormNew("$PHP_SELF?cmd=cmd_login","");
	  $opts['user_selected'] = $active_username;
	  $cl->cells2Noopt("Benutzername",$cuser->createUsernameMenu($opts),"out");
	  $cl->cells2Noopt("Passwort","<input type=password name=in_pw value=\"".$active_pw."\">","out");
	  $cl->FormSubmit("2","Einloggen");
    }
  }
  // XML::COMMENT (Login durchfhren)
  elseif ($cmd == 'cmd_login')
  {
    (!$in_username) ? (fault()) : ($dummy);

	// XML::COMMENT (Falls Chrystal bereits installiert ist, soll berprft werden, ob der User als Administrator eingetragen ist und das Passwort bereinstimmt)
	if ($settings['chrystal.installed'])
	{
	  (!$cuser->verifyUserPW($in_pw,$in_username)) ? (faultExt("Dein Passwort stimmt nicht mit deinem Benutzernamen berein.")) : ($dummy);
	  (!$cuser->verifyUserGroup($in_username,"1")) ? (faultExt("Du bist nicht als Administrator oder Orga eingetragen.")) : ($dummy);
	}
	else
	{
	  $opts[username] = $in_username;
	  (!$cuser->checkUserExists($opts)) ? (faultExt("Dieser User existiert nicht.")) : ($dummy);
	}

	// XML::COMMENT (Globale Variablen festlegen)
    $active_username = $in_username;
    $active_login = "1";
    $active_userlogin = "1";
	$active_pw = $in_pw;

	$opts[username] = $active_username;
	$myuser = $cuser->getDBData($opts);

	// XML::COMMENT (Variablen in aktuelle Session registrieren)
	session_register("active_username");
    session_register("active_login");
    session_register("active_userlogin");
    session_register("active_pw");

	$p_cl[in] = "Eingeloggt als ".$active_username."";
	(!$myuser[cryptedpw]) ? ($p_cl[in] .= "<br>Du besitzt kein Passwort. Bitte ndere dein Passwort <a href=\"phpLogin.php?cmd=user_overview\">hier</a>.") : ($dummy);
	$p_cl[in] .= $cdesign->createAdminMenu($opts[p_return] = "return");
	$p_cl[p_return] = "out";

	$cl->cellContent($p_cl);

    // XML::COMMENT (Login erhhen)
    $opts[username] = $active_username;
    $opts[key]	    = "logins";
    $cstat->incStats($opts);

    // XML::COMMENT (Datumsstring erzeugen)
    $opts[key]	    = "llogin";
    $opts[value]    = $cevent->getNowTimestamp();
    $cstat->setStats($opts);

    // XML::COMMENT (IP setzen)
    $opts[key]	    = "lip";
    $opts[value]    = $GLOBALS[REMOTE_ADDR];
    $cstat->setStats($opts);
  }
  // XML::COMMENT (Newsletter verfassen anzeigen)
  elseif ($cmd == 'admin_newsletter')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $cl->FormNew("$PHP_SELF?cmd=admin_update&what=newsletter","");
	$cl->cells2Noopt("Newsletter senden an","<select name=in_an><option value=\"orga\">Orgas + Administratoren</option><option value=\"reg_user\">Registrierte User</option><option value=\"alle\">Alle</option></select>","out");
	$cl->cells2Noopt("Absendername","<input type=text name=in_absender value=\"".$settings['lan.nameoflan']."-Newsletter\">","out");
	$cl->cells2Noopt("Absenderadresse",$settings['lan.email'],"out");
	$cl->cells2Noopt("Auch an mich senden","<input type=checkbox name=in_anmich value=1>","out");
	$cl->cells2Noopt("Betreff","<input type=text name=in_subject value=\"Newsletter\">","out");
	$cl->cells2Noopt("Inhalt","<textarea name=in_body cols=35 rows=7></textarea>","out");
	$cl->FormSubmit("2","Newsletter versenden");
  }
  // XML::COMMENT (Newsletter verfassen anzeigen)
  elseif ($cmd == 'admin_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	if ($what == 'newsletter')
	{
  	  (!$in_body) ? (fault()) : ($dummy);
	  (!$in_subject) ? (fault()) : ($dummy);
	  (!$in_absender) ? (fault()) : ($dummy);

	  // XML::COMMENT Empfnger festlegen
	  $opts['FLAG'] = "FLAG_ROWS";
	  $users = $cuser->getDBData($opts);

      for($cnt=0;$cnt<count($users);$cnt++)
	  {
	    $opts['username'] = $users[$cnt];
	    $opts['FLAG'] = "NONE";

	    $myuser = $cuser->getDBData($opts);
        $email = $myuser['email'];

	    if (($myuser['username'] == $active_username) && ($in_anmich))
	    {
	      print $myuser['username']."<br>";
	      $bcc .= "".$myuser['email']."; ";
	    }
	    else
	    {
	      next;
	    }

	    if (($myuser['usergroup'] == 'reg_user') && ($in_an == ('reg_user' || 'alle')))
	    {
	      $bcc .= $myuser['email']."; ";
	    }
	    elseif (($myuser['usergroup'] == ('admin' || 'orga')) && ($in_an == ('orga' || 'alle')))
	    {
	      $bcc .= $myuser['email']."; ";
	    }
	  }
   	  $opts[to] = $settings[internet.email];
	  $opts[bcc] = $bcc;
	  $opts[subject] = "Newsletter zur ".$settings['lan.nameoflan'];
	  $opts[body] = $in_text;

	  (!($cfunc->sendmail($opts))) ? (faultExt("Konnte den Newsletter nicht versenden. Mglicherweise existiert kein eingtragener Empfnger.")) : (printDanke("Der Newsletter wurde erfolreich versendet."));
	}
  }
  // XML::COMMENT (Standard-Errorstring)
  else
  {
    faultExt("Diese String ist nicht registriert");
  }

?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>