<?php session_start(); ?>

<?
  // XML::MODUL   (phpAdminSettings)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dieses Plugin verwaltet alle Chrystal-Einstellungen)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpAdminSettings";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpAdminSettings.php";
  $opts[active] 	= 1;
  $opts[online]     = 2;
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Intranetoptionen";
  $opts[admindesc]  = "Einstellungen fr das Intranetsystem";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Generelle Einstellungen";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Design";
  $menu[1][link]	   = "$PHP_SELF?cmd=admin_design";
  $menu[2][showedname] = "Templates";
  $menu[2][link]	   = "$PHP_SELF?cmd=admin_templates";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Einstellungen";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

  // XML::COMMENT (Chrystal-Einstellungen setzen anzeigen)
  if ($cmd == 'admin_overview')
  {
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=general","");

	($settings['lan.usedhcp']) ? ($checked = "checked") : ($checked = "");
	$cl->cells2Noopt("DHCP wird zur Adressvergabe benutzt","<input type=checkbox value=1 name=in_usedhcp $checked>","out");

	$cl->cells2Noopt("Erste verfgbare IP (nur wenn kein DHCP-Server)","<input name=in_ipstring type=text maxlength=15 size=15 value=\"".$settings['lan.ipstring']."\">","out");
	$cl->cells2Noopt("Allgemeine E-Mailadresse","<input name=in_email type=text value=\"".$settings['internet.email']."\">","out");

	($settings['lan.anmeldung.sendemail']) ? ($checked = "checked") : ($checked = "");
	$cl->cells2Noopt("E-Mail nach Onlineanmeldung verschicken","<input name=in_sendemail type=checkbox $checked value=\"".$settings['internet.anmeldung.sendemail']."\">","out");

	($settings['lan.javascript.shifts']) ? ($checked = "checked") : ($checked = "");
	$cl->cells2Noopt("Shift+S zum Absenden von Formularen aktivieren","<input name=in_shifts type=checkbox $checked value=\"1\">","out");

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_design')
  {
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=design","");
  	$cl->cells2Noopt("Code zwischen Links","<input name=in_linksepnormal type=text value=\"".$design['link.sep.normal']."\">","out");
  	$cl->cells2Noopt("Code vor Linktext","<input name=in_linkseppre type=text value=\"".$design['link.sep.pre']."\">","out");
  	$cl->cells2Noopt("Code nach Linktext","<input name=in_linkseppost type=text value=\"".$design['link.sep.post']."\">","out");

	($design['fading']) ? ($checked = "checked") : ($checked = "");
  	$cl->cells2Noopt("Fading bei Seitenbergang aktivieren","<input name=in_fading type=checkbox title=\"Damit der Seitenbergang aktiviert werden kann, muss im IE unter 'Einstellungen->Erweitert->Seitenbergnge aktivieren' aktiviert werden.\" value=1 $checked>","out");

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_templates')
  {
	if (!$dir)
	{
	  $p_cl[0][text] = "Template";
	  $p_cl[1][text] = "Informationen";
	  $cl->cellsTop($p_cl);

  	  // XML::COMMENT (Standard-Design an oberster Stelle einfgen)
  	  $cl->cells2Noopt("Standard","<a href=\"$PHP_SELF?cmd=admin_templates&dir=standard\">Informationen</a>","out");

	  $p_dir = opendir('./templates');
	  while ($file = readdir($p_dir))
	  {
        if ($file != "." && $file != "..")
        {
          if (is_dir("./templates/".$file))
          {
  	        $cl->cells2Noopt("$file","<a href=\"$PHP_SELF?cmd=admin_templates&dir=$file\">Informationen</a>","out");
          }
        }
	  }
	}
	else
	{
	  // XML::COMMENT (berprfen, welcher String bergeben wurde)
	  if (!($dir == 'standard'))
	  {
	    $file = "./templates/$dir/pref.xml";

	    $crax->openfile("$file");
	    $crax->record_delim = 'pref';
	    $crax->parse();
	    $rec = $crax->readRecord();

	    while ($rec)
	    {
          $row = $rec->getRow();
		  $my_addphp  = $row["add_phpfile"];
		  $my_h1      = $row["subject"];

		  $rec = $crax->readRecord();
	    }

		$crax->global_attrs["sep"]["normal"] = $cxml->proofString($crax->global_attrs["sep"]["normal"]);

        $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=template&dir=$dir","");
  	    $cl->cells2Noopt("Beschreibung",$crax->global_attrs["design"]["desc"],"out");
  	    $cl->cells2Noopt("Autor",$crax->global_attrs["author"]["name"],"out");
  	    $cl->cells2Noopt("Homepage",$crax->global_attrs["author"]["url"],"out");
  	    $cl->cells2Noopt("E-Mail",$crax->global_attrs["author"]["email"],"out");
  	    $cl->cells2Noopt("ICQ",$crax->global_attrs["author"]["icq"],"out");

		$cl->cells2Noopt("Zustzliche PHP-Dateien",$my_addphp,"out");
  	    $cl->cells2Noopt("berschrift","$my_h1","out");
	    $cl->FormHidden("in_ueberschrift","$my_h1");

  	    $cl->cells2Noopt("Separator zwischen Links",$crax->global_attrs["sep"]["normal"],"out");
	    $cl->FormHidden("in_linksepnormal",$crax->global_attrs["sep"]["normal"]);
  	    $cl->cells2Noopt("Separator vor Links",$crax->global_attrs["sep"]["pre"],"out");
	    $cl->FormHidden("in_linkseppre",$crax->global_attrs["sep"]["pre"]);
  	    $cl->cells2Noopt("Separator nach Links",$crax->global_attrs["sep"]["post"],"out");
	    $cl->FormHidden("in_linkseppost",$crax->global_attrs["sep"]["post"]);

  	    $cl->cells2Noopt("Diagramm - Hintergrundfarbe",$crax->global_attrs['diag']['bgcolor'],"out");
	    $cl->FormHidden("in_diagbgc",$crax->global_attrs['diag']['bgcolor']);
  	    $cl->cells2Noopt("Diagramm - Balkenfarbe",$crax->global_attrs['diag']['fcolor'],"out");
	    $cl->FormHidden("in_diagfc",$crax->global_attrs['diag']['fcolor']);

	    $cl->FormHidden("in_table_w",$crax->global_attrs["table"]["width"]);
	    $cl->FormHidden("in_table_cp",$crax->global_attrs["table"]["cellpadding"]);
	    $cl->FormHidden("in_table_cs",$crax->global_attrs["table"]["cellspacing"]);

	    $cl->FormSubmit("2","Template aktivieren");
  	  }
  	  else
  	  {
        $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=template&dir=standard","");
  	    $cl->cells2Noopt("Beschreibung","Standard-Design","out");
  	    $cl->cells2Noopt("Autor","::[CTH]Goldenhawk:: & ::[CTH]Green::","out");
  	    $cl->cells2Noopt("URL","http://cth-con.cyberwarnews.de","out");
		$cl->cells2Noopt("Zustzliche PHP-Dateien","0","out");
  	    $cl->cells2Noopt("berschrift","phpChrystal","out");
	    $cl->FormHidden("in_ueberschrift","phpChrystal");
  	    $cl->cells2Noopt("Separator zwischen Links","|","out");
	    $cl->FormHidden("in_linksepnormal","|");
  	    $cl->cells2Noopt("Separator vor Links","","out");
	    $cl->FormHidden("in_linkseppre","");
  	    $cl->cells2Noopt("Separator nach Links","","out");
	    $cl->FormHidden("in_linkseppost","");
  	    $cl->cells2Noopt("Diagramm - Hintergrundfarbe","#FFFFFF","out");
	    $cl->FormHidden("in_diagbgc","#FFFFFF");
  	    $cl->cells2Noopt("Diagramm - Balkenfarbe","#83a1b1","out");
	    $cl->FormHidden("in_diagfc","#83a1b1");
	    $cl->FormSubmit("2","Template aktivieren");
	  }
	}
  }
  // XML::COMMENT Chrystal-Einstellungen ausfhren
  elseif ($cmd == 'cmd_update')
  {
	if ($what == 'general')
	{
	  ((!$cfunc->checkIPAddress($in_ipstring)) && (!$in_usedhcp)) ? (faultExt("Die IP-Adresse besitzt kein gltiges Format.")) : ($dummy);

	  $opts = array(key=>"lan.ipstring",value=>$in_ipstring);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.usedhcp",value=>$in_usedhcp);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"internet.email",value=>$in_email);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.javascript.shifts",value=>$in_shifts);
	  $cfunc->setSetting($opts);
	}
    elseif ($what == 'design')
    {
      $opts = array(key=>"link.sep.normal",value=>$in_linksepnormal);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"link.sep.pre",value=>$in_linkseppre);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"link.sep.post",value=>$in_linkseppost);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"fading",value=>$in_fading);
	  $cdesign->setDesignSetting($opts);
	}
	elseif ($what == 'template')
	{
	  ($dir == 'standard') ? ($dir = '') : ($dummy);

      $opts = array(key=>"use_template",value=>$dir);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"link.sep.normal",value=>$in_linksepnormal);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"link.sep.pre",value=>$in_linkseppre);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"link.sep.post",value=>$in_linkseppost);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"diag.color.bg",value=>$in_diagbgc);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"diag.color.front",value=>$in_diagfc);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"table.width",value=>$in_table_w);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"table.cellspacing",value=>$in_table_cs);
	  $cdesign->setDesignSetting($opts);

      $opts = array(key=>"table.cellpadding",value=>$in_table_cp);
	  $cdesign->setDesignSetting($opts);
	}
	printDanke();
  }
  else
  {
    faultExt("Diese String ist nicht registriert");
  }

?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>