<?php session_start(); ?>

<?
  // XML::MODUL   (phpAnmeldung)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Vorabanmeldung)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpAnmeldung";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpAnmeldung.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]     = 1;
  $opts[showedname] = "Anmeldung";
  $opts[active] 	= 1;
  $opts[url] 		= "phpAnmeldung.php?cmd=show_anmeldung";
  $opts[desc] 		= "Zur LAN anmelden";
  $opts[is_admin]	= 1;
  $opts[adminname]  = "Anmeldebedingungen, Regeln, Bezahlung & berweisung";
  $opts[admindesc]  = "Anmeldebedingungen, Regeln, Bezahlung & berweisung bearbeiten";

  // XML::COMMENT (2. Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (insertin: mainmenu: mainmenu usermenu: usermenu)
 // XML::COMMENT (Variablen fr das 2. Modul festlegen)
  $opts[uid] 	    = "phpAnmeldung.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]	    = 1;
  $opts[showedname] = "Angemeldete User";
  $opts[active] 	= 1;
  $opts[url] 		= "phpAnmeldung.php?cmd=show_users";
  $opts[desc] 		= "Angemeldete User anzeigen lassen";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Anm.bed.";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Regeln";
  $menu[1][link]	   = "$PHP_SELF?cmd=admin_rules";
  $menu[2][showedname] = "Konto";
  $menu[2][link]	   = "$PHP_SELF?cmd=admin_konto";
  $menu[3][showedname] = "Bezahlung";
  $menu[3][link]	   = "$PHP_SELF?cmd=admin_bezahlung";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Anmeldung";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php

  // XML::COMMENT (Anmeldung anzeigen)
  if ($cmd == 'show_anmeldung')
  {
	$total_users = $cuser->getTotalUsers();

    if ($total_users >= $settings['lan.maxusers'])
    {
      faultExt("Leider sind bereits alle Pltze vergeben. Die Anmeldung ist dementsprechend nicht mehr mglich.");
    }

	$cl->FormNew("$PHP_SELF?cmd=cmd_anmeldung","");

	$lopts[cols] = "2";
	$out[0][text1] = "Nickname";
	$out[0][text2] = "<input type=text name=in_username>";
	$out[1][text1] = "Clan";
	$in = "<select name=\"in_clan\"><option value=\"noclan\">Kein Clan</option><option value=\"newclan\">Neuer Clan</option>\n";

	$clans = $cuser->getAllClans();
	while(list($key,$value) = each($clans))
	{
	  $in .= "            <option value=\"$key\">$key</option>\n";
	}
	$in .= "\n            </select> <input type=text name=in_newclan>";
	$out[1][text2] = $in;

	$out[2][text1] = "Realer Name";
	$out[2][text2] = "<input type=text name=in_fullname>";

	$out[3][text1] = "E-Mailadresse";
	$out[3][text2] = "<input type=text name=in_email>";

	$out[4][text1] = "Passwort";
	$out[4][text2] = "<input type=password name=in_pw>";

	$out[5][text1] = "Passwort (Besttigung)";
	$out[5][text2] = "<input type=password name=in_pw2>";


	if (is_online)
	{
	  $out[6][text1] = "Ich bezahle per";
      
      $paymethods = $ctext->getPayMethods();
	  unset($in);
	  
	  for ($cnt = 0;$cnt<count($paymethods);$cnt++)
	  {
	    $in .= "    <option value=\"".$paymethods[$cnt][method]."\">".$paymethods[$cnt][method]." (".$paymethods[$cnt][cost]." )</option>\n";
	  }

      $out[6][text2] = "<select name=in_bezahlung>$in</select>";

	  $out[7][text1] = "Ich erklre mich mit den <br><a href=\"$PHP_SELF?cmd=show_anmbed\">Anmeldebedingungen</a> einverstanden.";
      $out[7][text2] = "<input type=checkbox name=in_ok>";
    }
    else
    {
	  $out[6][text1] = "Deine Kurzbeschreibung";
	  $out[6][text2] = "<textarea cols=35 rows=7 name=in_userdesc></textarea>";

	  $out[7][text1] = "Deine Clanbeschreibung";
	  $out[7][text2] = "<textarea cols=35 rows=7 name=in_clandesc></textarea>";
	}
	$cl->TableTextLong($out,$lopts);
	$cl->FormSubmit("2","Anmelden");
  }

  // XML::COMMENT (Anmeldung durchfhren)
  elseif ($cmd == 'cmd_anmeldung')
  {
    // XML::COMMENT (Fehlende Felder berpfen)
    (!$in_ok && is_online) ? (faultExt("Du musst dich mit den Anmeldenbedingungen einverstanden erklren")) : ($dummy);
    (!$in_username) ? (fault()) : ($dummy);
    (!$in_fullname) ? (fault()) : ($in_username = htmlentities($in_username));
    (!$in_email) ? (fault()) : ($dummy);
	(!$in_pw) ? (fault()) : ($dummy);
	(!($in_pw == $in_pw2)) ? (fault()) : ($dummy);

	// XML::COMMENT (Emailadresse berprfen)
	(!preg_match("/(.*)@(.*)\.(.*)/",$in_email,$bla)) ? (faultExt("Du hast keine gltige E-Mailadresse eingegeben.")) : ($dummy);

	// XML::COMMENT (Falls ein neuer Clan erzeugt wurde)
	(($in_clan == 'newclan') && ($in_newclan)) ? ($in_clan = $in_newclan) : ($dummy);

	// XML::COMMENT (Alle Special-Characters entfernen)
	$in_clan = htmlentities($in_clan);
	$in_clandesc = htmlentities($in_clandes);
	$in_userdesc = htmlentities($in_userdesc);

    // XML::COMMENT (Password verschlsseln)
    $mypw = $cuser->cryptPassword(array('pw' => $in_pw, 'username' => $in_username));

	// XML::COMMENT (Array mit Benutzerdaten erstellen)
	$usertoadd = array();
	$usertoadd['username']  = $in_username;
	$usertoadd['fullname']  = $in_fullname;
	$usertoadd['email']     = $in_email;
	$usertoadd['realpw']    = $in_pw;
	$usertoadd['cryptedpw'] = $mypw;
	$usertoadd['tag'] 		= $in_clan;
	$usertoadd['clandesc']  = $in_clandesc;
	$usertoadd['userdesc']  = $in_userdesc;

	// XML::COMMENT (berprfen, ob der User bereits existiert)
	($cuser->checkUserExists($usertoadd)) ? (faultExt("Dieser User existiert bereits.")) : ($dummy);

	$out[0][text] = "Deine Anmeldung verlief erfolgreich<br>\nDein Benutzername ist ".$usertoadd['username']."";

	// XML::COMMENT (IPs werden per DHCP vergeben)
	if ($settings['lan.usedhcp'])
	{
	  $out[0][text] .= "<br>Die IP-Adressenvergabe erfolgt per DHCP-Server.<br>";
	  $myip = "Per DHCP";
	}
	// XML::COMMENT (IPs werden automatisch vom Intranetsystem vergeben)
	else
	{
	  if (!$settings['lan.ipcurrent'])
	  {
	    $ar = explode(".",$settings['lan.ipstring']);

	    $opts = array(key=>"lan.ipcurrent",value=>$ar[3]);
	    $cfunc->setSetting($opts);
	    $myip = $settings['lan.ipstring'];
	  }
	  else
	  {
	    $opts = array(key=>"lan.ipcurrent",increment=>1);
	    $cfunc->setSetting($opts);
	    $settings = $cfunc->getSettings();
	    $ar = explode(".",$settings['lan.ipstring']);
	    $myip = $ar[0].".".$ar[1].".".$ar[2].".".$settings['lan.ipcurrent'];
 	  }
	  $out[0][text] .=  "<br>Dir wurde die IP $myip zugewiesen.<br>";
 	}
	$usertoadd['ip'] = $myip;
	$usertoadd['bezahlung'] = $in_bezahlung;

	// XML::COMMENT (Hier wird der User zur Datenbank hinzugefgt)
	$id = $cuser->addUser($usertoadd);

	// XML::COMMENT (Falls Platzzuweisung verwendet wird, wird hier automatisch der Platz versucht zuzuweisen)
	if ((is_online) && ($settings['lan.sitzplan.anmeldung.reserve']))
	{
	   ($cseats->tryToReserve($in_username)) ? ($out[0][text] .= "Dir wurde ein Sitzplatz zugewiesen.<p>") : ($out[0][text] .= "Dir konnte kein Sitzplatz zugewiesen werden.");
	}

	if (preg_match("/(Vorkasse|Ueberweisung|berweisung|Konto)/i",$in_bezahlung,$ar))
	{
      $mytext   = $ctext->getText('phpAnmeldung.konto');

	  if ($mytext[val_1])
	  {
	    $p_cl[in] = $mytext[val_1];
	  }
 	  else
	  {
  	    // XML::CODE ($out[0][text] .= "<p>Das Eintrittsgeld muss an <br><b>Volksbank Lehre eG <br>Inhaber: Marc Biebusch <br>BLZ: 250 693 84 <br>Kontonr.: 12166500</b>";)
	    // XML::CODE ($out[0][text] .= "<br>berwiesen werden. <br>Bitte vergiss nicht, als <b>Verwendungszweck</b> deinen vollstndigen Nickname mit evt. Clantag anzugeben!";)
		$out[0][text] = "<p>Bei dem Verwendungszweck der berweisung musst du deinen Nickname und deinen evt. Clantag angeben!";
      }
	}

	// XML::COMMENT (Falls SCS verwendet wird, wird der Benutzer gleich registriert)
	if ((!is_online) && ($settings['lan.scs.activated']))
	{
	  $rpcopts['name']     = $opts['username'];
	  $rpcopts['password'] = $opts['realpw'];
	  $rpcopts['email']    = $opts['email'];
	  $rpcopts['userid']   = $opts['id'];
	  $cscs->rpcCall("systemfunctions.user.register",$rpcopts);
	}

    // XML::COMMENT (Je nach Site-Status anderen Link anzeigen)
    (is_online) ? ($out[0][text] .= "<p><a href=\"$PHP_SELF?cmd=show_users\">Weiter -></a>") : ($out[0][text] .= "<p><a href=\"phpUser.php?cmd=show_users\">Weiter -></a>");

	$cl->TableText($out);
  }
  elseif ($cmd == 'show_users')
  {
    (session_is_registered("active_login")) ? ($colspan = 3) : ($colspan = 2);

	$angemeldete = $cuser->getTotalUsers();

	$opts['FLAG'] = "FLAG_ROWS";
	$opts['order'] = "tag";
	$users = $cuser->getDBData($opts);

	for ($cnt=0;$cnt<count($users);$cnt++)
	{
	  $opts[username] = $users[$cnt];
	  $opts['FLAG'] = "NONE";

	  $myuser = $cuser->getDBData($opts);
      if (isset($$myuser[tag]))
      {
        $$myuser[tag]++;
	  }
	  else
	  {
        if ($myuser[tag] == 'noclan')
        {
          $myuser[tag] = "Kein Clan";
        }

        $p_cl[0][text]    = $myuser[tag];
        $p_cl[0][p_class] = "top";
	    $p_cl[0][colspan] = $colspan;
		$cl->TableText($p_cl);
	    unset($p_cl);

		$$myuser[tag] = 1;
		$total_clans++;
	  }

  	  if (session_is_registered("active_login"))
      {
		($myuser[status] == 1) ? ($out = "Bezahlt") : ($out = "Nicht bezahlt");
		$p_cl[0][text]    = $out;
		$p_cl[0][p_class] = "option";

        $p_cl[1][text]    = "<a href=\"phpAnmeldung.php?cmd=show_details&id=".$myuser[id]."\">".$myuser[username]."</a>";
        $p_cl[1][p_class] = "left";
		$p_cl[2][text]    = $myuser[fullname];
		$p_cl[2][p_class] = "right";

		$cl->TableText($p_cl);
	  }
	  else
	  {
		($myuser[status] == 1) ? ($out = "Bezahlt") : ($out = "Nicht bezahlt");
		$p_cl[0][text]    = $out;
		$p_cl[0][p_class] = "right";

        $p_cl[1][text]    = $myuser[username];
        $p_cl[1][p_class] = "left";

		$cl->TableText($p_cl);
	  }
	  unset($p_cl);
	  $total_users++;
	}
	$free_users = $settings['lan.maxusers'] - $angemeldete;
	$cl->cellDummy("","out");
	$p_cl[0][colspan] = $colspan;
	$p_cl[0][text] = "Angemeldete Clans: ".$total_clans." | Angemeldete User: ".$total_users." (freie Pltze: $free_users)";
	$cl->TableText($p_cl);
  }
  elseif ($cmd == 'show_details')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$opts['id'] = $id;
	$myuser = $cuser->getDBData($opts);

	$cl->FormNew("$PHP_SELF?cmd=cmd_changestatus","");
	$cl->FormHidden("in_id","$id");

    $cl->cells2Noopt("Clan",$myuser[tag],"out");
    $cl->cells2Noopt("Username",$myuser[username],"out");
    $cl->cells2Noopt("Realer Name",$myuser[fullname],"out");
    $cl->cells2Noopt("Zugewiesene IP",$myuser[ip],"out");
    $cl->cells2Noopt("E-Mailadresse","<a href=\"mailto:".$myuser[email]."\">".$myuser[email]."</a>","out");

    $in = "<select name=in_status>";
	$ar_status = array("Bezahlt","Noch nicht bezahlt");
	$ar_usergroup = array("admin"=>"Administrator","orga"=>"Orga","reg_user"=>"Registrierter User");
	for($cnt=0;$cnt<count($ar_status);$cnt++)
	{
	  $in .= "<option value=\"$ar_status[$cnt]\"";
	  if ($ar_status[$cnt] == $myuser['status'])
	  {
	    $in .= " selected";
	  }
	  $in .= ">$ar_status[$cnt]</option>\n";
	}
	$in .= "  </select>\n";

    $cl->cells2Noopt("Status","$in","out");
	$cl->cells2Noopt("Bezahlung ber",$myuser[bezahlung],"out");
	$cl->FormSubmit("2","");

	mysql_close();
  }
  elseif ($cmd == 'show_anmbed')
  {
    $mytext   = $ctext->getText('phpAnmeldung.anmbed');

	if ($mytext[val_1])
	{
	  $p_cl[in] = $mytext[val_1];
	}
	else
	{
      $p_cl[in]  = "<ul>";
      $p_cl[in] .= "  <li>Rauchen ist nur auerhalb des Gebudes erlaubt, auf dem die LAN veranstaltet wird";
      $p_cl[in] .= "  <li>Fr Schden, die durch Eigenverschulden oder Diebstahl auf der LAN enstehen, kommt der Veranstalter nicht auf.";
      $p_cl[in] .= "  <li>Fr die Inhalte (Software) auf den Computern der LAN-Teilnehmer ist jeder selbst verantwortlich. Die Veranstalter bernehmen dafr keine Haftung.";
	  $p_cl[in] .= "  <li>Rechtsextreme oder kinderpornographische Inhalte drfen auf der LAN nicht verbreitet werden. ";
	  $p_cl[in] .= "  <li>Der Einsatz von Nukern o.. Software auf der LAN ist untersagt.";
      $p_cl[in] .= "  <li>Bei der Anmeldung stimme ich zu, dass meine E-Mailadresse zu Newsletter-Zwecken seitens der CTH-Convention verwendet werden kann.";
	  $p_cl[in] .= "</ul>";
	}
	$cl->cellContent($p_cl);
  }
  // XML::COMMENT (Regeln auf der Netzwerkparty)
  elseif ($cmd == 'show_rules')
  {
    $mytext   = $ctext->getText('phpAnmeldung.rules');

	if ($mytext[val_1])
	{
	  $p_cl[in] = $mytext[val_1];
	}
	else
	{
	  $opts[in] = "<ul>	<li>Das Eintrittsgeld muss sptestens beim Eintritt bezahlt werden und kann aus organisatorischen Grnden nicht zurckerstattet werden.
	  <li>Rechner, Monitor, Kabel etc. mssen die Teilnehmer selbst mitbringen.
	  <li>Das Orga-Team stellt die Netzwerkhardware (Switches, Hubs, Backbonekabel, evtl. Server) und den Strom.
	  <li>Es drfen keine Aktivboxen sondern nur Kopfhrer benutzt werden.
	  <li>Der Verzehr von alkoholischen Getrnken ist nur im geringen Mae erlaubt.
	  <li>Es darf nur auerhalb des Gebudes geraucht werden.
	  <li>Das Mindestalter fr die Netzwerkparty betrifft 16 Jahre, deshalb werden die Teilnehmer gebeten, ihren Personalausweis mitzubringen.
	  <li>Fr evtl. Schden an Hard- oder Software muss der Verursacher aufkommen.
	  <li>Fr Schden, die durch Eigenverschulden oder Diebstahl enstehen, kommt das Orgateam nicht auf.
 	  <li>Der Einsatz von Nukern, Viren oder Backdoortools ist untersagt.
	  <li>Der Besitz oder das Verbreiten von illegaler Software ist untersagt.
	  <li>Der Veranstalter darf die betragenen Daten im Netzwerk nicht berprfen.
	  <li>Das mehrfache Anmelden im Intranetsystem (vorliegend ist Chrystal) ist untersagt.
	  <li>Auerdem muss bei der Anmeldung im Intranetsystem die realen Daten angegeben werden.
	  <li>Beim Betrug eines Spielers durch Cheats, Hacks etc. whrend eines Tuniers behlt sich das Orgateam das Recht vor, das betreffende Team vom Tunier auszuschlieen.
	  <li>Rechtsextreme oder kinderpornographische Inhalte drfen nicht verbreitet werden.
	  <li>ffentliche HTTP- oder FTP-Server knnen dem Orgateam gemeldet werden, so dass sie in das Intranetsystem integriert werden, eine feste IP und einen Domainnamen zugewiesen bekommen.
	  <li>Die Verteilung der IPs wird je nach Umfang der LAN-Party entweder durch einen DHCP-Server (ab 30 Personen) oder per Hand (bis 30 Personen) verteilt.
	  <li>Eigene, dedizierte Server knnen bei den Orgas abgestellt werden, so dass die Server einen direkten Zugang zum Backbone haben. Der Server selbst darf nur von seinem Besitzer ber RCon, Telnet etc. administriert werden.
	  </ul>";
	}
	$opts[in] .= "<center><a href=\"$PHP_SELF?cmd=show_anmeldung\">Ich erklre mich einverstanden</a></center>";
	$cl->cellContent($opts);
  }
  elseif ($cmd == 'cmd_changestatus')
  {
    $cuser->setUserStatus($in_id,$in_status);
    printDanke();
  }
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $mydesign = $cdesign->getDesignSettings();
    $mytext   = $ctext->getText('phpAnmeldung.anmbed');

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=anmbed","");
  	$cl->cells2Noopt("Anmeldebedingungen (HTML erlaubt)","<textarea name=in_body cols=35 rows=7>".$mytext[val_1]."</textarea>","out");

	$p_cl[0][text]    = "Anmerkung: Werden die einzelnen Textfelder leer gelassen, werden die Voreinstellungen des Clans ::[CTH]:: benutzt.";
	$p_cl[0][colspan] = 2;
	$cl->TableText($p_cl);

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_konto')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $mydesign = $cdesign->getDesignSettings();
    $mytext   = $ctext->getText('phpAnmeldung.konto');

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=konto","");
  	$cl->cells2Noopt("Kontodaten (HTML erlaubt)","<textarea name=in_body cols=35 rows=7>".$mytext[val_1]."</textarea>","out");

	$p_cl[0][text]    = "Anmerkung: Werden die einzelnen Textfelder leer gelassen, werden die Voreinstellungen des Clans ::[CTH]:: benutzt.";
	$p_cl[0][colspan] = 2;
	$cl->TableText($p_cl);

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_rules')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $mydesign = $cdesign->getDesignSettings();
    $mytext   = $ctext->getText('phpAnmeldung.rules');

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=rules","");
  	$cl->cells2Noopt("Regeln (HTML erlaubt)","<textarea name=in_body cols=35 rows=7>".$mytext[val_1]."</textarea>","out");

	$p_cl[0][text]    = "Anmerkung: Werden die einzelnen Textfelder leer gelassen, werden die Voreinstellungen des Clans ::[CTH]:: benutzt.";
	$p_cl[0][colspan] = 2;
	$cl->TableText($p_cl);

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_bezahlung')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
  	
	$paymethods = $ctext->getPayMethods();
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=paymethods","");
	
	for($cnt=0;$cnt<count($paymethods);$cnt++)
	{
	  $cl->FormHidden("in_tochange[]",$paymethods[$cnt][id]);
	  $cl->cells2Noopt("<input type=text name=\"".$paymethods[$cnt][id]."method\" value=\"".$paymethods[$cnt][method]."\">","<input type=text name=".$paymethods[$cnt][id]."cost value=\"".$paymethods[$cnt][cost]."\" size=4 maxlength=4>","out");
	}
	
	$cl->cells2Noopt("Neue Bezahlung","<input type=text name=in_newmethod>","out");
	$cl->cells2Noopt("Kosten","<input type=text name=in_newcost size=4 maxlength=4> ","out");
	$cl->FormSubmit("2","");
  }  
  elseif ($cmd == 'cmd_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	if ($what == 'konto')
	{
	  $opts[uid] = "phpAnmeldung.konto";

	  $in_body = nl2br($in_body);
	  $opts[val_2] = $in_body;
	  $ctext->setText($opts);
	}
	elseif ($what == 'anmbed')
	{
	  $opts[uid] = "phpAnmeldung.anmbed";
	  $in_body = nl2br($in_body);
	  $opts[val_1] = $in_body;
	  $ctext->setText($opts);
	}
	elseif ($what == 'rules')
	{
	  $opts[uid] = "phpAnmeldung.rules";
	  $in_body = nl2br($in_body);
	  $opts[val_1] = $in_body;
	  $ctext->setText($opts);
	}
    elseif ($what == 'paymethods')
    {
      if ($in_newmethod)
      {
        $opts[cost] = $in_newcost;
        $opts[method] = $in_newmethod;
        $ctext->addPayMethod($opts);
      }
      
      for ($cnt = 0;$cnt<count($in_tochange);$cnt++)
      {
	    if (${$in_tochange[$cnt]."method"} == '')
	    {
	      $ctext->deletePayMethod($in_tochange[$cnt]);
	    }
	    else
	    {
	      $cfunc->setSetting(array('key' => "lan.pay.".$in_tochange[$cnt].".method",'value' => ${$in_tochange[$cnt]."method"}));
	      $cfunc->setSetting(array('key' => "lan.pay.".$in_tochange[$cnt].".cost",'value' => ${$in_tochange[$cnt]."cost"}));
	  	}
	  }	  
    }
    printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
