<?php session_start(); ?>

<?
  // XML::MODUL   (phpGallery)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Anzeige von Bildern auf der Website)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpGallery";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpGallery.php";
  $opts[insertin]   = "mainmenu";
  $opts[showedname] = "Gallerie";
  $opts[active] 	= 1;
  $opts[url] 		= "phpGallery.php?cmd=show_gallery";
  $opts[desc] 		= "Bildergallerie anzeigen";
  $opts[is_admin]	= 1;
  $opts[adminname]  = "Bildergallerie";
  $opts[admindesc]  = "Bildergallerie administrieren";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

 // XML::COMMENT (Variablen fr das 1. Modul festlegen)
  $opts[uid] 	    = "phpGallery.php";
  $opts[insertin]   = "usermenu";
  $opts[online]     = 0;
  $opts[showedname] = "Bilder in Datenbank uploaden";
  $opts[active] 	= 1;
  $opts[url] 		= "phpGallery.php?cmd=user_overview";
  $opts[desc] 		= "Hier knnen von dir aufgenommene Bilder ins Intranetsystem geuploadet werden";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Generelle Einstellungen";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Gallerie";
  
  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  if ($cmd == 'show_gallery')
  {
	// XML::COMMENT (Bildersegment auswhlen)
	// XML::COMMENT (Einstiegsseite)
	if (!$min_id || !$maj_id)
	{
	  $maj_id = $settings['lan.gallery.maximages'];
	  $min_id = 1;
	  $opts[from_id] = $min_id;
	  $opts[to_id]   = $maj_id;

	}
	// XML::COMMENT (Unterseite)
	else
	{
	  $opts[from_id] = $min_id;
	  $opts[maj_id]  = $maj_id;
	}
	// XML::COMMENT (Bilder aus der Datenbank laden)
	$my_images = $cgallery->getImages($opts);
	unset($opts);

	($settings['lan.gallery.overview.height']) ? ($img_height = "height = \"".$settings['lan.gallery.overview.height']."\"") : ($dummy);
	($settings['lan.gallery.overview.width']) ? ($img_width = "width = \"".$settings['lan.gallery.overview.width']."\"") : ($dummy);

	// XML::COMMENT (Array durchlaufen)
	for ($cnt = 0;$cnt<count($my_images);$cnt++)
	{
      $t_ar = explode(".",$my_images[$cnt][filename]);
      $p_cl[0][text] = "<a href=\"$PHP_SELF?cmd=show_detail&id=".$my_images[$cnt][id]."\"><img $img_width $img_height src=\"gallery/".$my_images[$cnt][filename]."\"></a>";
	  $p_cl[0][p_class] = "center";
	  $cl->TableText($p_cl);
	  unset($p_cl);

      $p_cl[0][text] = "Upgeloadet am ".$cevent->convertTStoDB($t_ar[0])." von ".$my_images[$cnt][username];
      $p_cl[0][p_class] = "center";
	  $cl->TableText($p_cl);
	  unset($p_cl);
	  $cl->cellDummy(1,"out");
	}

	// XML::COMMENT (Menu anzeigen, falls noch andere Bilder in der Datenbank vorhanden sind)
	if ($cnt < $cgallery->getTotalImages())
	{
	  $t_pages = $cgallery->getTotalImages() / $settings['lan.gallery.maximages'];

	  // XML::COMMENT (Seiten aufrunden)
	  $t_pages = ceil($t_pages);
	  $last = 1;
	  for ($cnt = 0; $cnt<$t_pages;$cnt++)
	  {
		$cur_first = $cnt*$settings['lan.gallery.maximages'] + $last;
		$cur_last  = $cur_first + $settings['lan.gallery.maximages'];
		$last++;
	  	$a_link .= "<a href=\"$PHP_SELF?min_id=$cur_first&maj_id=$cur_last\">$cur_first - $cur_last</a> |";
	  }

	  // XML::COMMENT (Letztes | entfernen)
	  $a_link = substr($a_link, 0, -1);

      $p_cl[0][text] = $a_link;
      $p_cl[0][p_class] = "center";
	  $cl->TableText($p_cl);
	  unset($p_cl);
	}
  }
  elseif ($cmd == 'show_detail')
  {
    (!$id) ? ($cfunc->faultExt("Es muss eine ID angegeben werden.")) : ($dummy);
    $opts[from_id] = $id;
    $opts[to_id]   = $id;

    $my_image = $cgallery->getImages($opts);

    $t_ar = explode(".",$my_image[0][filename]);
    $p_cl[0][text] = "<img src=\"gallery/".$my_image[0][filename]."\"></a>";
	$p_cl[0][p_class] = "center";
	$cl->TableText($p_cl);
	unset($p_cl);

    $p_cl[0][text] = "Upgeloadet am ".$cevent->convertTStoDB($t_ar[0])." von ".$my_image[0][username]."<br>".$my_image[0][desc]."<p>Beschreibung: ".$my_image[0][desc];
    $p_cl[0][p_class] = "center";
	$cl->TableText($p_cl);
	unset($p_cl);
  }
  elseif ($cmd == 'user_overview')
  {
    // XML::COMMENT (Sicherheitsabfrage, ob der User dem System bekannt ist)
    (!session_is_registered("active_userlogin")) ? (faultExt("Um diesen Service nutzen zu knnen, musst du angemeldet sein")) : ($dummy);

	$p_form[enctype] = "multipart/form-data";
	$p_form[action]  = "$PHP_SELF?cmd=user_overview";
	$cl->newForm($p_form);

	$cl->cells2Noopt("Beschreibung","<input type=text name=in_desc>","out");
	$cl->cells2Noopt("Datei","<input type=file name=in_file class=submit>","out");

	$cl->FormSubmit(2,"Ausgewhltes Bild uploaden");

	if (isset($in_file))
	{
      // XML::COMMENT (Bugfix fr: http://www.securityfocus.com/archive/1/80106)
      if (isset($HTTP_COOKIE_VARS["in_file"]) || isset($HTTP_POST_VARS  ["in_file"]) || isset($HTTP_GET_VARS["in_file"]))
      {
        $cfunc->faultExt("Aus Sicherheitsgrnden wird der Upload abgebrochen.");
	  }
	  else
	  {
		((filesize($in_file) / 1024) > $settings['lan.gallery.maxfilesize']) ? ($cfunc->faultExt("Die upgeloadeten Bilddateien drfen nicht grer als ".$settings['lan.gallery.maxfilesize']." KByte sein.")) : ($dummy);
    	(!copy($in_file, "gallery/$in_file_name")) ? ($cfunc->faultExt("Konnte die Datei $filename nicht kopieren.")) : ($dummy);

		$t_ar = explode(".",$in_file_name);
		(!($t_ar[1] == 'jpg') || ($t_ar[1] == 'JPG') || ($t_ar[1] == 'PNG') || ($t_ar[1] == 'png') || ($t_ar[1] == 'gif') || ($t_ar[1] == 'GIF')) ? ($cfunc->faultExt("Die Datei ist keine Bilddatei.")) : ($dummy);

		$opts[file] = time().".".$t_ar[1];
		$opts[username] = $active_username;
		$opts[desc]		= $in_desc;

		rename("gallery/$in_file_name","gallery/".$opts[file]);
		$cgallery->addImage($opts);

		$cl->cellDummy(2,"out");
  	    $p_cl[0][text] = "Die Datei $in_file_name wurde erfolgreich upgeloadet.";
    	$p_cl[0][colspan] = 2;
    	$cl->TableText($p_cl);
      }
	}
  }
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=general","");

	$cl->cells2Noopt("max. Anzahl von Bildern pro Seite","<input type=text name=in_maximages size=5 maxlength=5 value=\"".$settings['lan.gallery.maximages']."\">","out");
	$cl->cells2Noopt("max. Gre des images-Ordner (in KByte)","<input type=text name=in_maxdirsize size=5 maxlength=5 value=\"".$settings['lan.gallery.maxdirsize']."\">","out");
	$cl->cells2Noopt("max. Gre von geuploadeten Bildern (in KByte)","<input type=text size=5 maxlength=5 name=in_maxfilesize value=\"".$settings['lan.gallery.maxfilesize']."\" title=\"Bilder, die diese Gre berschreiten, werden verworfen\">","out");
	$cl->cells2Noopt("Gre der Bilder in bersicht (Hhe in Pixeln)","<input type=text size=5 maxlength=5 name=in_imgheight value=\"".$settings['lan.gallery.overview.height']."\">","out");
	$cl->cells2Noopt("Gre der Bilder in bersicht (Breite in Pixeln)","<input type=text size=5 maxlength=5 name=in_imgwidth value=\"".$settings['lan.gallery.overview.width']."\">","out");

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'cmd_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	if ($what == 'general')
	{
	  $opts = array(key=>"lan.gallery.maximages",value=>$in_maximages);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.gallery.maxdirsize",value=>$in_maxdirsize);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.gallery.maxfilesize",value=>$in_maxfilesize);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.gallery.overview.width",value=>$in_imgwidth);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.gallery.overview.height",value=>$in_imgwidth);
	  $cfunc->setSetting($opts);
	}
	elseif ($what == 'delimages')
	{
	}
	printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
