<?php
  session_start();
  (!session_is_registered("active_login")) ? (exit) : ($dummy);

  // XML::COMMENT (Datei exportieren)
  if ($cmd == 'do_export')
  {
    // XML::COMMENT (Folgendes wurde aus der CCore.php kopiert)
    // XML::COMMENT (Es dient dazu, dass die Einstellungen ohne Warnings vir open_basedir-restrictions ausgegeben werden knnen)
    // XML::COMMENT (Betriebssystem berprfen und INI-Seperator sowie Slash setzen)
    (substr(php_uname(), 0, 7) == "Windows") ? (($inc_sep = ";") && ($inc_slash = "\\")) : (($inc_sep = ":") && ($inc_slash = "/"));

    // XML::COMMENT (ggw. Verzeichnis als Include-Pfad festlegen)
    // XML::COMMENT (ggw. Setting lesen)
    $myini = ini_get("include_path");

    // XML::COMMENT (ggf. Seperator setzen)
    ($myini == '') ? ($inc_sep = '') : ($dummy);

    // XML::COMMENT (Class-Pfad setzen)
    $inc_path = realpath(".").$inc_slash."classes";

    // XML::COMMENT (Einstellung setzen)
    ini_set("include_path",$inc_path.$inc_sep.$myini);

    include("./classes/CImExport.php");
    $cimexport = new CImExport;
    $out = $cimexport->export($table);
	
	header("Content-type: text/xml\r\n");    
	print $out;
    exit;
  }
  else
  {
    include("./classes/CCore.php");
  }
?>

<?
  // XML::MODUL   (phpImExport)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpImExport exportiert die Datenbank und dient als Login-Portal fr den Administrationsbereich)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpImExport";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpImExport.php";
  $opts[active] 	= 1;
  $opts[is_admin]   = 1;
  $opts[adminname]  = "XML-Im/Export";
  $opts[admindesc]  = "Datenbank im- und exportieren";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Anleitung";
  $menu[0][link] = "$PHP_SELF?cmd=admin_overview";

  if (is_online)
  {
    $menu[1][showedname] = "DB exportieren";
    $menu[1][link]       = "$PHP_SELF?cmd=admin_avtables";
  }
  else
  {
    $menu[1][showedname] = "DB/Backup importieren";
    $menu[1][link]	   	 = "$PHP_SELF?cmd=admin_import";
    $menu[2][showedname] = "DB exportieren";
    $menu[2][link]	     = "$PHP_SELF?cmd=admin_avtables";
  }
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>


<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Im-/Export";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Datenbank in XML ausgeben)
  if ($cmd == 'admin_overview')
  {
	$p_cl[0][text]  = "Diese Plugin gibt dem Administrator die Mglichkeit\n";
	$p_cl[0][text] .= "<ul>\n<li>phpChrystal (online) nach XML zu exportieren\n";
	$p_cl[0][text] .= "<li>exportierte XML-Dateien (online) in die offline-Variante zu importieren\n";
	$p_cl[0][text] .= "<li>ein Backup wichtiger Tabellen nach XML zu machen\n";
	$p_cl[0][text] .= "<li>dieses Backup nach einem phpChrystal-Update zu importieren\n";
	$p_cl[0][text] .= "</ul>\n";

 	$cl->TableText($p_cl);
  }
  elseif ($cmd == 'admin_import')
  {
	$p_form[enctype] = "multipart/form-data";
	$p_form[action]  = "$PHP_SELF?cmd=admin_import";
	$cl->newForm($p_form);

	$p_cl[0][text] = "<input type=file name=in_file class=submit>";
	$cl->TableText($p_cl);

	$cl->FormSubmit(1,"Ausgewhlte XML-Datei importieren");

	if (isset($in_file))
	{
      // XML::COMMENT (Bugfix fr: http://www.securityfocus.com/archive/1/80106)
      if (isset($HTTP_COOKIE_VARS["in_file"]) || isset($HTTP_POST_VARS  ["in_file"]) || isset($HTTP_GET_VARS["in_file"]))
      {
        $cfunc->faultExt("Aus Sicherheitsgrnden wird das Importieren abgebrochen.");
	  }
	  else
	  {
		$cimexport->import($in_file);

		$cl->cellDummy(1,"out");
  	    $p_cl[0][text] = "Die Datei $in_file_name wurde erfolgreich importiert.";
    	$cl->TableText($p_cl);
      }
	}
  }
  elseif ($cmd == 'admin_avtables')
  {
    $p_cl[0][text]  = "Damit du die einzelnen Einstellungen exportieren kannst, musst du mit der RECHTEN Maustaste auf einen der unten stehenden Links klicken und danach aus dem Menu \"Speichern unter...\" whlen.";
	$p_cl[0][text]  .= "<br>Folgende Tabellen knnen exportiert werden:\n";
	$p_cl[0][text]  .= "<ul>\n<li><a href=\"$PHP_SELF?cmd=do_export&table=user\">Userdatenbank</a></li>\n";
	$p_cl[0][text]  .= "\n<li><a href=\"$PHP_SELF?cmd=do_export&table=setting\">Einstellungen</a></li>\n";
	$p_cl[0][text]  .= "\n</ul>";

    $cl->TableText($p_cl);
  }

  // XML::COMMENT (Standard-Errorstring)
  else
  {
    faultExt("Diese String ist nicht registriert");
  }

?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
