<?php session_start(); ?>

<?
  // XML::MODUL   (phpModules)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpModules verwaltet die Module)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpModules";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpModules.php";
  $opts[insertin]   = "";
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Modulverwaltung";
  $opts[admindesc] 	= "Deaktivert die Module bzw. integriert neue Module";
  $opts[active] 	= 1;

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Modulbersicht";
  $menu[0][link] = "$PHP_SELF?cmd=admin_overview";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Modulverwaltung";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Sicherheitsbfrage, ob der User Administrator ist)
  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu benutzen.")) : ($dummy);

  // XML::COMMENT (Server im LAN anzeigen)
  if ($cmd == 'admin_overview')
  {
	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=activate","");
	$opts[p_class] = "modules_oben";
	$p_cl[0][p_class] = "option_oben";
	$p_cl[0][text] = "Aktiv";
	$p_cl[1][text] = "Name";
	$p_cl[2][text] = "Weiteres";

	$cl->cellsTop($p_cl,$opts);
	unset($opts,$p_cl);

	$mymods = $cmod->getMods($opts);

	for ($cnt=0;$cnt<count($mymods);$cnt++)
	{
	  $opts[showedname] = $mymods[$cnt][showedname];
	  $opts[uid]		= $mymods[$cnt][uid];
	  
	  ($cmod->checkModIsActive($opts)) ? ($out = 'checked') : ($out = '');
	  unset($opts);
	  
	  ($mymods[$cnt][showedname]) ? ($showed = $mymods[$cnt][showedname]) : ($showed = $mymods[$cnt][adminname]);

	  $p_cl[0][text]    = "<input type=checkbox name=in_toactivate[] $out value=\"".$mymods[$cnt][id]."\">";
	  $p_cl[0][p_class] = "option";
	  $p_cl[1][text]    = $showed;
	  $p_cl[2][text]    = "<a href=\"$PHP_SELF?cmd=admin_details&id=".$mymods[$cnt][id]."\" title=\"Weitere Informationen ber das Modul anzeigen\">Weiteres</a>";
	  $cl->TableText($p_cl);
	  unset($p_cl);

	}
	(!$cnt) ? (($in[0][text] = "Keine Module vorhanden") && ($cl->TableText($in))) : ($cl->FormSubmit("3","Aktivieren/Deaktivieren"));
  }

  elseif ($cmd == 'admin_details')
  {
    $opts[id] = $id;
    $mymod = $cmod->getMods($opts);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change","");
	$cl->FormHidden("in_id","$id");

	$cl->cells2Noopt("UniqueID bzw. Dateiname",$mymod[0][uid],"out");

    if ($mymod[0][insertin] == 'usermenu')
    {
      $in = "Usermenu";
      if ($mymod[0][adminname] != '')
      {
        $in .= " & Administrationsmenu";
	  }
    }
    elseif ($mymod[0][insertin] == 'mainmenu')
    {
      $in = "Hauptnavigation";
      if ($mymod[0][adminname] != '')
      {
        $in .= " & Administrationsmenu";
	  }
	}
    elseif ($mymod[0][insertin] == '')
    {
      $in = "Administrationsmenu";
	}


	$cl->cells2Noopt("Wird eingefgt in","$in","out");
	$cl->cells2Noopt("Listenordnung","<input type=text size=2 maxlength=2 name=in_listorder value=\"".$mymod[0][listorder]."\">","out");
	$cl->cells2Noopt("Name (Men)","<input type=text name=in_showedname value=\"".$mymod[0][showedname]."\">","out");
	$cl->cells2Noopt("Name (Administration)","<input type=text name=in_adminname value=\"".$mymod[0][adminname]."\">","out");

	($mymod[0][active]) ? ($in = "checked") : ($dummy);
	$cl->cells2Noopt("Aktiviert","<input type=checkbox name=in_active value=1 $in>","out");
	$cl->cells2Noopt("Adresse","<input type=text name=in_url value=\"".$mymod[0][url]."\">","out");

	// XML::COMMENT (Settings, Values aufsplitten)
	$desset = split(";",$mymod[0][settings]);
	$desval = split(";",$mymod[0][value]);
	// XML::COMMENT (Letztes Array aus Element lschen, da es leer ist (split-Funktion unter Perl macht dies automatisch))
	array_pop($desval);
	array_pop($desset);

	// XML::COMMENT (individuelle Einstellungen festlegen)
	for ($cnt2=0;$cnt2<count($desval);$cnt2++)
	{
	  $cl->cells2Noopt("<input type=text name=in_addsetting[] value=\"".$desset[$cnt2]."\">","<input type=text name=in_addvalue[] value=\"".$desval[$cnt2]."\">","out");
	}
	$cl->cells2Noopt("<input type=text title=\"Mglichkeiten:\nnosep = 1\nnopost = 1\nnopre = 1\ndontshow = 1\"  name=in_addsetting[]>","<input type=text name=in_addvalue[]>","out");

    $cl->FormSubmit("2","Einstellungen fr das Modul bernehmen");
  }

  // XML::COMMENT (Neue Einstellungen bernehmen)
  elseif ($cmd == 'cmd_update')
  {
    if ($what == 'change')
    {
	  for ($cnt=0;$cnt<count($in_addsetting);$cnt++)
	  {
	    ($in_addvalue[$cnt]) ? (($setting_string .= "".$in_addsetting[$cnt].";") && ($value_string .= "".$in_addvalue[$cnt].";")) : ($dummy);
	  }
	   unset($opts);
       $opts[id] = $in_id;
       $opts[listorder]  = $in_listorder;
       $opts[showedname] = $in_showedname;
       $opts[adminname]  = $in_adminname;
       $opts[active]     = $in_active;
       $opts[url]		 = $in_url;
       $opts[settings]   = $setting_string;
       $opts[value]      = $value_string;
      (!$cmod->setMod($opts)) ? (faultExt("Die Einstellungen konnten NICHT bernommen werden.")) : ($dummy);
	}
	elseif ($what == 'activate')
	{
	  $mymods = $cmod->getMods($opts);

  	  for ($cnt=0;$cnt<count($mymods);$cnt++)
	  {
  	    $opts[id] = $mymods[$cnt][id];
	    $opts[active] = 0;
	    $cmod->activateMod($opts);
	  }

  	  for ($cnt=0;$cnt<count($in_toactivate);$cnt++)
	  {
	    $opts[id] = $in_toactivate[$cnt];

	    $opts[active] = 1;
		$opts[online] = 2;
	    $cmod->activateMod($opts);
	  }
	}
    printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>
<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
