<?php session_start(); ?>

<?
  // XML::MODUL   (phpOrdering)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Anzeige und Verwaltung der Bestellungen)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpOrdering";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpOrdering.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]     = 0;
  $opts[showedname] = "Bestellservice";
  $opts[active] 	= 1;
  $opts[url] 		= "phpOrdering.php?cmd=show_articles";
  $opts[desc] 		= "Bestellungen aufgeben";
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Bestellservice verwalten";
  $opts[admindesc]  = "Bestellungen einsehen, Artikel zur Datenbank hinzufgen";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Allgemeines";
  $menu[0][link]	   = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Artikel hinzufgen & ndern";
  $menu[1][link]       = "$PHP_SELF?cmd=admin_add";
  $menu[1][p_break]    = true;
  $menu[2][showedname] = "Artikel lschen";
  $menu[2][link]       = "$PHP_SELF?cmd=admin_delete";
  $menu[3][showedname] = "Bestellungen anzeigen";
  $menu[3][link]	   = "$PHP_SELF?cmd=admin_orders";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Bestellservice";
  
  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Sicherheitsabfrage, ob der User dem System bekannt ist)
  (!session_is_registered("active_userlogin")) ? (faultExt("Um diesen Service nutzen zu knnen, musst du angemeldet sein")) : ($dummy);

  // XML::COMMENT (Bestellungen anzeigen)
  if ($cmd == 'show_articles')
  {
	$cl->FormNew("$PHP_SELF?cmd=cmd_userupdate","");

	(!$settings['ordering.next']) ? ($settings['ordering.next'] = "&lt;Unbekannt>") : ($settings['ordering.next'] .= " Uhr");

    if ($settings['ordering.template.use'])
    {
	  $p_cl[0][text] = "Nchste Bestellung um ".$settings['ordering.next'];
	  $p_cl[0][p_class] = "top";
	  $p_cl[0][colspan] = 2;
	  $cl->TableText($p_cl);
	  unset($p_cl);

	  $p_cl[0][colspan] = 2;
	  $p_cl[0][text]	= "Du kannst <a href=\"".$settings['ordering.template.file']."\" title=\"Bestellkarte\">hier</a> eine Datei mit allen Artikeln downloaden. Die jeweilgen Kennziffern, die zu dem jeweiligen Produkt gehren, kannst du unten eingeben.<br>";
	  $p_cl[0][text]	.= "Falls du mehr als einen Artikel bestellen willst, musst du die Kennziffern mit einem Semikolon (\";\") trennen.";
	  $cl->TableText($p_cl);
	  unset($p_cl);

  	  $p_cl[0][text]    = "Deine Bestellung";
  	  $p_cl[1][text]    = "<input type=text name=in_tosplit>";
	  $cl->TableText($p_cl);
  	  $cl->FormSubmit("2","Ausgewhlte Artikel bestellen");
    }
	else
    {
      $articles = $corder->getArticles();

	  $p_cl[0][text] = "Nchste Bestellung um ".$settings['ordering.next'];
	  $p_cl[0][p_class] = "top";
	  $p_cl[0][colspan] = 3;
	  $cl->TableText($p_cl);
	  unset($p_cl);

	  for($cnt=0;$cnt<count($articles);$cnt++)
	  {
        (!isset($$articles[$cnt][typ])) ? (($$articles[$cnt][typ] = 1) && (print "<tr><td class=top colspan=3>".$articles[$cnt][typ]."</td></tr>")) : ($dummy);
	    $p_cl[0][text]    = "<input type=checkbox name=in_tobuy[] value=".$articles[$cnt][id].">";
	    $p_cl[0][p_class] = "option";
	    $p_cl[1][text]    = $articles[$cnt][desc];
	    $p_cl[1][p_class] = "left";
	    $p_cl[2][text]    = $articles[$cnt][cost]." ";
	    $p_cl[2][p_class] = "right";
	    $cl->TableText($p_cl);
	  }
	  (!$cnt) ? (($p_cl[0][text] = "Keine Artikel vorhanden oder eingetragen") && ($cl->cellsTop($p_cl))) : ($cl->FormSubmit("3","Ausgewhlte Artikel bestellen"));
  	}
  }
  elseif ($cmd == 'cmd_userupdate')
  {
	if ($settings['ordering.template.use'])
	{
	  $in_tobuy = split(";",$in_tosplit);
	}
    $corder->addOrdering($in_tobuy,$active_username);
    printDanke("Deine Bestellung wurde soeben aufgegeben.");
  }

  // XML::COMMENT (Administrationsbereich)
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    ($settings['ordering.template.use']) ? ($out = "checked") : ($dummy);
	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=overview","");
    $cl->cells2Noopt("Vorlage zum Download anbieten","<input type=checkbox value=1 name=in_template_use $out>","out");
    $cl->cells2Noopt("Link zur Vorlage","<input type=text name=in_template_file value=\"".$settings['ordering.template.file']."\">","out");
    $cl->cells2Noopt("Nchste Bestellung um","<input type=text name=in_ordering_next value=\"".$settings['ordering.next']."\"> Uhr","out");
	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_delete')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=deletearticle","");

    $articles = $corder->getArticles();
	$ar_types = $corder->getArticleTypes();

	for($cnt=0;$cnt<count($articles);$cnt++)
	{
	  $p_cl[0][text] = "<input type=checkbox name=in_todel value=".$articles[$cnt][id].">";
	  $p_cl[1][text] = $articles[$cnt][typ];
	  $p_cl[2][text] = $articles[$cnt][desc];
	  $cl->TableText($p_cl);
	}

	(!$cnt) ? (($in[0][text] = "Keine Artikel vorhanden") && ($cl->TableText($in))) : ($cl->FormSubmit("3","Ausgewhlte Artikel lschen"));

  }

  elseif ($cmd == 'admin_add')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change","");

    $articles = $corder->getArticles();
	$ar_types = $corder->getArticleTypes();

	for($cnt=0;$cnt<count($articles);$cnt++)
	{
	  print "<tr>\n";
	  print "  <td class=admin_links><input type=hidden name=articleids[] value=".$articles[$cnt][id]."><input type=text name=".$articles[$cnt][id]."desc value=\"".$articles[$cnt][desc]."\"></td>\n";
	  print "  <td class=admin_links><select name=".$articles[$cnt][id]."typ>";

	  for($cnt2=0;$cnt2<count($ar_types);$cnt2++)
	  {
	    ($ar_types[$cnt2] == $articles[$cnt][typ]) ? (print "<option value=\"$ar_types[$cnt]\" selected>$ar_types[$cnt2]</option>\n") : (print "<option value=\"$ar_types[$cnt]\">$ar_types[$cnt2]</option>\n");
	  }
	  print "  </select></td>";
	  print "  <td class=admin_links><input type=text name=".$articles[$cnt][id]."cost  size=4 maxlength=4 value=\"".$articles[$cnt][cost]."\"> </td>\n";
	  print "</tr>";
	}

	$cl->cellDummy("3","out");

	$p_cl[0][text]    = "Beschreibung";
	$p_cl[1][text] 	  = "<input type=text name=new_desc>";
	$p_cl[1][colspan] = "2";
	$cl->TableText($p_cl);
	unset($p_cl);

	$p_cl[0][text]    = "Kosten des Artikels";
	$p_cl[1][text] 	  = "<input type=text name=new_cost size=4 maxlength=4> ";
	$p_cl[1][colspan] = "2";
	$cl->TableText($p_cl);
	unset($p_cl);


	$in = "<select name=new_typ>";
	for($cnt2=0;$cnt2<count($ar_types);$cnt2++)
	{
	  $in .= "<option value=\"$ar_types[$cnt]\" selected>$ar_types[$cnt2]</option>\n";
	}
	$in .= "  </select> <input type=text name=new_savedtyp></td>";

	$p_cl[0][text]    = "Typ bzw. neuen Typ";
	$p_cl[1][text] 	  = $in;
	$p_cl[1][colspan] = "2";
	$cl->TableText($p_cl);
	unset($p_cl);

	$cl->FormSubmit("3","");
  }
  // XML::COMMENT (Bestellungen anzeigen)
  elseif ($cmd == 'admin_orders')
  {
	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=deleteordering","");
	$opts[FLAG] = "FLAG_ROWS";
  	$users = $cuser->getDBData($opts);

	for($cnt=0;$cnt<count($users);$cnt++)
	{
  	  $orders = $corder->getOrderingByUser($users[$cnt]);
	  if ($orders)
	  {
		$my_seat = $cseats->getSeatOfUser($users[$cnt]);

		$p_cl[0][text] = "<a href=\"phpSeats.php?cmd=show_seats&search=".$my_seat[id]."&etage=".$my_seat[level]."\" title=\"Interner Sitzplatz ".$my_seat[id]."\">".$users[$cnt]."</a>";
		$p_cl[0][colspan] = 3;
		$p_cl[0][p_class] = "bestellung_oben";
		$cl->TableText($p_cl);
		unset($p_cl);

	    for ($cnt_art = 0;$cnt_art<count($orders);$cnt_art++)
	    {
	      if ($settings['ordering.template.use'])
	      {
		    $p_cl[0][text]    = "<input type=checkbox name=in_todel[] value=".$orders[$cnt_art][id].">";
		    $p_cl[0][p_class] = "option";
		    $p_cl[1][text]	= $orders[$cnt_art][articleid];
		    $p_cl[2][text] 	= $orders[$cnt_art][timestamp];
		    $cl->TableText($p_cl);
		    unset($p_cl);
	        $totalcost = "&lt;Unbekannt>";
	      }
	      else
	      {
	        $article = $corder->getArticleByID($orders[$cnt_art][articleid]);
		    $p_cl[0][text]    = "<input type=checkbox name=in_todel[] value=".$orders[$cnt_art][id].">";
		    $p_cl[0][p_class] = "option";
		    $p_cl[1][text]	= $article[1]." ".$article[2]." ";
		    $p_cl[1][p_class] = "left";
		    $p_cl[2][text] 	= $orders[$cnt_art][timestamp];
			$p_cl[2][p_class] = "right";
		    $cl->TableText($p_cl);
		    unset($p_cl);
		    $totalcost += $article[2];
	  	  }
	  	}
	  }
	}
	(!$totalcost) ? (($in[0][text] = "Keine Bestellungen vorhanden") && ($cl->TableText($in))) : ((print "<tr><td class=center colspan=3>Gesamtkosten von $totalcost </td></tr>\n") && ($cl->FormSubmit("3","Ausgewhlte Artikel bestellen")));
  }

  // XML::COMMENT (Neue Einstellungen bernehmen)
  elseif ($cmd == 'cmd_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	// XML::COMMENT (Allgemeine Einstellungen)
	if ($what == 'overview')
	{
	  $opts = array(key=>"ordering.template.use",value=>$in_template_use);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"ordering.template.file",value=>$in_template_file);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"ordering.next",value=>$in_ordering_next);
	  $cfunc->setSetting($opts);
  	}
	// XML::COMMENT (Artikel ndern)
	elseif ($what == 'change')
	{
	  for($cnt=0;$cnt<count($articleids);$cnt++)
	  {
	    $opts[id] = $articleids[$cnt];
	    $opts[desc] = ${$articleids[$cnt]."desc"};
	    $opts[typ] = ${$articleids[$cnt]."typ"};
	    $opts[cost] = ${$articleids[$cnt]."cost"};

	    $corder->setArticle($opts);
	    (!${$articleids[$cnt]."desc"}) ? ($corder->deleteArticles($articleids[$cnt])) : ($dummy);
 	  }
	  ($new_savedtyp) ? ($new_typ = $new_savedtyp) : ($dummy);

	  if ($new_desc)
   	  {
	    $opts[desc] = $new_desc;
	    $opts[typ] = $new_typ;
	    $opts[cost] = $new_cost;
	    $corder->addArticle($opts);
	  }
	}
	// XML::COMMENT (Bestellungen lschen)
	elseif ($what == 'deletearticle')
	{
      $corder->deleteArticles($in_todel);
    }
	// XML::COMMENT (Bestellungen lschen)
	elseif ($what == 'deleteordering')
	{
	  for($cnt=0;$cnt<count($in_todel);$cnt++)
	  {
        $opts[id] = $in_todel[$cnt];
        $corder->deleteOrdering($opts);
      }
    }
    printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
