<?php session_start(); ?>

<?
  // XML::MODUL   (phpSCS)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpSCS bietet ein Frontend zur Kommunikation mit SCS-Servern)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpSCS";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpSCS.php";
  $opts[insertin]   = "";
  $opts[active] 	= 1;
  $opts[is_admin]   = 1;
  $opts[adminname] 	= "SCS-Plugin anzeigen";
  $opts[admindesc]  = "SCS-Plugin anzeigen";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Generelle Einstellungen";
  $menu[0][link] = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Turniere starten";
  $menu[1][link] = "$PHP_SELF?cmd=admin_tourney";
  $menu[2][showedname] = "SCS-Module";
  $menu[2][link] = "$PHP_SELF?cmd=admin_mods";
  
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "SCS-Plugin";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
  }

  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((!preg_match("/admin_overview/i",$cmd,$ret)) && (!$settings['lan.scs.activated']))
  {
	$cfunc->faultExt("Diese Funktionen sind nur bei aktiviertem SCS-Plugin nutzbar.");
  }

?>

<?php
  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

  // XML::COMMENT (Statistiken anzeigen)
  if ($cmd == 'admin_overview')
  {
    global $menu;
    $cdesign->createModulesMenu($menu,"admin");
	
	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=general","");

	($settings['lan.scs.activate']) ? ($checked = "checked") : ($checked = "");
    $cl->cells2Noopt("SCS-Plugin aktivieren","<input type=checkbox name=in_activate value=1 $checked>","out");
    $cl->cells2Noopt("Zentraler SCS-Server","<input type=text name=in_ip value=\"".$settings['lan.scs.ip']."\">","out");
    $cl->cells2Noopt("Port","<input type=text name=in_port value=\"".$settings['lan.scs.port']."\" maxlength=5 size=5>","out");

	$cl->FormSubmit("2","");
  }
  elseif ($cmd == 'admin_tourney')
  {
    global $menu;
    $cdesign->createModulesMenu($menu,"admin");

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=tourney_start","");

    $ids = $ctourn->getSCSTourneys();
    for ($cnt = 0;$cnt<=$ids;$cnt++)
    {
      $tset = $ctourn->getTSettings($ids[$cnt]);

	  $p_cl[0][text] = "<input type=checkbox value=\"".$tset['scs_id']."\" name=in_tostart>";
	  $p_cl[0][p_class] = "option";
	  $p_cl[1][text] = $tset[game]." ".$tset[constellation]."vs".$tset[constellation];
	  $p_cl[2][text] = $cevent->convertTStoDB($tset[starttime]);
	}

    (!$cnt) ? (($p_cl[0][text] = "Keine Turniere gemeldet") && ($cl->cellsTop($p_cl))) : ($cl->FormSubmit("3","Ausgewhlte Turniere starten"));
  }
  elseif ($cmd == 'admin_mods')
  {
    global $menu;

    if (!$load_mod)
    {
      $cdesign->createModulesMenu($menu,"admin");
      
      $m_mods = $cscsinet->getModules();
  	
  	  while(list($key,$val) = each ($m_mods))
      {
        $cl->cells2Noopt("<a href=\"".$PHP_SELF."?cmd=admin_mods&load_mod=$key\">".$key."</a>",$val,"out");
	  }
  	}
  	else
  	{
      $menu[3][showedname] = $load_mod;
  	  $menu[3][link] = "$PHP_SELF?cmd=admin_mods&load_mod=$load_mod";      
      $cdesign->createModulesMenu($menu,"admin");

	  $cl->FormNew("$PHP_SELF?cmd=admin_mods&load_mod=$load_mod","");
      
      $cscsinet->setNavigationPoint ($load_mod);
      $cscsinet->getForm ();
	  $cl->FormSubmit("2","Einstellungen bernehmen");	
	}
  }	  		  
  elseif ($cmd == 'cmd_update')
  {
	if ($what == 'general')
	{
	  $opts = array(key=>"lan.scs.activate",value=>$in_activate);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.scs.ip",value=>$in_ip);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.scs.port",value=>$in_port);
	  $cfunc->setSetting($opts);
	}
	elseif ($what == 'tourney_start')
	{
	  for ($cnt = 0;$cnt<=$in_tostart;$cnt++)
	  {
	    $rpcopts[gameid] = $in_tostart[$cnt];

 	    // XML::COMMENT (RPC ausfhren und Spiel starten)
	    $cscs->rpcCall("tournament.game.start",$rpcopts);

	    // XML::COMMENT (phpChrystal-TID auslesen)
	    $toset['tourneyid']  = $csc->convertSCSphpChrystalTID($in_tostart[$cnt],'scs');

	    // XML::COMMENT (Neue Einstellung sowie Passwort in der Datenbank updaten)
	    $toset['gameserver'] = $cscs->rpcResult['hostAddr'];
	    $toset['port'] 		 = $cscs->rpcResult['hostPort'];
	    $toset['pw'] 		 = $cscs->rpcResult['gamePassword'];
	    $ctourn->setTSettings($toset);
	    unset($toset);
	  }
	}
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
