<?php session_start(); ?>

<?
  // XML::MODUL   (phpSeats)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpSeats erstellt einen bersichtsplan ber die Halle etc.)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpSeats";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpSeats.php";
  $opts[insertin]   = "mainmenu";
  $opts[showedname] = "Sitzplan";
  $opts[active] 	= 1;
  $opts[is_admin]   = 1;
  $opts[online]	    = 2;
  $opts[url] 		= "phpSeats.php?cmd=show_seats";
  $opts[adminname] 	= "Sitzplan administrieren";
  $opts[admindesc]  = "Neue Etagen anlegen, Sitzpltze festlegen etc.";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Neue Etage";
  $menu[0][link] = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Etage lschen";
  $menu[1][link] = "$PHP_SELF?cmd=admin_delete";
  $menu[2][showedname] = "Konsole";
  $menu[2][link] = "$PHP_SELF?cmd=admin_console";
  global $menu;

  $level = array('-1' => Keller, '0' => 'Erdgeschoss', '1' => '1. Etage', '2' => '2. Etage');
  global $level;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Sitzpltze";
  
  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);
  if ($what == 'console')
  {
   unset($opts);
   $opts[noopt] = 1;
  }

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
?>

<?php
  if ($cmd == 'show_seats')
  {
	$my_levels = $cseats->getLevels();

	// XML::COMMENT (Es wurde kein Sitzplan eingetragen)
	if (!$my_levels)
	{
	  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
      $cdesign->createInnerTable($opts);
	  $cfunc->faultExt("Es ist kein Sitzplan eingetragen.");
	}

	for ($cnt = 0;$cnt<count($my_levels);$cnt++)
	{
	  $my_menu[$cnt][link]       = "$PHP_SELF?cmd=show_seats&etage=".$my_levels[$cnt];
	  $my_menu[$cnt][showedname] = $level[$my_levels[$cnt]];
	}

	$cdesign->createModulesMenu($my_menu,"");

	if ($search)
	{
	  $opts[search] = $search;

	  if ($opts[search] == 0)
	  {
	    $cfunc->faultExt("Der angegebene User wurde nicht in der Sitzplatz-Datenbank gefunden");
	  }
	}

    (!$etage) ? ($opts[level] = $my_levels[0]) : ($opts[level] = $etage);

	print $cseats->createSeatOverview($opts);
  }
  elseif ($cmd == 'user_seat')
  {
    (!session_is_registered("active_userlogin")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change_seat","");
	$cl->FormHidden("in_col",$col);
	$cl->FormHidden("in_row",$row);
	$cl->FormHidden("in_level",$etage);

	$p_cl[0][text]	  = "Sitzplatz ".$col.":".$row.", ".$level[$etage];
	$p_cl[0][colspan] = "2";
    $cl->cellsTop($p_cl);

	$p_cl[0][text]	  = "Soll dieser Sitzplatz fr dich (".$active_username.") reserviert werden? Falls ja, wird ein evt. vorher reservierter Platz aus der Datenbank getilgt.";
	$p_cl[0][colspan] = "2";
	unset($p_cl);

    $cl->FormSubmit("2","Ja, ich will diesen Platz reservieren");
  }
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=add","");

	// XML::COMMENT (Neuen Sitzplan erstellen)
	while(list($key,$val) = each($level))
	{
	  $in .= "<option value=\"".$key."\">".$val."</option>\n";
	}
	$cl->cells2Noopt("Etage","<select name=in_level>".$in."</select>","out");
	$cl->cells2Noopt("Breite der Etage (in Pixeln)","<input type=text name=in_width size=4 maxlength=4>","out");
	$cl->cells2Noopt("Hhe der Etage (in Pixeln)","<input type=text name=in_height size=4 maxlength=4>","out");
	$cl->cells2Noopt("Anzahl Zellen (Waagerecht)","<input type=text name=in_cellsw size=4 maxlength=4>","out");
	$cl->cells2Noopt("Anzahl Zellen (Senkrecht)","<input type=text name=in_cellss size=4 maxlength=4>","out");
	$cl->cells2Noopt("Hhe & Breite der einzelnen Zellen","<input type=text name=in_cellhw size=2 maxlength=2>","out");

	($settings['lan.sitzplan.anmeldung.reserve']) ? ($checked = "checked") : ($checked = '');
	$cl->cells2Noopt("Bei Anmeldung Sitzplatz vergeben","<input type=checkbox value=in_reserve $checked>","out");

    $cl->FormSubmit("2","Etage erstellen");
  }
  elseif ($cmd == 'admin_seat')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=seat","");

	$opts[row]   = $row;
	$opts[col]   = $col;
	$opts[level] = $etage;

	$my_seat = $cseats->getSeat($opts);

	$p_cl[0][text]	  = "Sitzplatz ".$col.":".$row.", ".$level[$etage];
	$p_cl[0][colspan] = "2";
    $cl->cellsTop($p_cl);
	unset($p_cl);

	$my_symbols = $cseats->getSymbols();
	while(list($key,$val) = each($my_symbols))
	{
	  ($key == $my_seat[symbol]) ? ($selected = "selected") : ($selected = '');
	  $in .= "<option value=\"".$key."\" $selected>".$val."</option>\n";
	}
	$cl->cells2Noopt("Symbol","<select name=in_symbol>$in</select>","out");

	unset($opts);
	$opts[user_selected] = $my_seat[username];
	$opts[add_emptyrow] = "Nicht reserviert";

	$cl->cells2Noopt("Reserviert fr",$cuser->createUsernameMenu($opts),"out");

	$cl->FormHidden("in_row",$row);
	$cl->FormHidden("in_col",$col);
	$cl->FormHidden("in_etage",$etage);

    $cl->FormSubmit("2","Sitzplatz bernehmen");
  }
  elseif ($cmd == 'admin_delete')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=delete","");

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);

	$my_levels = $cseats->getLevels();

	for ($cnt = 0;$cnt<count($my_levels);$cnt++)
	{
	  $cl->cells2Noopt("<input type=checkbox name=to_delete value=\"".$my_levels[$cnt]."\">",$my_levels[$cnt].". Etage","out");
	}

    $cl->FormSubmit("2","Ausgewhlte Etagen lschen");
  }
  elseif ($cmd == 'admin_console')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=console","");

	$my_levels = $cseats->getLevels();
	for($cnt = 0;$cnt<count($my_levels);$cnt++)
	{
	  $in .= "  <option value=\"".$my_levels[$cnt]."\">".$level[$my_levels[$cnt]]."</option>\n";
	}
	$cl->cells2Noopt("Etage","<select name=in_level>$in</select>","out");
	unset($in);

	$cl->cells2Noopt("Waagerecht","<input type=text name=in_col_start maxlength=4 size=4 value=1> bis <input type=text name=in_col_end maxlength=4 size=4 value=".$settings['lan.sitzplan.'.$my_levels[0].'.col'].">","out");
	$cl->cells2Noopt("Senkrecht","<input type=text name=in_row_start maxlength=4 size=4 value=1> bis <input type=text name=in_row_end maxlength=4 size=4 value=".$settings['lan.sitzplan.'.$my_levels[0].'.row']."> ","out");

	$my_symbols = $cseats->getSymbols();
	while(list($key,$val) = each($my_symbols))
	{
	  $in .= "<option value=\"".$key."\">".$val."</option>\n";
	}
	$cl->cells2Noopt("Symbol","<select name=in_symbol>$in</select>","out");
	unset($in);


    $cl->FormSubmit("2","Ausgewhlten Bereich festlegen");

  }

  elseif ($cmd == 'cmd_update')
  {
    if ($what == 'add')
    {
      (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	  $opts = array(key=>"lan.sitzplan.cur_level",increment=>1);
	  $cfunc->setSetting($opts);
	  unset($opts);

	  // XML::COMMENT (Einstellungen neu laden)
	  $settings = $cfunc->getSettings();

	  $opts = array(key=>"lan.sitzplan.".$settings['lan.sitzplan.cur_level'].".width",value=>$in_width);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.sitzplan.".$settings['lan.sitzplan.cur_level'].".height",value=>$in_height);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.sitzplan.".$settings['lan.sitzplan.cur_level'].".row",value=>$in_cellss);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.sitzplan.".$settings['lan.sitzplan.cur_level'].".col",value=>$in_cellsw);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.sitzplan.cellhw",value=>$in_cellhw);
	  $cfunc->setSetting($opts);

	  $opts = array(key=>"lan.sitzplan.anmeldung.reserve",value=>$in_reserve);
	  $cfunc->setSetting($opts);
	}
	elseif ($what == 'delete')
	{
      (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	  $cseats->deleteLevels($to_delete);
	}
	elseif ($what == 'seat')
	{
	  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

 	  unset($opts);
	  $opts[row] = $in_row;
	  $opts[col] = $in_col;
	  $opts[level] = $in_etage;
	  $opts[username] = $in_username;
	  $opts[symbol] = $in_symbol;

	  $cseats->setSeat($opts);
	}
	elseif ($what == 'change_seat')
	{
	  (!session_is_registered("active_userlogin")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	  $opts[username] = $active_username;
	  $opts[row]	  = $in_row;
	  $opts[col]	  = $in_col;
	  $opts[level]    = $in_level;

	  $cseats->changeSeatOfUser($opts);
	}
	elseif ($what == 'console')
	{
	  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
	  $etage = $in_level;
	  if ($in_col_start > $settings['lan.sitzplan.'.$etage.'.col'])
	  {
	    $in_col_start = $settings['lan.sitzplan.'.$etage.'.col'] - 1;
	  }

	  if ($in_col_end > $settings['lan.sitzplan.'.$etage.'.col'])
	  {
	    $in_col_end = $settings['lan.sitzplan.'.$etage.'.col'] - 1;
	  }

	  if ($in_row_start > $settings['lan.sitzplan.'.$etage.'.row'])
	  {
	    $in_row_start = $settings['lan.sitzplan.'.$etage.'.row'] - 1;
	  }

	  if ($in_row_end > $settings['lan.sitzplan.'.$etage.'.row'])
	  {
	    $in_row_end = $settings['lan.sitzplan.'.$etage.'.row'];
	  }

	  for ($cnt_row = $in_row_start;$cnt_row<=$in_row_end;$cnt_row++)
	  {
	    for ($cnt_col = $in_col_start;$cnt_col<=$in_col_end;$cnt_col++)
	    {
	      $opts[level]  = $in_level;
	      $opts[col]    = $cnt_col;
	      $opts[row]    = $cnt_row;
	      $opts[symbol] = $in_symbol;

	      $cseats->setSeat($opts);
	    }
	  }
	}

    // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
    $cdesign->createInnerTable($opts);
	printDanke();
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
