<?php session_start(); ?>

<?
  // XML::MODUL   (phpTurnierIndex)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Einstiegsseite fr die Turniere)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpTurnier";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpTurnierIndex.php";
  $opts[insertin]   = "mainmenu";
  $opts[showedname] = "Turniere";
  $opts[active] 	= 1;
  $opts[url] 		= "phpTurnierIndex.php";
  $opts[desc] 		= "Turniere ansehen, zum Turnier anmelden";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpTurnierAdmin.php";
  $opts[active] 	= 1;
  $opts[online]     = 0;
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Turnierverwaltung";
  $opts[admindesc]  = "Turniere verwalten";


  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (Spiele festlegen)
  $games = array("Counter-Strike","Day of Defeat","Return to Castle Wolfenstein","Quake3:Arena","UnrealTournament");
  global $games;

  // XML::COMMENT (Spiele festlegen)
  $teams = array("2","4","8","16","24","32","48","64");
  global $teams;

  // XML::COMMENT (Spieltypen festlegen)
  $types = array('single' => 'Single Elimination', 'double' => 'Double Elimination', '2lifes' => '2 Lifes');

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>


<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Turnier";
  
  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Sicherheitsabfrage, ob der User dem System bekannt ist)
  (!session_is_registered("active_username")) ? (faultExt("Um diesen Service nutzen zu knnen, musst du angemeldet sein")) : ($dummy);

  if(!$cmd)
  {
    $ar = $ctourn->getTourneys($opts);

    // XML::COMMENT (Es sind Turniere vorhanden)
	if ($ar)
    {
	  $p_cl[0][text]	= "Spieltyp";
	  $p_cl[1][text]	= "Status";
	  $p_cl[2][text]	= "Spielplan";
	  $p_cl[3][text]	= "Weiteres";
      $cl->cellsTop($p_cl);
	  unset($p_cl);

	  // XML::COMMENT (Runden einzeln kontrollieren, ansonsten wird der Output bei gekickten Turnieren verunstaltet)
      for ($cnt = 0;$cnt<count($ar);$cnt++)
      {
	    // XML::COMMENT (Runden kontrollieren!!!)
	    $cmatch->controlTourney($ar[$cnt][id]);
	  }

      // XML::COMMENT (Turniere nocheinmal neu laden)
      $ar = $ctourn->getTourneys($opts);

      for ($cnt = 0;$cnt<count($ar);$cnt++)
      {
		$tset = $ctourn->getTSettings($ar[$cnt][id]);

		$p_cl[0][text] = $tset[game].": ".$tset[constellation]."on".$tset[constellation];

		if ($tset[status] == 0)
		{
		  $p_cl[1][text] = "Beginn am ".$cevent->convertTStoDB($tset[starttime])." Uhr";
		}
		elseif ($tset[status] == 1)
		{
		  $p_cl[1][text] = "Luft";
		}
		elseif ($tset[status] == 2)
		{
		  $p_cl[1][text] = "Beendet";
		}
		else
		{
		  $p_cl[1][text] = "Unbekannter Status";
		}

		$p_cl[2][text] = "<a href=\"phpTurnierRunning.php?cmd=show_spielplan&tid=".$tset[tourneyid]."\">Spielplan</a>";
		$p_cl[3][text] = "<a href=\"$PHP_SELF?cmd=show_details&what=turnier&tid=".$tset[tourneyid]."\">Weiteres</a>";
	    $cl->TableText($p_cl);

	    print $cmatch->string_status;
      }
    }
    else
    {
	  $p_cl[0][text] = "Keine Turniere vorhanden oder eingetragen";
	  $cl->cellsTop($p_cl);
	}
  }
  elseif ($cmd == 'show_rules')
  {
	// XML::COMENT (Menu erstellen)
    $menu[0][link] = "$PHP_SELF";
    $menu[0][showedname] = "Turnierbersicht";
	$menu[1][link] = "phpTurnierRunning.php?cmd=show_spielplan&tid=$tid";
	$menu[1][showedname] = "Spielplan";
	$menu[2][link] = "$PHP_SELF?cmd=show_details&what=turnier&tid=$tid";
	$menu[2][showedname] = "Details";
	$menu[3][link] = "$PHP_SELF?cmd=show_rules&tid=$tid";
	$menu[3][showedname] = "Regeln";
	$cdesign->createModulesMenu($menu,"");

    $tset = $ctourn->getTSettings($tid);

    $p_cl[0][text] = $tset[rules];
    $cl->TableText($p_cl);
  }
  elseif ($cmd == 'show_details')
  {
	// XML::COMENT (Menu erstellen)
    $menu[0][link] = "$PHP_SELF";
    $menu[0][showedname] = "Turnierbersicht";
	$menu[1][link] = "phpTurnierRunning.php?cmd=show_spielplan&tid=$tid";
	$menu[1][showedname] = "Spielplan";
	$menu[2][link] = "$PHP_SELF?cmd=show_details&what=turnier&tid=$tid";
	$menu[2][showedname] = "Details";
	$menu[3][link] = "$PHP_SELF?cmd=show_rules&tid=$tid";
	$menu[3][showedname] = "Regeln";
	$cdesign->createModulesMenu($menu,"");

    if ($what == 'turnier')
    {
      $tset = $ctourn->getTSettings($tid);

	  $p_cl[0][text] = "Spiel";
	  $p_cl[1][text] = $tset[game];
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Spieltyp";
	  $p_cl[1][text] = $types[$tset[tourneytype]];
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Turnierbeginn";
	  $p_cl[1][text] = $cevent->convertTStoDB($tset[starttime]);
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Server";
	  $p_cl[1][text] = $tset[gameserver];
      $cl->TableText($p_cl);

	  $ctourn->getRoundStatus($tid);
	  $p_cl[0][text] = "Status";
	  $p_cl[1][text] = $ctourn->string_status;
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Spielregeln";
	  $p_cl[1][text] = "<a href=\"$PHP_SELF?cmd=show_rules&tid=$tid\">hier</a>";
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Ggw. Anzahl Teams";
	  $opts[key]   = "tourneyid";
	  $opts[value] = $tourney;
	  $p_cl[1][text] = $ctourn->getTotalTeams($opts)." von max. ".$tset[max_teams];
	  if ($ctourn->getTotalTeams($opts) < $tset[max_teams])
	  {
	    $anmeldung = "<a href=\"$PHP_SELF?cmd=show_add&tid=$tid\">Neues Team erstellen</a>\n<br>";
	  }

      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Angemeldete Teams";
	  $opts[key]   = "tourneyid";
	  $opts[value] = $tid;
	  $myteams = $ctourn->getTeams($opts);

	  for ($cnt = 0;$cnt<count($myteams);$cnt++)
	  {
	    $in .= $myteams[$cnt][teamname]." | <a href=\"$PHP_SELF?cmd=show_details&what=team&id=".$myteams[$cnt][id]."\">Details</a><br>";
	  }

	  $p_cl[1][text] = $anmeldung.$in;
      $cl->TableText($p_cl);
	}
	elseif ($what == 'team')
	{
	  $opts[key] 	= "id";
	  $opts[value]  = $id;
	  $myteam = $ctourn->getTeams($opts);

      $tset = $ctourn->getTSettings($myteam[0][tourneyid]);

	  $p_cl[0][text] = "Teamname";
	  $p_cl[1][text] = $myteam[0][teamname];
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Beschreibung";
	  $p_cl[1][text] = $myteam[0][desc];
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Siege";
	  $p_cl[1][text] = $myteam[0][wins]."/".$myteams[0][played_matches]." Matches";
      $cl->TableText($p_cl);

	  $p_cl[0][text] = "Angemeldete Spieler";

	  $ar = $ctourn->getPlayersOfTeam($id);

	  for ($cnt = 0;$cnt<count($ar);$cnt++)
	  {
	    $in .= $ar[$cnt][username]."<br>\n";
	  }
	  $p_cl[1][text] = $in;
      $cl->TableText($p_cl);

	  if ($cnt < $tset[constellation])
	  {
        $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=join&id=$id","");
    	$cl->FormSubmit("2","Team joinen");
	  }
	}
  }
  elseif ($cmd == 'show_add')
  {
	// XML::COMENT (Menu erstellen)
    $menu[0][link] = "$PHP_SELF";
    $menu[0][showedname] = "Turnierbersicht";
	$menu[1][link] = "phpTurnierRunning.php?cmd=show_spielplan&tid=$tid";
	$menu[1][showedname] = "Spielplan";
	$menu[2][link] = "$PHP_SELF?cmd=show_details&what=turnier&tid=$tid";
	$menu[2][showedname] = "Details";
	$menu[3][link] = "$PHP_SELF?cmd=show_rules&tid=$tid";
	$menu[3][showedname] = "Regeln";
	$menu[4][link] = "$PHP_SELF?cmd=show_add&tid=$tid";
	$menu[4][showedname] = "Team hinzufgen";
	$cdesign->createModulesMenu($menu,"");

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=add&tid=$tid","");

	$cl->cells2Noopt("Name des Teams","<input type=text name=in_teamname>","out");
	$cl->cells2Noopt("Beschreibung","<textarea name=in_desc cols=35 rows=7></textarea>","out");
	$cl->cells2Noopt("Evt. WWCL-ID","<input type=text name=in_wwclid maxlength=10 size=10>","out");

    $tset = $ctourn->getTSettings($tid);

	for ($cnt = 0;$cnt<$tset[constellation];$cnt++)
	{
	  if ($cnt == 0)
	  {
	    $cl->FormHidden("in_player[]","$active_username");
	    $cl->cells2Noopt("Teamleader","$active_username","out");
	  }
  	  else
  	  {
	    $cl->cells2Noopt("$cnt. Mitspieler","<input type=text name=in_player[]>","out");
	  }
	}
	$cl->cells2Noopt("Anmerkungen","Sollten Felder bei den Mitspielern freigelassen worden sein, ist es mglich, dass andere User deinem Team joinen.<br> Bei 1on1-Matches entfallen solche Eintragsmglichkeiten.","out");
    $cl->FormSubmit("2","Neues Team erstellen");
  }
  elseif ($cmd == 'cmd_update')
  {
	if ($what == 'add')
	{
      (!$in_teamname) ? ($cfunc->faultExt("Es wurde kein Teamname angegeben.")) : ($opts[teamname] = $in_teamname);
      (!$in_player) ? ($cfunc->faultExt("Es wurden keine Spieler angegeben.")) : ($dummy);

	  $tset = $ctourn->getTSettings($tid);

	  $opts[key]   = "tourneyid";
	  $opts[value] = $tid;
	  $total_teams = $ctourn->getTotalTeams($opts);

	  // XML::COMMENT (Falls bereits genug Teams vorhanden sind)
	  if ($total_teams >= $tset[max_teams])
	  {
	    $cfunc->faultExt("Es sind bereits genug Teams angemeldet.");
	  }


	  $opts[tourneyid] = $tid;
	  $opts[desc] 	   = $in_desc;
	  $opts[username]  = $active_username;
	  $opts[wwcl]	   = $in_wwclid;

	  // XML::COMMENT (berpfen, ob der User bereits ein Team eingetragen hat)
	  if ($ctourn->checkUserExists($opts))
	  {
	    $cfunc->faultExt("Du hast bereits ein Team eingetragen.");
	  }

	  // XML::COMMENT (Neues Team hinzufgen)
	  $teamid = $ctourn->addTeam($opts);

	  // XML::COMMENT (Jeden Spieler berprfen)
	  foreach ($in_player as $value)
	  {
	    $ret = 1;

	    if ($value)
	    {
	      $opts[username] = $value;

	      // XML::COMMENT (berprfen, ob der User phpChrystal bekannt ist)
	      if (!$cuser->checkUserExists($opts))
	      {
	        $ret = 0;
	        $cfunc->faultExt("Der User $opts[username] ist dem System nicht bekannt.");
		  }
		  // XML::COMMENT (Fehler, falls der User bereits in einem Team mit der angegebenen ID gemeldet ist)
		  elseif ($ctourn->checkUserExists($opts))
		  {
		    $ret = 0;
	        $cfunc->faultExt("Der User $opts[username] hat sich bereits in einem anderen Team gemeldet");
		  }

		  if ($ret >= 1)
	   	  {
		   $ctourn->addPlayer($opts);
		  }
		}
	  }
	}
	elseif ($what == 'join')
	{
	  $opts[tourneyid] = $tid;
	  $opts[username] = $active_username;

	  if ($ctourn->checkUserExists($opts))
	  {
	    $cfunc->faultExt("Du hast dich bereits einem anderen Team angeschlossen.");
	  }
	  else
	  {
	    $ctourn->addPlayer($opts);
	  }
	}
	printDanke();
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
