<?php session_start(); ?>

<?
  // XML::MODUL   (phpTurnierRunning)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Hier wird der komplette Spielplan, sowie die bermittlung der Ergebnisse verwaltet)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpTurnierRunning";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpTurnierRunning.php";
  $opts[url]		= "phpTurnierRunning.php";
  $opts[showedname] = "Spielplan";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (Spiele festlegen)
  $games = array("Counter-Strike","Day of Defeat","Return to Castle Wolfenstein","Quake3:Arena","UnrealTournament");
  global $games;

  // XML::COMMENT (Spiele festlegen)
  $teams = array("2","4","8","16","24","32","48","64","128","256","512","1024");
  global $teams;

  // XML::COMMENT (Spieltypen festlegen)
  $types = array('single' => 'Single Elimination', 'double' => 'Double Elimination', '2lifes' => '2 Lifes');

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>


<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Turnier";
  
  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,$cmd);
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>
<?php
  // XML::COMMENT (Sicherheitsabfrage, ob der User dem System bekannt ist)
  (!session_is_registered("active_username")) ? (faultExt("Um diesen Service nutzen zu knnen, musst du angemeldet sein")) : ($dummy);

  if ($cmd == 'show_spielplan')
  {
	// XML::COMENT (Menu erstellen)
    $menu[0][link] = "phpTurnierIndex.php";
    $menu[0][showedname] = "Turnierbersicht";
	$menu[1][link] = "$PHP_SELF?cmd=show_spielplan&tid=$tid";
	$menu[1][showedname] = "Spielplan";
	$menu[2][link] = "phpTurnierIndex.php?cmd=show_details&what=turnier&tid=$tid";
	$menu[2][showedname] = "Details";
	$menu[3][link] = "phpTurnierIndex.php?cmd=show_rules&tid=$tid";
	$menu[3][showedname] = "Regeln";
	$cdesign->createModulesMenu($menu,"");

    // XML::COMMENT (Runden kontrollieren!!!)
	$cmatch->controlTourney($tid);

	$status = $ctourn->getRoundStatus($tid);
	$tset   = $ctourn->getTSettings($tid);

	$opts[key]   = 'id';
	$opts[value] = $tid;
	$ttourn = $ctourn->getTourneys($opts);

	// XML::COMMENT (Teams laden, die noch im Rennen sind)
	$opts[key]   = 'tourneyid';
	$opts[value] = $tid;
	$opts[only_running]	= 1;
	$t_teams = $ctourn->getTotalTeams($opts);

	// XML::COMMENT (Das Turnier wurde noch nicht gestartet)
	if ($status == 'waiting')
	{
	  unset($opts);

	  // XML::COMMENT (Angemeldete Teams laden)
	  $opts[key]   = "tourneyid";
	  $opts[value] = $tid;
	  $my_teams = $ctourn->getTeams($opts);

	  // XML::COMMENT (Teams durchlaufen und ausgeben)
	  for ($cnt = 0;$cnt<count($my_teams);$cnt++)
	  {
		$p_cl[0][text] = "<a href=\"phpTurnierIndex.php?cmd=show_details&what=team&id=".$my_teams[$cnt][id]."\">".$my_teams[$cnt][teamname]."</a>";
		$p_cl[1][text] = substr($my_teams[$cnt][desc],0,40)." ...";
	    $cl->TableText($p_cl);
	    unset($p_cl);
	  }
	  (!$cnt) ? (($p_cl[0][text] = "Keine Teams angemeldet oder eingetragen.") && ($cl->cellsTop($p_cl))) : ($dummy);

	  $p_cl[0][text] = "Neue Teams knnen <a href=\"phpTurnierIndex.php?cmd=show_add&tid=".$tid."\">hier</a> hinzugefgt werden.";
	  $p_cl[0][colspan] = 2;
	  $cl->TableText($p_cl);
	  unset($p_cl);
	}
	// XML::COMMENT (Das aktuelle Turnier luft noch, entweder DE, Runde 1 oder SE ab Runde 1)
	elseif ($status == "running" && (($tset[tourneytype] == 'double' && $tset[round] == 1) || ($tset[tourneytype] == 'double' && $t_teams <= 4) || ($tset[tourneytype] != 'double' && $tset[round] >= 1)))
	{
 	  $opts[tourneyid] = $tid;

 	  $plan = $cmatch->getPlan($opts);
	  $p_cl[0][text]  = $ctourn->string_status;
	  $p_cl[0][colspan] = 2;
	  $cl->TableText($p_cl);
	  unset($p_cl);

	  for ($cnt = 0;$cnt<count($plan);$cnt++)
	  {
	    // XML::COMMENT (Falls diese Runde kein Freilos ist)
		if ($plan[$cnt][team_1] != $plan[$cnt][team_2])
  	    {
  	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_1];
	      $team_1 = $ctourn->getTeams($opts);
	      $p_cl[0][text] = $team_1[0][teamname];

	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_2];
	      $team_2 = $ctourn->getTeams($opts);
	      $p_cl[0][text] .= " vs. ".$team_2[0][teamname];

	      $result = $cmatch->getResultsOfMatch($tid,$plan[$cnt][team_1],$plan[$cnt][team_2]);

	      if (!$result)
	      {
	        $p_cl[1][text] .= "<a href=\"$PHP_SELF?cmd=show_submitfight&tourneyid=$tid&team_1=".$plan[$cnt][team_1]."&team_2=".$plan[$cnt][team_2]."\">Ergebnis eintragen</a>";
	      }
	      else
	      {
	        $p_cl[1][text] = "Spielergebnis: ".$result[pot1].":".$result[pot2];
	      }

	      $cl->TableText($p_cl);
  	    }
		// XML::COMMENT (Das Team hat ein Freilos)
  	    else
  	    {
  	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_1];
	      $team_1 = $ctourn->getTeams($opts);
	      $p_cl[0][text] = $team_1[0][teamname]." hat ein Freilos gezogen";
		  $p_cl[0][colspan] = 2;
	      $cl->TableText($p_cl);
		}
	  }
	}
	// XML::COMMENT (DE bei Looser und Winnerbrackets)
	elseif ($status == 'running' && $tset[tourneytype] == 'double' && $ttourn[round] > 1)
	{
 	  $opts[tourneyid] = $tid;
	  $opts[bracket]   = 'winner';

 	  $plan_winner = $cmatch->getPlan($opts);
	  $t_teams_winner = count($plan);

	  $opts[bracket]   = 'looser';
	  $plan_looser = $cmatch->getPlan($opts);

	  $plan = $plan_winner.$plan_looser;

	  $p_cl[0][text]  = "Winner-Bracket";
	  $p_cl[0][colspan] = 2;
	  $cl->TableText($p_cl);
	  unset($p_cl);

	  for ($cnt = 0;$cnt<count($plan);$cnt++)
	  {
		// XML::COMMENT (Falls nun die Looser kommen, wird eine Meldung ausgegeben)
		if ($cnt == $t_teams_winner)
		{
	      $cl->cellDummy("2","out");
	      $p_cl[0][text]  = "Looser-Bracket";
	      $p_cl[0][colspan] = 2;
	      $cl->TableText($p_cl);
	      unset($p_cl);
		}

	    // XML::COMMENT (Falls diese Runde kein Freilos ist)
		if ($plan[$cnt][team_1] != $plan[$cnt][team_2])
  	    {
  	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_1];
	      $team_1 = $ctourn->getTeams($opts);
	      $p_cl[0][text] = $team_1[0][teamname];

	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_2];
	      $team_2 = $ctourn->getTeams($opts);
	      $p_cl[0][text] .= " vs. ".$team_2[0][teamname];

	      $result = $cmatch->getResultsOfMatch($tid,$plan[$cnt][team_1],$plan[$cnt][team_2]);

	      if (!$result)
	      {
	        $p_cl[1][text] .= "<a href=\"$PHP_SELF?cmd=show_submitfight&tid=$tid&team_1=".$plan[$cnt][team_1]."&team_2=".$plan[$cnt][team_2]."\">Ergebnis eintragen</a>";
	      }
	      else
	      {
	        $p_cl[1][text] = "Spielergebnis: ".$result[pot1].":".$result[pot2];
	      }

	      $cl->TableText($p_cl);
  	    }
		// XML::COMMENT (Das Team hat ein Freilos)
  	    else
  	    {
  	      $opts[key] = 'id';
	      $opts[value] = $plan[$cnt][team_1];
	      $team_1 = $ctourn->getTeams($opts);
	      $p_cl[0][text] = $team_1[0][teamname]." hat ein Freilos gezogen";
		  $p_cl[0][colspan] = 2;
	      $cl->TableText($p_cl);
		}
	  }
	}
	// XML::COMMENT (Das Turnier wurde beendet)
  	else
  	{
	  // XML::COMMENT (Status setzen)
	  $opts[key]   	   = 'status';
	  $opts[value]     = '2';
	  $opts[tourneyid] = $tid;
	  $ctourn->setTourney($opts);
	  unset($opts);

	  $p_cl[0][text] = "Platzierung";
	  $p_cl[1][text] = "Teamname";
	  $p_cl[2][text] = "Punkte";
	  $cl->cellsTop($p_cl);

	  $myladder = $cmatch->getLadderOfTourney($tid);

	  for ($cnt = 0;$cnt<count($myladder);$cnt++)
	  {
	    $p_cl[0][text] = ($cnt + 1);
	    $p_cl[1][text] = $ctourn->getNameOfTeam($myladder[$cnt][teamid]);
		$p_cl[2][text] = $myladder[$cnt][points];
		$cl->TableText($p_cl);
	  }

	  $tset = $ctourn->getTSettings($tid);

	  if ($tset[wwcl] && !$tset[wwcl_has])
	  {
	    $cmatch->createWWCLRanking($tid);
	  }
	}
  }
  elseif ($cmd == 'show_submitfight')
  {
	(!$ctourn->verifyMemberOfTeam($active_pw,$active_username)) ? ($cfunc->faultExt("Du konntest weder als Administrator noch als Member einer der beiden Gruppen verifiziert werden.")) : ($dummy);

	// XML::COMENT (Menu erstellen)
    $menu[0][link] = "phpTurnierIndex.php";
    $menu[0][showedname] = "Turnierbersicht";
	$menu[1][link] = "$PHP_SELF?cmd=show_spielplan&tid=$tid";
	$menu[1][showedname] = "Spielplan";
	$menu[2][link] = "phpTurnierIndex.php?cmd=show_details&what=turnier&tid=$tid";
	$menu[2][showedname] = "Details";
	$menu[3][link] = "phpTurnierIndex.php?cmd=show_rules&tid=$tid";
	$menu[3][showedname] = "Regeln";
    $menu[4][link] = "phpTurnierIndex.php?cmd=show_submitfight&tid=$tid&team_1=$team_1&team_2=$team_2";
    $menu[4][showedname] = "Ergebnis eintragen";
	$cdesign->createModulesMenu($menu,"");

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=submitfight","");
  	$p_cl[0][text] = "Du kannst hier die Ergebnisse des Matches zwischen ".$ctourn->getNameOfTeam($team_1)." und ".$ctourn->getNameOfTeam($team_2)." eintragen.";
	$p_cl[0][colspan] = 2;
	$cl->TableText($p_cl);
	unset($p_cl);

	$cl->FormHidden("in_tourneyid","$tid");

	$cl->FormHidden("in_team_1","$team_1");
  	$p_cl[0][text] = $ctourn->getNameOfTeam($team_1).":";
	$p_cl[1][text] = "<input type=text name=in_pot1 size=3 maxlength=3>";
	$cl->TableText($p_cl);

	$cl->FormHidden("in_team_2","$team_2");
  	$p_cl[0][text] = $ctourn->getNameOfTeam($team_2).":";
	$p_cl[1][text] = "<input type=text name=in_pot2 size=3 maxlength=3>";
	$cl->TableText($p_cl);
	$cl->FormSubmit("2","Ergebnisse eintragen");
  }
  elseif ($cmd == 'cmd_update')
  {
    if ($what == 'submitfight')
    {
	  (!$ctourn->verifyMemberOfTeam($active_pw,$active_username)) ? ($cfunc->faultExt("Du konntest weder als Administrator noch als Member einer der beiden Gruppen verifiziert werden.")) : ($dummy);
	  $opts[team_1] = $in_team_1;
	  $opts[team_2] = $in_team_2;
	  $opts[pot1] = $in_pot1;
	  $opts[pot2] = $in_pot2;
	  $opts[tourneyid] = $in_tourneyid;

	  $cmatch->submitFight($opts);
  	}
	printDanke();
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
