/***************************************************************************/
/* Name:                      vis_layer.js                                 */
/* Version:                   0.2                                          */
/* Coder:                     ::[CTH]Goldenhawk::                          */
/* OS/Browser:                All with JavaScript-Support                  */
/* Info:                      This script shows/hides layer                */
/* How to user:               e.g.:                                        */
/*                            onmouseover="tryLayer('id')"                 */
/*                            onmouseover="viewLayer('id')"                */
/*                            onmouseover="hideLayer('id')"                */
/* Bugs:                      Not Yet                                      */
/* History:								   */								  
/* v0.2:								   */								   
/*   *Bug unter IE 5.0 gefixt, der die Funktion push noch nicht unterstzt */
/* Clanpage:                  http://cth.cyberwarnews.de                   */
/* Homepage:                  http://www.cyberwarnews.de                   */
/* E-Mail:                    goldenhawk@gmx.net                           */
/* ICQ:                       81946670                                     */
/***************************************************************************/

var current;
var cnt_slayer = 0;
var Element;
to_hide = new Array();

function tryLayer(LayerID)
{
  if (!current)
  {
    viewLayer(LayerID);
    current =  LayerID;
  }
  else if (LayerID == current)
  {
    hideLayer(current);
    current = '';
  }
  else if ((LayerID != current) && (current))
  {
    hideLayer(current);
    viewLayer(LayerID);
    current = LayerID;
  }
}
function viewLayer(LayerID)
{
  setVisibility(LayerID,'visible');
  to_hide[cnt_slayer] = LayerID;
  cnt_slayer++;
}

function hideLayer(LayerID)
{
  setVisibility(LayerID,'hidden');
}
function setVisibility(LayerID,Wert)
{
  if(document.all)
    document.all[LayerID].style.visibility = Wert;
  else if (document.layers)
    document.layers[LayerID].visibility = Wert;
  else if (document.getElementById)
    document.getElementById(LayerID).style.visibility = Wert;
}

function hideAllLayer()
{
  for (i=0; i<cnt_slayer; i++)
  {
    Element = to_hide[i];
    setVisibility(Element,'hidden')
  }
  cnt_slayer = "0";
}