<?
  session_start();

  // XML::MODUL   (Class CDesign)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dieses Modul verwaltet das Layout der Intranetseite)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CDesign";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CConfig.php");
  include_once("CFunction.php");
  include_once("CModules.php");


  $cfunc = new CFunc;
  $cmod  = new CModules;
  global $cfunc,$cmod,$VERSION;

  // XML::COMMENT (Klasse festlegen)
  class CDesign
  {
    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }

    // XML::FUNC::createSiteHeader ($self->createSiteHeader($opts))
    // XML::DESC::createSiteHeader (erstellt das Grundgerst der HTML-Seite)
    // XML::VERSION::createSiteHeader  (1.0)
	// XML::RETURN::createSiteHeader (BOOL)
	function createSiteHeader($opts)
	{
	  $this->priv_initValues($opts);

	  // XML::COMMENT (Metatags festlegen)
	  $this->m_fullmetatags = 1;

	  // XML::COMMENT (Flag $debug - bei 1: Serverinfos)
	  $this->debug = 1;

	  // XML::COMMENT (Nun die eigentliche Parsing-Routine)
	  // XML::COMMENT (es wird eine Template-Datei verwendet)
	  if ($this->design['use_template'])
	  {
	    $this->m_actfile = $this->m_fheader;
		$this->priv_parseFile();
	  }
	  // XML::COMMENT (Falls keine Template-Datei vorhanden ist, bzw. keine benutzt werden soll (z.B. bei Erstinstallation))
	  else
	  {
	    print "<html>\n";
	    print "  <head>\n";
	    print $this->priv_createMeta();
	    print "    <title>\n";
		print $this->priv_createTitel();
	    print "    </title>\n\n";
		print $this->priv_createJava();
		print $this->priv_createCSS();
	    print "  </head>\n\n";
	    print "  <body>\n\n";
	  }

	  return true;
	}

    // XML::FUNC::createInnerTable ($self->createInnerTable($opts))
    // XML::DESC::createInnerTable (Erstellt die Tabelle mit den Texten etc.)
    // XML::VERSION::createInnerTable  (1.0)
	// XML::RETURN::createInnerTable (BOOL)
	function createInnerTable($opts)
	{
      global $design;

	  if (!$this->design['use_template'])
	  {
	    print "    <div class=content>\n";
	    print "      <table class=content border=0 cellpadding=1 width=500 cellspacing=1>\n";
	  }
	  else
	  {
	    print "    <div class=content>\n";
	    print "      <table class=content border=0 cellpadding=".$design['table.cellpadding']." width=".$design['table.width']." cellspacing=".$design['table.cellspacing'].">\n";
	  }
	  return true;
	}

    // XML::FUNC::createSiteLayers ($self->createSiteLayers($opts))
    // XML::DESC::createSiteLayers (Erstellt den Rumpf der Seite)
    // XML::VERSION::createSiteLayers  (1.0)
	// XML::RETURN::createSiteLayers (BOOL)
	function createSiteLayers($opts)
	{
	  global $cfunc;

	  // XML::COMMENT (Falls kein Template verwendet wird)
	  if (!$this->design['use_template'])
	  {
	    print "    <div class=banner>\n";
	    print "      &nbsp;\n";
	    print "    </div>\n\n";
        print "    <div class=banner_links>\n";
		print $this->priv_createBanner();
        print "    </div>\n\n";
	    print "    <div class=navigat>\n";
		print $this->priv_createNavigation();
	    print "    </div>\n\n";
	    print "    <div class=voting>\n";
      	print $this->priv_createVoting();
	    print "    </div>\n\n";
	    print "    <div class=quickinfo>\n";
	    print $this->priv_createQuickinfo();
	    print "    </div>\n\n";
	    print "    <div class=admin>\n";
	    print $this->priv_createAdminbox();
	    print "    </div>\n\n";
	  }
	  // XML::COMMENT (es wird ein Template verwendet)
	  else
	  {
		$this->m_actfile = $this->m_fbody;
		$this->priv_parseFile();
	  }
	  return true;
	}

	// XML::FUNC::createSiteFooter ($self->createSiteFooter($opts))
    // XML::DESC::createSiteFooter (Erstellt den Fu der Seite)
    // XML::VERSION::createSiteFooter  (1.0)
	// XML::RETURN::createSiteFooter (BOOL)
	function createSiteFooter($opts)
	{
	  if ($this->design["use_template"])
	  {
	    $this->m_actfile = $this->m_ffooter;
	    $this->priv_parseFile();
	  }
	  else
	  {
	    print "      </table>\n";
	    print "    </div>\n\n";
	  	print $this->priv_createFooter();
	    print "  </body>\n";
	    print "</html>\n";
	  }
	  return true;
	}

    // XML::FUNC::createTextTree ($self->createTextTree($opts,$tree))
    // XML::DESC::createTextTree (Erstellt ein Baummen)
    // XML::VERSION::createTextTree (1.0)
	// XML::RETURN::createTextTree ($string|HTML)
	function createTextTree($opts,$tree)
	{
	  (!$opts[root_symbol]) ? ($opts[root_symbol] = "+&nbsp;") : ($dummy);
	  (!$opts[child_symbol]) ? ($opts[child_symbol] = "-") : ($dummy);
	  (!$opts[p_break]) ? ($opts[p_break] = "<br>\n") : ($dummy);

	  while (list($key,$val) = each ($tree))
	  {
	    if ($key == 'root')
		{
		  $ret .= $opts[root_symbol].$val.$opts[p_break];
		}
		else
		{

		  if (is_array($val))
		  {
		    for ($cnt = 0;$cnt<count($val);$cnt++)
		    {
		      $ret .= $opts[child_symbol];

		      for ($cnt2 = 0;$cnt2<=$key;$cnt2++)
		  	  {
		        $ret .= "&nbsp;&nbsp;&nbsp;";
		  	  }

		  	  $ret .= $val[$cnt].$opts[p_break];
			}
		  }
		  else
		  {
		    $ret .= $opts[child_symbol];
		    for ($cnt = 0;$cnt<=$key;$cnt++)
		  	{
		      $ret .= "&nbsp;&nbsp;&nbsp;";
		  	}
		  	$ret .= $val.$opts[p_break];
		  }
		}
	  }

	  $ret .= "<p>";

	  if ($opts[p_return])
	    return $ret;
	  else
	    print $ret;
	}

    // XML::FUNC::createAdminMenu ($self->createAdminMenu($opts))
    // XML::DESC::createAdminMenu (Erstellt das Administrationsmenu unter phpAdmin.php)
    // XML::VERSION::createAdminMenu  (1.0)
	// XML::RETURN::createAdminMenu ($string|HTML)
	function createAdminMenu($p_cl)
	{
	  global $cmod;

	  $opts[onlyshowed] = "adminmenu";
	  $mymod = $cmod->getMods($opts);

	  $html = "      <!- XML::STATUS (Creating admin menu...) -!>\n";
	  $html .= "      <ul>\n";

	  for($cnt=0;$cnt<count($mymod);$cnt++)
	  {
	    $html .= "        <li><a href=\"".$mymod[$cnt][uid]."?cmd=admin_overview\" title=\"".$mymod[$cnt][admindesc]."\" class=\"admin\">".$mymod[$cnt][adminname]."</a></li>\n";
	  }
	  // XML::COMMENT (Nun die Punkte anzeigen, die die phpAdmin.php inne hat und nicht registriert werden)
	  if (is_online)
      {
        $html .= "        <li><a href=\"phpAdmin.php?cmd=admin_newsletter\" title=\"Newsletter an LAN-Teilnehmer verfassen\" class=\"admin\">Newsletter verfassen</a>\n";
	  }
      $html .= "        <li><a href=\"phpLogin.php?cmd=show_logout\" class=normal title=\"Aus dem Intranet ausloggen\" class=\"admin\">Logout</a>\n";
	  $html .= "      </ul>\n";
	  $html .= "      <!- XML::STATUS (...done) -!>\n";

	  if ($p_cl[p_return] == 'out')
	    print $html;
	  else
	    return $html;

	}

    // XML::FUNC::createUserMenu ($self->createUserMenu($opts))
    // XML::DESC::createUserMenu (Erstellt das Usermenu unter phpLoginn.php)
    // XML::VERSION::createUserMenu  (1.1)
	// XML::RETURN::createUserMenu ($string|HTML)
	function createUserMenu($opts)
	{
	  global $cmod;

	  $opts[onlyshowed] = "usermenu";
	  $opts[onlyactive] = 1;
	  $mymod = $cmod->getMods($opts);
	  $html = "      <!- XML::STATUS (Creating user menu...) -!>\n";
	  $html .= "      <ul>\n";

	  for($cnt=0;$cnt<count($mymod);$cnt++)
	  {
	    $html .= "        <li><a href=\"".$mymod[$cnt][uid]."?cmd=user_overview\" title=\"".$mymod[$cnt][desc]."\" class=\"user\">".$mymod[$cnt][showedname]."</a></li>\n";
	  }
      $html .= "        <li><a href=\"phpLogin.php?cmd=show_logout\" class=normal title=\"Aus dem Intranet ausloggen\" class=\"user\">Logout</a>";

	  $html .= "      </ul>\n";
	  $html .= "      <!- XML::STATUS (...done) -!>\n";

	  if ($opts[p_return] == 'return')
	    return $html;
	  else
	    print $html;
	}

    // XML::FUNC::createModulesMenu ($self->createModulesMenu())
    // XML::DESC::createModulesMenu (Erstellt Untermens fr den Adminbereich, falls type==admin=>Administration, sonst usermenu)
    // XML::VERSION::createModulesMenu  (1.0)
	// XML::RETURN::createModulesMenu (BOOL)
	function createModulesMenu($m_menu,$m_type)
	{
	  $i_total = count($m_menu);
	  $i_total--;

	  if ($m_type == 'admin')
	  {
	    print "        <a href=\"phpAdmin.php?cmd=show_login\" title=\"Administrationsbereich\" class=\"module_back\">Administration</a> >";
	  }
	  elseif ($m_type == 'user')
	  {
	    print "        <a href=\"phpLogin.php?cmd=show_login\" title=\"Userbereich\" class=\"module_back\">Userbereich</a> >";
	  }

	  for ($cnt=0;$cnt<count($m_menu);$cnt++)
	  {
	    // XML::COMMENT (Hier Routine einfgen, falls der Link dem aktiven Link entspricht)
	    // XML::CODE if ($cmd == $active)...
	    ($m_menu[$cnt][p_break]) ? ($m_sep = "<br>") : ($m_sep = "");

	    print "        <a href=\"".$m_menu[$cnt][link]."\" title=\"".$m_menu[$cnt][showedname]."\" class=\"module\">".$m_menu[$cnt][showedname]."</a> ";
		($cnt != $i_total) ? (print "| ".$m_sep."\n") : (print "<p>\n");
	  }

	  return true;
	}


    // XML::FUNC::getDesignSettings ($self->getDesignSettings())
    // XML::DESC::getDesignSettings (Liest alle Designeinstellungen aus der Datenbank)
    // XML::VERSION::getDesignSettings  (1.0)
	// XML::RETURN::getDesignSettings ($array)
	function getDesignSettings()
	{
	  global $cfunc;

      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

 	  $ar = array();
 	  $sth = mysql_query("SELECT setting, value FROM c_design");
 	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  while ($ret = mysql_fetch_row($sth))
	  {
	    $ar[$ret[0]] = $ret[1];
	  }

	  mysql_close();
	  return $ar;
	}

    // XML::FUNC::setDesignSetting ($self->setDesignSetting())
    // XML::DESC::setDesignSetting (Legt Einstellung fest)
    // XML::VERSION::setDesignSetting (1.0)
	// XML::RETURN::setDesignSetting (BOOL)
    function setDesignSetting($opts)
    {
	  global $cfunc;

      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || faultMySQL();
      $dbs = mysql_select_db(mysql_database) || faultMySQL();
	  (!$dbh) ? (faultMySQL()) : ($dummy);

 	  $sth = mysql_query("SELECT * FROM c_design WHERE setting=\"$opts[key]\"");
	  (!$sth) ? (faultMySQL()) : ($dummy);
   	  $ret = mysql_num_rows($sth);

 	  if ($ret == 0)
 	  {
   	    if ($opts['increment'])
   	    {
   	      $opts['value'] = 1;
     	}

   	    $sth = mysql_query("INSERT INTO c_design VALUES(\"".$opts['key']."\",\"".$opts['value']."\")");
	    (!$sth) ? (faultMySQL()) : ($dummy);
  	  }
	  else
	  {
 	    if ($opts['increment'])
 	    {
 	      $sth = mysql_query("UPDATE c_design SET value=value+1 WHERE setting=\"$opts[key]\"");
 	      (!$sth) ? (faultMySQL()) : ($dummy);
	    }
 	    else
 	    {
 	      $sth = mysql_query("UPDATE c_design SET value=\"$opts[value]\" WHERE setting=\"$opts[key]\"");
 	      (!$sth) ? (faultMySQL()) : ($dummy);
	    }
	  }
	  mysql_close();
      return true;
    }

    // XML::FUNC::priv_initValues ($self->priv_initValues())
    // XML::DESC::priv_initValues (Initialisiert die Variablen)
    // XML::VERSION::priv_initValues  (1.0)
	// XML::RETURN::priv_initValues ($m_templatedir|$m_fheader|$m_fbody|$m_ffooter)
	function priv_initValues($m_opts)
	{
      global $cfunc;
	  $this->settings = $cfunc->getSettings();
	  $this->design = $this->getDesignSettings();

	  $this->m_opts_ref_adr      = $m_opts[ref_adr];
	  $this->m_opts_ref_time     = $m_opts[ref_tim];
	  $this->m_opts_banner_links = $m_opts[banner_links];
	  $this->m_opts_titel		 = $m_opts[titel];
	  $this->m_opts_ref			 = $m_opts[ref];

	  global $settings,$design,$cfunc;

	  // XML::COMMENT (StyleSheet festlegen)
	  if ($this->design['use_template'])
	  {
	    $this->m_templatedir = "templates/".$design['use_template']."/";
	    $this->m_fheader     = "my.header";
	    $this->m_fbody 		 = "my.body";
	    $this->m_ffooter	 = "my.footer";
	  }
	}

    // XML::FUNC::priv_parseFile ($self->priv_parseFile($opts))
    // XML::DESC::priv_parseFile (Parst die angegebene Datei und ersetzt alle XML-Tags mit den jeweiligen Funktionen)
    // XML::VERSION::priv_parseFile  (1.2)
	// XML::RETURN::priv_parseFile ($string)
	function priv_parseFile()
	{
	  global $cfunc,$cvote;

	  $p_file = fopen($this->m_templatedir.$this->m_actfile, "r");
	  if ($p_file)
	  {
	    $file = fread($p_file, filesize ($this->m_templatedir.$this->m_actfile));
		fclose ($p_file);

	    (preg_match("/<!--XML::SITE::TITEL-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::TITEL-->/i",$this->priv_createTitel(),$file)) : ($dummy);
	    (preg_match("/<!--XML::SITE::CSS-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::CSS-->/i",$this->priv_createCSS(),$file)) : ($dummy);
	    (preg_match("/<!--XML::SITE::META-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::META-->/i",$this->priv_createMeta(),$file)) : ($dummy);
	    (preg_match("/<!--XML::SITE::JAVA-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::JAVA-->/i",$this->priv_createJava(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::ADMINBOX-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::ADMINBOX-->/i",$this->priv_createAdminbox(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::NAVIGAT-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::NAVIGAT-->/i",$this->priv_createNavigation(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::MENU-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::MENU-->/i",$this->priv_createNavigation(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::H1-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::H1-->/i","<h1>".$this->settings['lan.ueberschrift']."</h1>",$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::BANNER::SUBMENU-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::BANNER::SUBMENU-->/i",$this->priv_createBanner(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::BANNER::CHRYSTAL-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::BANNER::CHRYSTAL-->/i","<img src=\"images/chrystal-org.jpg\">",$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::VOTING-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::VOTING-->/i",$this->priv_createVoting(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::QUICKINFO-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::QUICKINFO-->/i",$this->priv_createQuickinfo(),$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::LINK::SEP::NORMAL-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::LINK::SEP::NORMAL-->/i",$design['link.sep.normal'],$file)) : ($dummy);
		(preg_match("/<!--XML::SITE::FOOTER-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::FOOTER-->/i",$this->priv_createFooter(),$file)) : ($dummy);

		// XML::COMMENT (Login-Link erstellen)
		(preg_match("/<!--XML::SITE::NEWS \((.*)\,(.*)\,(.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::NEWS \((.*)\)-->/i",$this->priv_createNews($ar[1],$ar[2],$ar[3]),$file)) : ($dummy);

		// XML::COMMENT (Login-Link erstellen)
		(preg_match("/<!--XML::SITE::LOGIN \((.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::SITE::LOGIN \((.*)\)-->/i",$this->priv_createLogin($ar[1]),$file)) : ($dummy);

		// XML::COMMENT (Spezifischen Link ersetzen)
		while (preg_match("/<!--XML::SITE::LINK \((.*)\)-->/i",$file,$ar))
		{
		  // XML::COMMENT (XML-Tag ersetzen)
		  $file = preg_replace("/<!--XML::SITE::LINK \(".$ar[1]."\)-->/i",$this->priv_createLink($ar[1]),$file);
		}

		// XML::COMMENT (Ldt Variable aus der Datenbank)
		(preg_match("/<!--XML::PHP::VAR \((.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::PHP::VAR \(".$ar[1]."\)-->/i","<!- XML::STATUS (Variable loaded) -!>\n".$this->settings[$ar[1]]."\n",$file)) : ($dummy);

		// XML::COMMENT (PHP-Datei einbinden)
		(preg_match("/<!--XML::PHP::INCLUDE \((.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::PHP::INCLUDE \(".$ar[1]."\)-->/i",$this->priv_phpInclude($ar[1]),$file)) : ($dummy);

		// XML::COMMENT (Opts-Array setzen)
		(preg_match("/<!--XML::PHP::CTEMPLATE::OPTS \((.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::PHP::CTEMPLATE::OPTS \(".$ar[1]."\)-->/i",$this->priv_phpSetOpts($ar[1]),$file)) : ($dummy);

		// XML::COMMENT (Funktion aufrufen)
		(preg_match("/<!--XML::PHP::CTEMPLATE::FUNC \((.*)\)-->/i",$file,$ar)) ? ($file = preg_replace("/<!--XML::PHP::CTEMPLATE::FUNC \(".$ar[1]."\)-->/i",$this->priv_phpCallFunction($ar[1]),$file)) : ($dummy);

	    // XML::COMMENT (Datei ausgeben)
	    print $file."\n";

	  }
	  // XML::COMMENT (Datei existiert nicht)
	  else
	  {
	    $cfunc->faultExt("Die Datei ".$this->m_templatedir.$this->m_actfile." existiert nicht.");
	  }
	}

	// XML::FUNC::priv_createVoting ($self->priv_createVoting())
    // XML::DESC::priv_createVoting (Liefert Voting zurck)
    // XML::VERSION::priv_createVoting (1.0)
	// XML::RETURN::priv_createVoting ($ret)
	function priv_createVoting()
	{
	  include_once("CVoting.php");
	  $cvote = new CVoting;
	  $ret = $cvote->showVoting();

	  return $ret;
	}

	// XML::FUNC::priv_createQuickinfo ($self->priv_createQuickinfo())
    // XML::DESC::priv_createQuickinfo (Liefert Quickinfo zurck)
    // XML::VERSION::priv_createQuickinfo (1.0)
	// XML::RETURN::priv_createQuickinfo ($ret)
	function priv_createQuickinfo()
	{
	  global $cfunc;
	  $ret = $cfunc->writeChrystalInfo();
	  $this->priv_iLoadTimer = 1;

	  return $ret;
	}

	// XML::FUNC::priv_createFooter ($self->priv_createFooter())
    // XML::DESC::priv_createFooter (Liefert Footer zurck)
    // XML::VERSION::priv_createFooter (1.0)
	// XML::RETURN::priv_createFooter ($ret)
	function priv_createFooter()
	{
	  global $VERSION;

	  $ret  = "\n    <!- XML::STATUS (Creating site footer...) -!>\n";

	  // XML::COMMENT (Falls die Quickinfoleiste geladen wurde)
	  if ($this->priv_iLoadTimer == 1)
	  {
	    $ret .= "    <script language=\"JavaScript\" src=\"scripts/timer.js\"></script>\n";
	    $ret .= "    <script language=\"JavaScript\">window.setTimeout(\"ShowTime()\",100);</script>\n\n";
	  }

	  $ret .= "    <!-- This code was automatically generated  by phpChrystal CDesign v$VERSION.-->\n";
      $ret .= "    <!-- If you want to use CDesign for your site please read the documentation of phpChrystal.-->\n";
      $ret .= "    <!-- More information about phpChrystal on www.cyberwarnews.de-->\n";
      $ret .= "    <!-- Download: http://cth.t39m.net/phpChrystal.zip-->\n";
	  $ret .= "    <!- XML::STATUS (...done) -!>\n";

	  return $ret;
	}

	// XML::FUNC::priv_phpCallFunction ($self->priv_phpCallFunction($m_function))
    // XML::DESC::priv_phpCallFunction (Ruft Funktion auf)
    // XML::VERSION::priv_phpCallFunction (1.0)
	// XML::RETURN::priv_phpCallFunction ($ret)
	function priv_phpCallFunction($m_function)
	{
	  // XML::COMMENT (Methode existiert und wird aufgerufen)
	  if (method_exists($this->c_temporary,$m_function))
	  {
	    $c_back = call_user_method($m_function,$this->c_temporary,$this->c_opts);

		// XML::COMMENT (Werte wurden zurckgeliefert)
		if ($c_back)
		{
		  $ret = "\n      <!- XML::STATUS (Function successful executed) -!>\n<!- XML::STATUS (Output follows...) -!>\n".$c_back."\n<!- XML::STATUS (...done) -!>";
		}
		// XML::COMMENT (Fehlende Werte, bzw. kein BOOL == true)
		else
	  	{
		  $ret = "\n      <!- XML::STATUS (Failure: Function ".$m_function." with following opts: ".$this->c_opts." did not return anything) -!>";
		}
	  }
	  // XML::COMMENT (Funktion existiert nicht)
	  else
	  {
	    $ret = "\n      <!- XML::STATUS (Failure: Couldn't execute function ".$m_function." with following opts: ".$this->c_opts.") -!>";
	  }

	  return $ret;
	}

	// XML::FUNC::priv_phpSetOpts ($self->priv_phpSetOpts($string))
    // XML::DESC::priv_phpSetOpts (Setzt Optionen fr eine kommende Funktion)
    // XML::VERSION::priv_phpSetOpts (1.0)
	// XML::RETURN::priv_phpSetOpts ($ret)
	function priv_phpSetOpts($m_string)
	{
	  unset($this->c_opts);
	  $c_ar = explode(",",$m_string);

	  for($cnt = 0;$cnt<count($c_ar);$cnt++)
	  {
	    $t_ar = split("=>",$c_ar[$cnt]);
		$this->c_opts[$t_ar[0]] = $t_ar[1];
	  }

	  $ret = "\n      <!- XML::STATUS (Options successfully set) -!>";

	  return $ret;
	}

	// XML::FUNC::priv_phpInclude ($self->priv_phpInclude($file))
    // XML::DESC::priv_phpInclude (Integriert neue PHP-Datei)
    // XML::VERSION::priv_phpInclude (1.0)
	// XML::RETURN::priv_phpInclude ($ret)
	function priv_phpInclude($m_file)
	{
	  if (file_exists($this->m_templatedir.$m_file))
	  {
	    include_once("./".$this->m_templatedir.$m_file);
		$this->c_temporary = new CTemplate();
		$ret = "\n      <!- XML::STATUS (File ".$this->m_templatedir.$m_file." sucessful loaded) -!>";
	  }
	  else
	  {
	    $ret = "\n      <!- XML::STATUS (Failure: Couldn't load ".$this->m_templatedir.$m_file.") -!>";
	  }

	  return $ret;
	}

	// XML::FUNC::priv_createLink ($self->priv_createLink($m_showedname))
    // XML::DESC::priv_createLink (Erstellt einen Link)
    // XML::VERSION::priv_createLink (1.0)
	// XML::RETURN::priv_createLink ($ret)
	function priv_createLink($m_string)
	{
	  global $cmod;

	  // XML::COMMENT (Link, URL, Showedname laden)
	  $opts[showedname] = $m_string;
	  $m_mod = $cmod->getMods($opts);

	  // XML::COMMENT (Link erstellen)
	  $ret = '';
	  $ret = "\n      <!- XML::STATUS (Replacing link \"".$m_string."\"...) -!>";
	  $ret .= "\n      <a href=\"".$m_mod[0][url]."\" class=\"navigat\">".$m_mod[0][showedname]."</a>";
	  $ret .= "\n      <!- XML::STATUS (...done) -!>\n";

	  return $ret;
	}

	// XML::FUNC::priv_createLogin ($self->priv_createLogin($string))
    // XML::DESC::priv_createLogin (Erstellt einen Login-String)
    // XML::VERSION::priv_createLogin (1.0)
	// XML::RETURN::priv_createLogin ($string)
	function priv_createLogin($m_string)
	{
	  $ret = "<a href=\"phpLogin.php?cmd=show_login\" title=\"Einloggen\">".$m_string."</a>";
	  return $ret;
	}

	// XML::FUNC::priv_createTitel ($self->priv_createTitel())
    // XML::DESC::priv_createTitel (Erstellt einen Titel-String)
    // XML::VERSION::priv_createTitel  (1.0)
	// XML::RETURN::priv_createTitel ($string)
    function priv_createTitel()
    {
	  if ($this->settings['lan.ueberschrift'])
	  {
	    $ret = $this->settings['lan.ueberschrift'];
	  }

	  if ($this->var_szTitel)
	  {
	    $ret .= " > ".$this->var_szTitel;
	  }

	  return $ret;
	}

    // XML::FUNC::priv_createCSS ($self->priv_createCSS())
    // XML::DESC::priv_createCSS (Erstellt einen CSS-String)
    // XML::VERSION::priv_createCSS  (1.0)
	// XML::RETURN::priv_createCSS ($string)
    function priv_createCSS()
    {
	  ($this->design['use_template']) ? ($ret = "    <link href=\"".$this->m_templatedir."inner.css\" rel=stylesheet type=\"text/css\">\n") : ($ret= "    <link href=\"style/inner.css\" rel=stylesheet type=\"text/css\">\n");
	  return $ret;
	}

    // XML::FUNC::priv_createMeta ($self->priv_createMeta())
    // XML::DESC::priv_createMeta (Erstellt einen Meta-String)
    // XML::VERSION::priv_createMeta  (1.0)
	// XML::RETURN::priv_createMeta ($string)
    function priv_createMeta()
    {
	  if ($this->design['fading'])
	  {
    	$ret  = "    <meta http-equiv=\"Page-Enter\" content=\"blendTrans(Duration=10;10)\">\n";
    	$ret .= "    <meta http-equiv=\"Page-Exit\" content=\"blendTrans(Duration=10;10)\">\n";
	  }


	  $ret .= "    <meta http-equiv=\"content-language\" content=\"de\">\n";
	  $ret .= "    <meta name=\"generator\" content=\"phpChrystal v".$this->settings['chrystal.version']."\">\n";

	  if ($this->m_fullmetatags)
	  {
	    $ret .= "    <meta name=\"description\" content=\"phpChrystal ist ein Opensource Intranetsystem und bietet die Mglichkeit, sowohl on- als auch offline zu agieren. phpChrystal steht unter http://cth.t39m.net/phpChrystal.zip zum Download bereit.\">\n";
		$ret .= "    <meta name=\"author\" content=\"::[CTH]Goldenhawk::\">\n";
		$ret .= "    <meta name=\"keywords\" content=\"phpChrystal, Intranet, Intranetsystem, Lansurfer, Chrystal, lan, netzwerkparty, netzwerkpartys, orga, Opensource, free, turnier, turniersystem, forum, event, eventorganizer, rcon, unrealtournament, q3a, ut, rtcw, hl, cs\">\n";
	  }

	  if ($this->debug)
	  {
		include_once("CStat.php");
		$cstat = new CStat;
		$info = $cstat->getSoftwareInfo();

	    $ret .= "\n    <!- XML::STATUS (Creating debug information...) ->\n";
	    $ret .= "      <!- XML::DEBUG::PHP::SAVEPATH (".get_cfg_var("session.save_path").") -!>\n";
	    $ret .= "      <!- XML::DEBUG::REF::SAVEPATH (h:/server_systeme/php/sessiondata) -!>\n";
	    $ret .= "      <!- XML::DEBUG::PHP::ERRORREPORT (".get_cfg_var("error_reporting").") -!>\n";
	    $ret .= "      <!- XML::DEBUG::REF::ERRORREPORT (2039) -!>\n";
	    $ret .= "      <!- XML::DEBUG::PHP::VERSION (".$info['php.version.intern'].") -!>\n";
	    $ret .= "      <!- XML::DEBUG::REF::VERSION (4200) -!>\n";
	    $ret .= "      <!- XML::DEBUG::PHP::APACHE (".$info['webserver.software'].") -!>\n";
	    $ret .= "      <!- XML::DEBUG::REF::APACHE (Apache/2.0.36 (Win32) PHP/4.2.0) -!>\n";
	    $ret .= "      <!- XML::DEBUG::PHP::INCLUDE (".ini_get("include_path").") -!>\n";
	    $ret .= "      <!- XML::DEBUG::REF::INCLUDE (h:\server_systeme\apache_2.0\users\php\classes) -!>\n";
	    $ret .= "    <!- XML::COMMENT (...done) ->\n";
	  }

	  ($this->m_opts_pragma) ? ($ret .= "    <meta http-equiv=\"pragma\" content=\"no-cache\">\n") : ($dummy);

	  if ($this->m_opts_ref)
	  {
	    (!$this->m_opts_ref_time) ? ($this->m_opts_ref_time = "1") : ($dummy);
	    (!$this->m_opts_ref_adr) ? ($this->m_opts_ref_adr = $GLOBALS[HTTP_REFERER]) : ($dummy);

	    $ret .= "  <meta http-equiv=\"refresh\" content=\"".$this->m_opts_ref_time."; URL=".$this->m_opts_ref_adr."\">\n\n";
	  }

	  return $ret;
	}

    // XML::FUNC::priv_createJava ($self->priv_createJava())
    // XML::DESC::priv_createJava (Erstellt einen Java-String)
    // XML::VERSION::priv_createJava  (1.0)
	// XML::RETURN::priv_createJava ($string)
	function priv_createJava()
	{
	  // XML::COMMENT (Java,Javascripts etc. festlegen, die geladen werden sollen)
	  $ret  = "\n    <script language=\"JavaScript\" src=\"scripts/vis_layer.js\"></script>";
	  $ret .= "\n    <script language=\"JavaScript\" src=\"scripts/vis_text.js\"></script>";
	  $ret .= "\n    <script language=\"JavaScript\" src=\"scripts/vis_img.js\"></script>";
	  $ret .= "\n    <script language=\"JavaScript\" src=\"scripts/vis_bg.js\"></script>";
	  $ret .= "\n    <script language=\"JavaScript\" src=\"scripts/func_window.js\"></script>";

	  // XML::COMMENT (Falls lan.javscript.shifts auf 1 gesetzt ist, kann man Dokumente mittels Shift+S absenden)
	  if ($this->settings['lan.javascript.shifts'])
	  {
	    $ret .= "\n    <script language=\"JavaScript\" for=document event=\"onkeypress()\"  src=\"scripts/hotkey.js\"></script>";
	  }

	  return $ret;
	}

    // XML::FUNC::priv_createAdminbox ($self->priv_createAdminbox())
    // XML::DESC::priv_createAdminbox (Erstellt einen Adminbox-String)
    // XML::VERSION::priv_createAdminbox  (1.0)
	// XML::RETURN::priv_createAdminbox ($string)
  	function priv_createAdminbox()
  	{
	  // XML::COMMENT (Adminbox festlegen)
	  if (is_online)
	  {
  	    (session_is_registered("active_login")) ? ($ret = "      Eingeloggt als<br>$GLOBALS[active_username]\n<p><hr><p>      <a href=\"phpLogin.php?cmd=logout\">Logout</a>s\n") : ($ret = "      <a href=\"javascript:openWindow('phpHelp.php?cmd=help&id=login','Hilfe','300','400')\"><u>?</u></a>\n");
	  }
	  else
	  {
	    (session_is_registered("active_login")) ? ($ret = "      Eingeloggt als<br>$GLOBALS[active_username]\n<p><hr><p>      <a href=\"phpLogin.php?cmd=logout\">Logout</a>\n") : ($ret = "      Nicht eingeloggt\n");
	  }

	  return $ret;
  	}

    // XML::FUNC::priv_createNews ($self->priv_createNews($m_length,$m_maxnews,$m_sep))
    // XML::DESC::priv_createNews (Erstellt News)
    // XML::VERSION::priv_createNews (1.0)
	// XML::RETURN::priv_createNews ($string)
	function priv_createNews($m_length,$m_maxnews,$m_sep)
	{
	  include_once("CNews.php");
	  $cnews = new CNews;

	  $this->var_szNews = '';

	  $opts[limit] = $m_maxnews;
	  $mynews = $cnews->getNews($opts);
	  for ($cnt = 0;$cnt<count($mynews);$cnt++)
	  {
	    $m_points = '';
	    (($m_length == '') || ($m_length == '0')) ? ($m_length = strlen($mynews[$cnt][subject])) : ($m_points = "...");

	    $this->var_szNews .= "<a href=\"index.php#".$mynews[$cnt][id]."\" title=\"Am ".$mynews[$cnt][date]."\nVon ".$mynews[$cnt][from]."\" class=newslink>";
	    $this->var_szNews .= substr($mynews[$cnt][subject],0,$m_length).$m_points."</a>".$m_sep;
	  }

	  return $this->var_szNews;
    }

    // XML::FUNC::priv_createNavigation ($self->priv_createNavigation())
    // XML::DESC::priv_createNavigation (Erstellt einen Navigation-String)
    // XML::VERSION::priv_createNavigation  (1.0)
	// XML::RETURN::priv_createNavigation ($string)
  	function priv_createNavigation()
  	{
	  global $cmod;

	  $opts[onlyshowed] = "mainmenu";
	  $opts[onlyactive] = "1";
	  $mymod = $cmod->getMods($opts);

	  $ret = "\n";

	  for ($cnt=0;$cnt<count($mymod);$cnt++)
	  {
	    // XML::COMMENT (berprfen, ob dieses Modul auf einen bestimmten Zustand abgestimmt ist)
	    if ((is_online && ($mymod[$cnt][online] == 0)) || (!is_online && ($mymod[$cnt][online] == 1)))
	    {
	      next;
	    }
		else
		{
		  // XML::COMMENT (Settings, Values aufsplitten)
		  $desset = split(";",$mymod[$cnt][settings]);
		  $desval = split(";",$mymod[$cnt][value]);

		  // XML::COMMENT (individuelle Einstellungen festlegen)
		  for ($cnt2=0;$cnt2<count($desset);$cnt2++)
		  {
		    $mymodset[$desset[$cnt2]] = $desval[$cnt2];
		  }

		  // XML::COMMENT (Falls der Link nicht angezeigt werden soll)
		  if ($mymodset[dontshow])
		  {
		    next;
		  }

		  // XML::COMMENT (Das Trennzeichen wurde gendert)
		  ($mymodset[sepnormal] != '') ? ($my_link_sep_normal = $mymodset[sepnormal]) : ($my_link_sep_normal = $this->design['link.sep.normal']);
		  ($mymodset[seppre] != '') ? ($my_link_sep_pre = $mymodset[seppre]) : ($my_link_sep_pre = $this->design['link.sep.pre']);
		  ($mymodset[seppost] != '') ? ($my_link_sep_post = $mymodset[seppost]) : ($my_link_sep_post = $this->design['link.sep.post']);

		  // XML::COMMENT (Fr den Link wurde eine bestimmte Klasse gesetzt)
		  ($mymodset[linkclass]) ? ($my_link_class = $mymodset[linkclass]) : ($my_link_class = "navigat");

		  // XML::COMMENT (Falls Flags gesetzt wurden, dass die Trennzeichen nicht sichtbar sein sollen)
		  ($mymodset[nopost]) ? ($my_link_sep_post = '') : ($my_link_sep_post);
		  ($mymodset[nopre]) ? ($my_link_sep_pre = '') : ($my_link_sep_pre);
	      ($mymodset[nosep]) ? ($my_link_sep_normal = '') : ($my_link_sep_normal);

		  $ret .= "      <a href=\"".$mymod[$cnt][url]."\" title=\"".$mymod[$cnt][desc]."\" class=\"".$my_link_class."\">$my_link_sep_pre".$mymod[$cnt][showedname]."$my_link_sep_post</a>\n";
		  $ret .= "      $my_link_sep_normal\n";
		  unset($mymodset);
		}
	  }
  	  return $ret;
  	}

    // XML::FUNC::priv_createBanner ($self->priv_createBanner())
    // XML::DESC::priv_createBanner (Erstellt einen Banner-String)
    // XML::VERSION::priv_createBanner (1.0)
	// XML::RETURN::priv_createBanner ($string)
  	function priv_createBanner()
  	{
	  // XML::COMMENT (linkes Banner festlegen)
	  (!$this->m_opts_banner_links) ? ($ret = "      <img src=\"images/chrystal.jpg\">") : ($ret = "       <img src=\"".$this->m_opts_banner_links."\">");
	  return $ret;
	}
  }

?>