<?
  // XML::MODUL   (Class CEvent)
  // XML::VERSION (0.014)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Verwaltung der Events, sowie Ausgabe der Kalender und Rckgabe der Daten und Zeiten)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CEvent";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CConfig.php");
  include_once("CFunction.php");


  $cfunc = new CFunc;
  global $cfunc,$VERSION;

  // XML::COMMENT (Klasse festlegen)
  class CEvent
  {
    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }

    // XML::FUNC::createCalender ($self->createCalender($opts))
    // XML::DESC::createCalender (Erstellt ein Array mit den Tagen)
    // XML::VERSION::createCalender  (1.0)
    // XML::RETURN::createCalender ($NAME,$AUTHOR,$VERSION)
	function createCalender($opts)
	{
	  // XML::COMMENT (Tage festlegen)
	  $days = array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
	  $month = array("January","February","March","April","May","June","July","August","September","October","November","December");

	  if ($opts[month])
	  {
        $var_actdate = getdate(time());
	    $date_year   = $var_actdate[year];
	    (!$opts[year]) ? ($opts[year] = $date_year) : ($dummy);

		$to_check_year  = $opts[year];
		$to_check_month	= $opts[month];

	    $ts_first = strtotime("0 $opts[month] $opts[year]");
	  }
	  else
	  {
	    // XML::COMMENT (Aktuelles Datum (Monat, Jahr)
        $var_actdate 	 = getdate(time());
	    $to_check_month  = $var_actdate[mon];
	    $to_check_year   = $var_actdate[year];
	    $date_actdayn 	 = $var_actdate[mday];

	    // XML::COMMENT (Sekunden, die seit dem Monatsanfang vergangen sind)
	    $ts_minus = $date_actdayn * 60 * 60 * 24;

	    // XML::COMMENT (ggw. Timestamp)
	    $ts_now = time();

	    // XML::COMMENT (Timestamp des ersten Tages diesen Monats)
	    $ts_first = $ts_now - $ts_minus;

	    ($this->debug) ? (print $ts_now."<br>") : ($dummy);
	  }

	  // XML::COMMENT (Name des ersten Tages)
	  $dn_of_first_day = date("l",$ts_first);

	  // XML::COMMENT (Neues Array erstellen)
	  $ar = array();

	  // XML::COMMENT (Array durchlaufen)
	  for ($cnt = 1;$cnt<count($days);$cnt++)
	  {
	    // XML::COMMENT (Falls der Name des Tages von dem 1. dieses Monats entspricht, wird der 1. gepusht und die Schleife verlassen)
	    if ($dn_of_first_day == $days[$cnt])
	    {
	      array_push($ar,1);
	      break;
	  	}
	  	// XML::COMMENT (Andernfalls wird ein Platzhalter eingefgt)
	    else
	    {
	      array_push($ar,"-");
	    }
	  }

	  // XML::COMMENT (Falls das Datum nicht als Zahl bergeben wurde)
	  if (!is_int($to_check_month))
	  {
		$cnt = 1;
		foreach ($month as $value)
		{
		  if ($value == $to_check_month)
		  {
		    $to_check_month = $cnt;
		    break;
		  }
		  $cnt++;
		}
	  }

	  // XML::COMMENT (Restliche Tage einfgen)
	  for ($cnt = 2;$cnt<32;$cnt++)
	  {
	    (checkdate($to_check_month,$cnt,$to_check_year)) ? (array_push($ar,$cnt)) : ($dummy);
	  }

	  return $ar;
	}

    // XML::FUNC::getFormatedToday ($self->getFormatedToday($opts))
    // XML::DESC::getFormatedToday (Liefert das heutige Datum formatiert zurck)
    // XML::VERSION::getFormatedToday  (1.0)
    // XML::RETURN::getFormatedToday ($string)
	function getFormatedToday($opts)
    {
      $var_actdate = getdate(time());
	  $date_month  = $var_actdate[mon];
	  $date_year   = $var_actdate[year];
	  $date_actdayn = $var_actdate[mday];
	  $date_actday  = $var_actdate[weekday];

  	  $ref_days = array('Monday' => 'Montag','Tuesday' => 'Dienstag','Wednesday' => 'Mittwoch','Thursday' => 'Donnerstag', 'Friday' => 'Freitag', 'Saturday' => 'Samstag', 'Sunday' => 'Sonntag');

	  $ret = "".$ref_days[$date_actday].", den ".$date_actdayn.".".$date_month.".".$date_year;

	  return $ret;
	}

    // XML::FUNC::getEvents ($self->getEvents($opts))
    // XML::DESC::getEvents (Liefert die Events zurck)
    // XML::VERSION::getEvents  (1.0)
    // XML::RETURN::getEvents ($array)
  	function getEvents($opts)
  	{
      global $cfunc;

	  $mysqlwhere = "WHERE";

  	  // XML::COMMENT (Alle Ereignisse von Heute zurckliefern)
	  if ($opts[key])
	  {
	    $mysqlstring = "$mysqlwhere $opts[key]=\"$opts[value]\"";
	    $mysqladd = "AND";
	    $mysqlwhere = "";
	  }

  	  if ($opts[today])
	  {
	    $mysqlstring .= "$mysqlwhere $mysqladd date LIKE '".$this->privGetDate()."'";
	  }

	  if ($opts[limit])
	  {
	    $mysqlstring .= " LIMIT $opts[limit]";
	  }

	  if ($opts[order_1])
	  {
	    $mysqlstring .= " ORDER BY $opts[order_1]";
	    ($opts[order_2]) ? ($mysqlstring .= ",$opts[order_2]") : ($dummy);
	  }

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

 	  $sth = mysql_query("SELECT id, date, subject, location, description, username, time FROM c_events $mysqlstring");
 	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  $cnt = 0;
	  while($ret = mysql_fetch_row($sth))
	  {
	    $ar[$cnt][id] 		= $ret[0];
	    $ar[$cnt][date] 	= $ret[1];
	    $ar[$cnt][subject] 	= $ret[2];
	    $ar[$cnt][location] = $ret[3];
	    $ar[$cnt][desc] 	= $ret[4];
	    $ar[$cnt][username] = $ret[5];
	    $ar[$cnt][time] 	= $ret[6];
		$cnt++;
	  }

	  mysql_close();
	  return $ar;
	}

	// XML::FUNC::createTimeMenu ($self->createTimeMenu($opts))
    // XML::DESC::createTimeMenu (Erstellt ein Auswahlmenu)
    // XML::VERSION::createTimeMenu (1.0)
    // XML::RETURN::createTimeMenu ($string)
	function createTimeMenu($opts)
	{
	  if ($opts[string_to_try])
	  {
	    if (preg_match("/(.*)(\d*):(\d*):(\d*)(.*)/",$opts[string_to_try],$ret))
	    {
	      $hour = $ret[1];
	      $min = $ret[2];
	    }
	    elseif (preg_match("/^(\d*):(\d*)$/",$opts[string_to_try],$ret))
	    {
	      $hour = $ret[1];
	      $min = $ret[2];
	    }
	  }
	  else
	  {
	    $now_time = $this->getTime();
	    $ar = explode(":",$now_time);
	    $hour = $ar[0];
	    $min  = $ar[1];
	  }

	  ($opts[hour]) ? ($hour = $opts[hour]) : ($dummy);
	  ($opts[minute]) ? ($min = $opts[minute]) : ($dummy);

	  $ret = "    <select name=in_hour>\n";
	  for ($cnt = 0;$cnt<24;$cnt++)
	  {
	    ($cnt == $hour) ? ($out = "selected") : ($out = '');
	    $ret .= "      <option value=\"$cnt\" $out>$cnt</option>\n";
	  }
	  $ret .= "    </select>\n";

	  ($opts[sep]) ? ($ret .= " $opts[sep] ") : ($ret .= " : ");

	  // XML::COMMENT (Intervall wurde angegeben)
	  (!$opts[intervall]) ? ($opts[intervall] = 1) : ($dummy);
	  $ret .= "    <select name=in_min>\n";
	  for ($cnt = 0;$cnt<60;$cnt+=$opts[intervall])
	  {
	    ($cnt < 10) ? ($cnt = "0".$cnt) : ($dummy);


	    ($cnt == $min) ? ($out = "selected") : ($out = '');
	    $ret .= "      <option value=\"$cnt\" $out>$cnt</option>\n";
	  }
	 $ret .= "    </select>\n";

	 return $ret;
   }

	// XML::FUNC::createDateMenu ($self->createDateMenu($opts))
    // XML::DESC::createDateMenu (Erstellt ein Auswahlmenu)
    // XML::VERSION::createDateMenu (1.0)
    // XML::RETURN::createDateMenu ($string)
	function createDateMenu($opts)
	{
	  $days  = "31";
	  $month = "12";
	  $year  = strftime("%Y",time());

	  $ret = "    <select name=in_day>\n";
	  for ($cnt = 1;$cnt<=$days;$cnt++)
	  {
		if ($cnt < 10)
		{
		  $cnt = "0".$cnt;
		}

		($cnt == strftime("%d",time())) ? ($out = "selected") : ($out = '');
		$ret .= "      <option value=\"".$cnt."\" $out>$cnt</option>\n";
	  }

	  $ret .= "   </select>.<select name=in_month>\n";
	  for ($cnt = 1;$cnt<=$month;$cnt++)
	  {
		($cnt == strftime("%m",time())) ? ($out = "selected") : ($out = '');
		$ret .= "      <option value=\"".$cnt."\" $out>$cnt</option>\n";
	  }

	  $ret .= "   </select>.<select name=in_year>\n";
	  for ($cnt = $year;$cnt<=($year + 10);$cnt++)
	  {
		($cnt == strftime("%Y",time())) ? ($out = "selected") : ($out = '');
		$ret .= "      <option value=\"".$cnt."\" $out>$cnt</option>\n";
	  }
	  $ret .= "    </select>";

	  return $ret;
	}

	// XML::FUNC::addEvent ($self->addEvent($opts))
    // XML::DESC::addEvent (Fgt Event in die Datenbank ein)
    // XML::VERSION::addEvent (1.0)
    // XML::RETURN::addEvent (BOOL)
	function addEvent($opts)
	{
	  global $cfunc;
	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

 	  $sth = mysql_query("INSERT INTO c_events VALUES('','$opts[date]','$opts[time]','$opts[subject]','$opts[location]','$opts[desc]','$opts[username]')");
 	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	  return true;
	}

	// XML::FUNC::deleteEvents ($self->deleteEvents($ids))
    // XML::DESC::deleteEvents (Lscht alle Events mit der angegebenen ID)
    // XML::VERSION::deleteEvents (1.0)
    // XML::RETURN::deleteEvents (BOOL)
	function deleteEvents($m_ids)
	{
	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  foreach ($m_ids as $value)
	  {
 	    $sth = mysql_query("DELETE FROM c_events WHERE id=\"".$value."\"");
 	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }

	  mysql_close();
	  return true;
	}

	// XML::FUNC::getTime ($self->getTime())
    // XML::DESC::getTime (Liefert die aktuelle Zeit zurck)
    // XML::VERSION::getTime (1.0)
    // XML::RETURN::getTime ($time)
    function getTime()
    {
      $time = strftime("%X");
	  return $time;
    }

    // XML::FUNC::privGetDate() ($self->privGetDate())
    // XML::DESC::privGetDate() (Liefert das aktuelle Dazum zurck)
    // XML::VERSION::privGetDate() (1.0)
    // XML::RETURN::privGetDate() ($date);
    function privGetDate()
    {
      $day = date("d");
      $month = date("n");
      $year = date("y");

      if ($month < 10)
      {
        $month = "0".$month;
      }
      $date = $day.".".$month.".".$year;
      return $date;
    }

    // XML::FUNC::createDBDate() ($self->createDBDate())
    // XML::DESC::createDBDate() (Erstellt Datum fr Datenbank)
    // XML::VERSION::createDBDate() (1.0)
    // XML::RETURN::createDBDate() ($date);
	function createDBDate()
	{
	  $date = $this->privGetDate();
	  $time = $this->getTime();
	  $completedate = "$date, $time";
 	  return $completedate;
 	}

    // XML::FUNC::convertTStoDB() ($self->convertTStoDB($timestamp))
    // XML::DESC::convertTStoDB() (Konvertiert einen Unix-Timestamp in das phpChrystal-Format)
    // XML::VERSION::convertTStoDB() (1.0)
    // XML::RETURN::convertTStoDB() ($date);
	function convertTStoDB($my_timestamp)
	{
	  $ret = strftime("%d.%m.%Y, %H:%M",$my_timestamp);

  	  return $ret;
  	}

    // XML::FUNC::convertDBtoTS() ($self->convertDBtoTS($date))
    // XML::DESC::convertDBtoTS() (Konvertiert ein phpChrystal-Dateformat in einen Unix-Timestamp)
    // XML::VERSION::convertDBtoTS() (1.0)
    // XML::RETURN::convertDBtoTS() ($timestamp|BOOL);
	function convertDBtoTS($m_date)
	{
	  // XML::COMMENT (Datum in seine Bestandteile zerlegen)
	  if (preg_match("/(.*)\.(.*)\.(.*), (.*):(.*):(.*)/",$m_date,$ar))
	  {
	    $day   = $ar[1];
	    $month = $ar[2];
	    $year  = $ar[3];
	    $hour  = $ar[4];
	    $min   = $ar[5];
		$sec   = $ar[6];

		// XML::COMMENT (Falls $hour nur zweistellig ist)
		($year < 100) ? ($year = "20".$hour) : ($dummy);
		($month < 10) ? ($month = "0".$month) : ($dummy);

	    $ret = mktime($hour,$min,$sec,$month,$day,$year);
		return $ret;
	  }
	  else
	  {
	    return false;
	  }
	}

    // XML::FUNC::getNowTimestamp() ($self->getNowTimestamp())
    // XML::DESC::getNowTimestamp() (Liefert den aktuellen Timestamp zurck)
    // XML::VERSION::getNowTimestamp() (1.0)
    // XML::RETURN::getNowTimestamp() ($timestamp);
	function getNowTimestamp()
	{
	  $ret = mktime();
	  return $ret;
	}

    // XML::FUNC::secondsToDate() ($self->secondsToDate($opts))
    // XML::DESC::secondsToDate() (Erstellt aus der bergebenen Sekundenzahl einen String im Format Stunden:Minuten:Sekunden)
    // XML::VERSION::secondsToDate() (1.0)
    // XML::RETURN::secondsToDate() ($string);
	function secondsToDate($opts)
	{
	  (!$opts[string_h]) ? ($opts[string_h] = " Stunde(n), ") : ($dummy);
	  (!$opts[string_m]) ? ($opts[string_m] = " Minuten, ") : ($dummy);
	  (!$opts[string_s]) ? ($opts[string_s] = " Sekunden") : ($dummy);
	  $m_hours = $opts[seconds] / 3600;
	  $m_rminutes = bcmod($opts[seconds],3600);
	  ($m_hours < 1) ? ($m_hours = "0") : ($m_hours = floor($m_hours));

	  $m_minutes = $m_rminutes / 60;
	  ($m_minutes < 1) ? ($m_minutes = "0") : ($m_minutes = floor($m_minutes));

	  $m_seconds = bcmod($opts[seconds],60);
	  ($m_seconds < 1) ? ($m_seconds = "0") : ($dummy);

	  $m_string = $m_hours.$opts[string_h].$m_minutes.$opts[string_m].$m_seconds.$opts[string_s];
	  return $m_string;
	}
  }
?>
