<?
  // XML::MODUL   (Class CLayout)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dieses Modul verwaltet das Layout der einzelnen HTML-Elemente)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CLayout";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CConfig.php");
  include_once("CFunction.php");
  include_once("CModules.php");


  $cfunc = new CFunc;
  $cmod  = new CModules;
  global $cfunc,$cmod,$VERSION;

  // XML::COMMENT (Klasse festlegen)
  class CLayout
  {
    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }

    // XML::FUNC::FormNew ($self->FormNew($out_action,$out_method))
    // XML::DESC::FormNew (Erstellt neues Formular)
    // XML::VERSION::FormNew (1.0)
    // XML::RETURN::FormNew (BOOL)
	function FormNew($out_action,$out_method)
	{
	  global $cfunc;

	  (!$out_action) ? ($cfunc->faultExt("Falscher Aufruf dieser Funktion")) : ($dummy);
	  (!$out_method) ? ($out_method = "post") : ($dummy);
	  print "      <form action=\"$out_action\" method=\"$out_method\" name=myform>\n";
	  return true;
	}

    // XML::FUNC::newForm ($self->newForm($opts))
    // XML::DESC::newForm (Erstellt neues Formular)
    // XML::VERSION::newForm (1.0)
    // XML::RETURN::NewForm (BOOL)
	function newForm($opts)
	{
	  global $cfunc;

	  (!$opts[action]) ? ($cfunc->faultExt("Falscher Aufruf dieser Funktion")) : ($dummy);
	  (!$opts[method]) ? ($opts[method] = "post") : ($dummy);
	  ($opts[enctype]) ? ($opts[enctype] = "enctype=\"$opts[enctype]\"") : ($dummy);

	  print "      <form action=\"$opts[action]\" method=\"$opts[method]\" name=myform $opts[enctype]>\n";
	  return true;
	}
    // XML::FUNC::FormHidden ($self->FormHidden($out_name,$out_value))
    // XML::DESC::FormHidden (Erstellt Hidden-Feld)
    // XML::VERSION::FormHidden (1.0)
    // XML::RETURN::FormHidden (BOOL)
	function FormHidden($out_name,$out_value)
	{
	  (!$out_name) ? ($out_name = "myhidden") : ($dummy);
	  (!$out_value) ? ($out_value = "") : ($dummy);

	  print "        <input type=hidden name=\"$out_name\" value=\"$out_value\">\n";
	  return true;
	}

    // XML::FUNC::cells2Noopt ($self->cells2Noopt($cell_left,$cell_rigt,$return))
    // XML::DESC::cells2Noopt (Erstellt zwei Zellen und gibt diese entweder sofort aus oder liefert sie zurck)
    // XML::VERSION::cells2Noopt (1.0)
    // XML::RETURN::cells2Noopt ($string)
	function cells2Noopt($cell_left,$cell_right,$m_return)
	{
	  $html  = "        <tr>\n";
	  $html .= "          <td class=left>$cell_left</td>\n";
	  $html .= "          <td class=right>$cell_right</td>\n";
	  $html .= "        </tr>\n";

	  if ($m_return == 'return')
	    return $html;
	  else
	    print $html;
	}

    // XML::FUNC::cellsTop ($self->cellsTop($opts))
    // XML::DESC::cellsTop (Erstellt zwei Zellen und gibt diese entweder sofort aus oder liefert sie zurck)
    // XML::VERSION::cellsTop (1.0)
    // XML::RETURN::cellsTop ($string)
	function cellsTop($opts)
	{
	  $html  = "        <tr>\n";
	  for ($cnt = 0;$cnt<count($opts);$cnt++)
	  {
		($opts[$cnt][colspan]) ? ($out_colspan = "colspan=\"".$opts[$cnt][colspan]."\"") : ($dummy);
	    $html .= "          <td class=top $out_colspan>".$opts[$cnt][text]."</td>\n";
	  }
	  $html .= "        </tr>\n";

	  if ($opts[p_return] == 'return')
	    return $html;
	  else
	    print $html;
	}


    // XML::FUNC::cellsSubject ($self->cellsSubject($opts))
    // XML::DESC::cellsSubject (Erstellt die Tabellen-berschrift einer Site)
    // XML::VERSION::cellsSubject (1.0)
    // XML::RETURN::cellsSubject ($string)
	function cellsSubject($opts)
	{
	  (!$opts[p_class]) ? ($out_class = "class=\"top\"") : ($out_class = "class=\"".$opts[p_class]."\"");
	  (!$opts[colspan]) ? ($out_colspan = "colspan=\"1\"") : ($out_colspan = "colspan=\"".$opts[colspan]."\"");
	  $html  = "        <tr>\n";
	  $html .= "          <td $out_class $out_colspan>".$opts[in]."</td>\n";
	  $html .= "        </tr>\n";
	  if ($return == 'return')
	    return $html;
	  else
	    print $html;
	}
    // XML::FUNC::cellContent ($self->cellsContent($opts))
    // XML::DESC::cellContent (Erstellt Tabelle mit dem angegebenen Inhalt)
    // XML::VERSION::cellsContent (1.0)
    // XML::RETURN::cellContent ($string)
	function cellContent($opts)
	{
	  ($opts[colspan]) ? ($in_colspan = "colspan=\"".$opts[colspan]."\"") : ($dummy);
	  ($opts[p_class]) ? ($in_class = "class=\"".$opts[p_class]."\"") : ($in_class = "class=\"content\"");
	  $html  = "        <tr>\n";
	  $html .= "          <td $in_class $in_colspan>$opts[in]</td>\n";
	  $html .= "        </tr>\n";

	  if ($opts[p_return] == 'return')
	    return $html;
	  else
	    print $html;
	}

    // XML::FUNC::cellDummy ($self->cellsDummy($colspan,$m_return))
    // XML::DESC::cellDummy (Erstellt Tabelle mit dem angegebenen Inhalt)
    // XML::VERSION::cellsDummy (1.0)
    // XML::RETURN::cellDummy ($string)
	function cellDummy($out_colspan,$m_return)
	{
	  $html  = "        <tr>\n";
	  $html .= "          <td class=dummy colspan=$out_colspan>&nbsp;</td>\n";
	  $html .= "        </tr>\n";

	  if ($m_return == 'return')
	    return $html;
	  else
	    print $html;
	}

    // XML::FUNC::TableText ($self->TableText($out))
    // XML::DESC::TableText (Erstellt Tabellenboden)
    // XML::VERSION::TableText (1.0)
    // XML::RETURN::TableText (BOOL)
	function TableText($out)
	{
	  $html = "        <tr>\n";

	  $i_total = count($out);
	  for ($cnt = 0;$cnt<count($out);$cnt++)
	  {
		// XML::COMMENT (Falls nur 2 Spalten existieren)
		($i_total == 1) ? ($out_class = "content") : ($dummy);
	    (($i_total == 2) && ($cnt == 0)) ? ($out_class = "left") : ($dummy);
	    (($i_total == 2) && ($cnt == 1)) ? ($out_class = "right") : ($dummy);
		// XML::COMMENT (Falls eine Klasse festgelegt wurde)
	    ($out[$cnt][p_class]) ? ($out_class = $out[$cnt][p_class]) : ($dummy);
	    // XML::COMMENT (Falls noch keine Klasse gesetzt wurde)
		(!$out_class) ? ($out_class = "bottom") : ($dummy);
		($out[$cnt][colspan]) ? ($out_colspan = "colspan=\"".$out[$cnt][colspan]."\"") : ($dummy);
		($out[$cnt][rowspan]) ? ($out_rowspan = "rowspan=\"".$out[$cnt][rowspan]."\"") : ($dummy);
	    $html .= "          <td class=$out_class $out_colspan $out_rowspan>".$out[$cnt][text]."</td>\n";
	  	unset($out_class,$out_colspan,$out_rowspan);
	  }

	  $html .= "        </tr>\n";
	  unset($out);
	  if ($opts[p_return] == 'return')
	    return $html;
	  else
	    print $html;
	}

    // XML::FUNC::TableTextLong ($self->TableTextLong($out_text,$opts[cols]))
    // XML::DESC::TableTextLong (Erstellt aus dem Array $out_text eine Liste mit jeweils $opts[cols] Spalten)
    // XML::VERSION::TableTextLong  (1.0)
    // XML::RETURN::TableTextLong (BOOL)
	function TableTextLong($out,$opts)
	{
	  for ($cnt = 0;$cnt<count($out);$cnt++)
	  {
		if ($out[$cnt][text1])
		{
	      print "        <tr>\n";
	      for ($cnt2 = 1;$cnt2<=$opts[cols];$cnt2++)
	      {
	        $szText = "text".$cnt2;

	        if ($cnt2 == 1)
	        {
	          $out_class = 'left';
	        }
	        elseif ($cnt2 == 2)
	        {
	          $out_class = 'right';
	        }
	        else
	        {
	          $out_class = 'bottom';
	        }
			($opts[align]) ? ($out_align = "align=\"".$opts[align]."\"") : ($out_align = '');
			
	        print "          <td class=$out_class $out_align>".$out[$cnt][$szText]."</td>\n";
	      }
	      print "        </tr>\n";
	    }
	  }
	}
    // XML::FUNC::FormSubmit ($self->FormSubmit($out_colspan,$out_text))
    // XML::DESC::FormSubmit (Erstellt den "Einstellungen bernehmen"-Button)
    // XML::VERSION::FormSubmit  (1.0)
    // XML::RETURN::FormSubmit (BOOL)
	function FormSubmit($out_colspan,$out_text)
	{
	  (!$out_colspan) ? ($out_colspan = 2) : ($dummy);
	  (!$out_text) ? ($out_text = "Einstellungen bernehmen") : ($dummy);

	  print "        <tr>\n";
      print "          <td class=submit colspan=$out_colspan><input type=submit accesskey=\"s\" value=\"$out_text\" class=submit></td>\n";
	  print "        </tr>\n";
      print "      </form>\n";
    }
  }
?>