<?
  // XML::MODUL   (Class CUser)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dies ist die PHP-Variante des Perl-Moduls CUser)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "CUser";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include_once("CConfig.php");
  include_once("CFunction.php");
  $cfunc = new CFunc;
  global $cfunc;

  // XML::COMMENT (Klasse festlegen)
  class CUser
  {
    // XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }

    // XML::FUNC::cryptPassword ($self->cryptPassword($opts))
    // XML::DESC::cryptPassword (Verschlsselt einen bergebenen String nach verschiedenen Methoden)
    // XML::VERSION::cryptPassword  (1.0)
    // XML::RETURN::cryptPassword (BOOL)
	function cryptPassword($opts)
	{
	  // XML::COMMENT (Normale Standardverschlsselung - Falls andere Verschlsselung, bitte Typ ndern)
	  (!$opts[encryption]) ? ($opts[encryption] = "crypt_phpChrystal") : ($dummy);

	  if ($opts[encryption] == 'crypt_phpChrystal')
	  {
		$ret = crypt($opts['pw'],$opts['username']);
	  }
	  elseif ($opts[encryption] == 'crypt_standard')
	  {
	    $ret = crypt($opts['pw']);
	  }
	  elseif ($opts[encryption] == 'md5')
	  {
	    $ret = md5($opts['pw']);
	  }
	  elseif ($opts[encryption] == 'crc32')
	  {
	    $ret = crc32($opts['pw']);
	  }
	  else
	  {
	    return false;
	  }

	  return $ret;
	}

    // XML::FUNC::verifyUser ($self->verifyUser())
    // XML::DESC::verifyUser (Verifiziert den User, ob er ein aktives Login besitzt)
    // XML::VERSION::verifyUser  (1.0)
    // XML::RETURN::verifyUser (BOOL)
  	function verifyUser()
  	{
      global $cfunc;
	  if (!session_is_registered("active_username"))
	  {
	    return false;
	  }
	  else
	  {
	    return true;
	  }
  	}

    // XML::FUNC::verifyUserPW ($self->verifyUserPW())
    // XML::DESC::verifyUserPW (Verifiziert den User mit der Datenbank (Passwort und Benutzername))
    // XML::VERSION::verifyUserPW  (1.2)
    // XML::RETURN::verifyUserPW (BOOL)
	function verifyUserPW($m_pw,$m_username)
	{
      global $cfunc;

      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (!$m_pw) ? ($m_cryptedpw = '') : ($m_cryptedpw = $this->cryptPassword(array('pw' => $m_pw, 'username' => $m_username)));

 	  (is_online) ? ($m_table = "c_anmeldung") : ($m_table = "c_userdb");

 	  $sth = mysql_query("SELECT username FROM ".$m_table." WHERE cryptedpw=\"".$m_cryptedpw."\" AND username=\"".$m_username."\"");
	  $ret = mysql_num_rows($sth);
	  mysql_close();

	  include_once("CStat.php");
	  $cstat = new CStat;
	  $opts[username] = $m_username;

	  if ($ret == 1)
	  {
		$opts[key] 		= "logins";
		$cstat->incStats($opts);
		return true;
	  }
	  else
	  {
		$opts[key] 		= "flogins";
		$cstat->incStats($opts);
	    return false;
	  }
	}

    // XML::FUNC::verifyUserGroup ($self->verifyUserGroup())
    // XML::DESC::verifyUserGroup (Verifiziert den User mit der Datenbank, ob er die passenden Zugriffsrechte besitzt)
    // XML::VERSION::verifyUserGroup  (1.0)
    // XML::RETURN::verifyUserGroup (BOOL)
	function verifyUserGroup($m_username,$m_hastobe)
	{
      global $cfunc;

	  // XML::COMMENT 0 = admin
      // XML::COMMENT 1 = orga
	  // XML::COMMENT 2 = registrierter User

	  if ($m_hastobe == 0)
	  {
	    $mysqlstring = "usergroup=\"admin\"";
	  }
	  elseif ($m_hastobe == 1)
	  {
	    $mysqlstring = "usergroup=\"admin\" OR usergroup=\"orga\"";
	  }
	  elseif ($hastobe == 3)
	  {
		$opts['username'] = $m_username;
		if (!$this->checkUserExists($opts))
		{
		  return false;
		}
		else
		{
		  return true;
		}
	  }

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);
 	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_useraccess");

  	  $sth = mysql_query("SELECT username FROM $mytable WHERE username=\"".$m_username."\" AND ($mysqlstring)");
  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
  	  $ret = mysql_num_rows($sth);

  	  if ($ret == 0)
  	  {
  	    return false;
  	  }
  	  else
  	  {
  	    return true;
  	  }
  	}

	// XML::FUNC::addUser ($self->addUser(username=>$username,fullname=>$fullname,email=>$email,cryptedpw=>$cryptedpw,ip=>$ip,usergroup=>$usergroup,alcomments=>1|0,alpostings=>1|0,alforum=>1|0,alchyms=>1|0,aladmin=>1|0,tag=>$clantag,clandesc=>$clandesc,userdesc=>$userdesc))
	// XML::DESC::addUser (Fgt User zur Datenbank hinzu. Sollte $opts['tag'] definiert sein, wird der User der Clanliste hinzugefgt)
	// XML::VERSION::addUser (1.2)
	// XML::RETURN::addUser ($id)
	function addUser($opts)
	{
      global $cfunc;

	  if (!$this->checkUserExists($opts))
	  {
	    if (is_online)
	    {
		  (!$opts['bezahlung']) ? ($opts['bezahlung'] = "Abendkasse - Einzeln") : ($dummy);
		  (!$opts['status']) ? ($opts['status'] = "0") : ($dummy);
		  (!$opts['usergroup']) ? ($opts['usergroup'] = "reg_user") : ($dummy);

	      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      	  $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);


	      $sth = mysql_query("INSERT INTO c_anmeldung VALUES(\"\",\"".$opts['tag']."\",\"".$opts['username']."\", \"".$opts['fullname']."\", \"".$opts['email']."\", \"".$opts['cryptedpw']."\", \"".$opts['usergroup']."\",\"".$opts['status']."\",\"".$opts['bezahlung']."\",\"".$opts['ip']."\")");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		  $id_of_user = mysql_insert_id();
		}
	    else
	    {
	      $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      	  $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

		  $sth = mysql_query("INSERT INTO c_userdb VALUES ('','$opts[username]', '$opts[fullname]', '$opts[email]', '$opts[cryptedpw]', '$opts[ip]')");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		  $id_of_user = mysql_insert_id();

          $sth = mysql_query("INSERT INTO c_userstat VALUES ('',\"".$opts['username']."\",\"0\", \"0\", \"0\", \"0\", \"0\",\"0\",\"0\",\"0\",\"".$opts['available']."\", \"0\",\"0\")");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

		  if ($opts[usergroup] == 'admin' || 'orga' && $opts[loadaccess])
		  {
		    $opts[alcomments] = 1;
		    $opts[alnews] 	  = 1;
		    $opts[almessages] = 1;
		    $opts[alforum]    = 1;
		    $opts[alvoting]   = 1;
		    $opts[alhtml] 	  = 1;
		    $opts[aladmin] 	  = 1;
		  }

		  if ($opts[reg_user] == 'reg_user' && $opts[loadaccess])
		  {
		    $opts[alcomments] = 1;
		    $opts[alnews] 	  = 0;
		    $opts[almessages] = 1;
		    $opts[alforum]    = 1;
		    $opts[alvoting]   = 1;
		    $opts[alhtml] 	  = 0;
		    $opts[aladmin] 	  = 0;
		  }


          $sth = mysql_query("INSERT INTO c_useraccess VALUES (\"".$opts['username']."\",\"".$opts['usergroup']."\", \"".$opts['alcomments']."\", \"".$opts['alnews']."\", \"".$opts['almessages']."\", \"".$opts['alforum']."\", \"".$opts['alvoting']."\",  \"".$opts['alhtml']."\", \"".$opts['aladmin']."\")");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

		  $this->setUserDesc($opts);

		  if ($opts['tag'])
	  	  {
	        $this->addClan($opts);
	        $this->addUserToClan($opts);
	  	  }
	  	}
	  	return $id_of_user;
	  }
	}

  	// XML::FUNC::getAllClans ($self->getAllClans())
  	// XML::DESC::getAllClans (Liefert alle Clans mit Anzahl der Mitglieder zurck)
  	// XML::VERSION::getAllClans (1.0)
  	// XML::RETURN::getAllClans ($array)
  	function getAllClans()
  	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);
 	  (is_online) ? ($mytable = "c_anmeldung") : (($mytable = "c_clanliste") && ($mysqlstring="AND members>0"));
 	  $sth = mysql_query("SELECT tag FROM $mytable WHERE tag!=\"noclan\" $mysqlstring");
 	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $clans = array();

  	  while ($ret = mysql_fetch_row($sth))
  	  {
		$clans[$ret[0]] = $ret[0];
	  }
	  return $clans;
	}

	// XML::FUNC::getDBData ($self->getDBData(username=>$username,FLAG=>NONE|FLAG_ROWS))
	// XML::DESC::getDBData (Liefert alle Einstellungen des Users zrck bzw. alle User in der Datenbank)
	// XML::VERSION::getDBData (1.0)
	// XML::RETURN::getDBData ($users)
	function getDBData($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

 	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_userdb");

	  $users = array();

	  if ($opts['FLAG'] == 'FLAG_ROWS')
	  {
	    ($opts[order]) ? ($mysqlstring = "ORDER BY $opts[order]") : ($dummy);

	    $sth = mysql_query("SELECT username FROM $mytable $mysqlstring");

	  	while ($ret = mysql_fetch_row($sth))
  	    {
		  array_push($users, $ret[0]);
	    }
	  }
	  else
	  {

	    ($opts['id']) ? ($mysqlstring = "id=\"$opts[id]\"") : ($mysqlstring = "username=\"$opts[username]\"");

	    $sth = mysql_query("SELECT username, fullname, email, ip, id, cryptedpw  FROM $mytable WHERE $mysqlstring");
 	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $ret = mysql_fetch_row($sth);

	    $users['username'] = $ret[0];
	    $users['fullname'] = $ret[1];
	    $users['email'] = $ret[2];
	    $users['ip'] = $ret[3];
	    $users['id'] = $ret[4];
		$users['cryptedpw'] = $ret[5];

	    if (!is_online)
	    {
  	      $sth = mysql_query("SELECT usergroup, comments, news, messages, forum, voting, htmlcode, admin FROM c_useraccess WHERE username=\"$users[username]\"");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	      $ret = mysql_fetch_row($sth);

	      $users['usergroup'] = $ret[0];
	      $users['alcomments'] = $ret[1];
	      $users['alnews'] = $ret[2];
	      $users['almessages'] = $ret[3];
	      $users['alforum'] = $ret[4];
	      $users['alvoting'] = $ret[5];
	      $users['alhtml'] = $ret[6];
	      $users['aladmin'] = $ret[7];

  	      $sth = mysql_query("SELECT tag, description FROM c_clanmembers WHERE username=\"$users[username]\"");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	      $ret = mysql_fetch_row($sth);

		  $users['tag'] = $ret[0];
		  $users['userdesc'] = $ret[1];
		}
		else
		{
  	      $sth = mysql_query("SELECT tag, status, bezahlung, usergroup FROM $mytable WHERE username=\"$opts[username]\" OR id=\"$opts[id]\"");
	      (!$sth) ? ((print "FHELER") && ($cfunc->faultMySQL())) : ($dummy);
	      $ret = mysql_fetch_row($sth);

		  $users['tag'] = $ret[0];
		  $users['status'] = $ret[1];
		  $users['bezahlung'] = $ret[2];
		  $users['usergroup'] = $ret[3];
		}
	  }
	  return $users;
	}

	// XML::FUNC::getOrga ($self->getOrga())
	// XML::DESC::getOrga (Liefert Orgas + Admins zurck)
	// XML::VERSION::getOrga (1.0)
	// XML::RETURN::getOrga ($users)
	function getOrga()
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  if (is_online)
	  {
	    $sth = mysql_query("SELECT id, tag, username, fullname, email FROM c_anmeldung WHERE usergroup=\"admin\" OR usergroup=\"orga\" ORDER BY usergroup");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		
		$cnt = 0;
		while ($ret = mysql_fetch_row($sth))
		{
		  $urat[$cnt][id] 		= $ret[0];
		  $urat[$cnt][tag] 		= $ret[1];
		  $urat[$cnt][username] = $ret[2];
		  $urat[$cnt][fullname] = $ret[3];
		  $urat[$cnt][email] 	= $ret[4];
		  $cnt++;
		}
	  }
	  else
	  {
	    $sth = mysql_query("SELECT username FROM c_useraccess WHERE usergroup=\"admin\" OR usergroup=\"orga\" ORDER BY usergroup");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		
		$cnt = 0;
		while ($ret = mysql_fetch_row($sth))
		{
	    
	      $sth2 = mysql_query("SELECT id, fullname, email FROM c_userdb WHERE username=\"".$ret[0]."\"");
		  (!$sth2) ? ($cfunc->faultMySQL()) : ($dummy);
	  	  $ret2 = mysql_fetch_row($sth2);
	  	  
	  	  $urat[$cnt][username] = $ret[0];
	  	  $urat[$cnt][id] = $ret2[0];
	  	  $urat[$cnt][fullname] = $ret2[1];
	  	  $urat[$cnt][email] = $ret2[2];
		  
		  $cnt++;
		}
	  }
	  
	  mysql_close();
	  return $urat;	  	  
	}	  	    

	// XML::FUNC::addClan ($self->addClan(tag=>$clantag,description=>$desc))
	// XML::DESC::addClan (Fgt den angegebenen Clan zur Clanliste hinzu)
	// XML::VERSION::addClan (1.1)
 	function addClan($opts)
 	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

  	  $sth = mysql_query("SELECT tag FROM c_clanliste WHERE tag=\"$opts[tag]\"");
      $rows = mysql_num_rows($sth);

	  (!$opts[tag]) ? ($opts[tag] = "noclan") : ($dummy);

      if ($rows == 0)
      {
  	    $sth = mysql_query("INSERT INTO c_clanliste VALUES(\"$opts[tag]\",'',\"$opts[description]\")");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }
	  mysql_close();
	}

	// XML::FUNC::addUserToClan ($self->addUserToClan(username=>$username,tag=>$clantag,description=>$desc))
	// XML::DESC::addUserToClan (Fgt den angegebenen User zum Clan hinzu)
	// XML::VERSION::addUserToClan (1.1)
	function addUserToClan($opts)
  	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (!$opts[tag]) ? ($opts[tag] = "noclan") : ($dummy);

	  if (!is_online)
	  {
        $sth = mysql_query("SELECT tag FROM c_clanliste WHERE tag=\"$opts[tag]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		$ret = mysql_fetch_row($sth);
		if (!$ret[0])
		{
          $sth = mysql_query("INSERT INTO c_clanliste VALUES(\"$opts[tag]\",\"$opts[description]\",\"1\")");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		}
		else
		{
          $sth = mysql_query("UPDATE c_clanliste SET members=members+1 WHERE tag=\"$opts[tag]\"");
	      (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		}
        $sth = mysql_query("INSERT INTO c_clanmembers VALUES(\"$opts[username]\",\"$opts[tag]\",\"$opts[description]\")");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
 	    mysql_close();
	  }
	  else
	  {
	    $this->setDBData($opts);
	  }
	}
    // XML::FUNC::setUserDesc ($self->setUserDesc(username=>$username,description=>$desc))
    // XML::DESC::setUserDesc (Setzt die Beschreibung des Users auf den angegebenen Wert)
	// XML::VERSION::setUserDesc (1.0)
	function setUserDesc($opts)
	{
      global $cfunc;

	  // XML::COMMENT (Falls die Datenbank auf online gesetzt ist, ist diese Funktion nicht mglich)
	  if (is_online)
	    return false;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

      $sth = mysql_query("UPDATE c_clanmembers SET description=\"$opts[userdesc]\" WHERE username=\"$opts[username]\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	}

	// XML::FUNC::dropUserFromClan ($self->dropUserFromClan(username=>$username))
	// XML::DESC::dropUserFromClan (Lscht angegebenen User aus der Clanliste)
	// XML::VERSION::dropUserFromClan (1.0)
  	function dropUserFromClan($opts)
  	{
      global $cfunc;

	  // XML::COMMENT (Falls die Datenbank auf online gesetzt ist, ist diese Funktion nicht mglich)
	  if (is_online)
	    return false;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  $myuser = $this->getDBData($opts);

	  if (!is_online)
	  {
  	    $sth = mysql_query("DELETE FROM c_clanmembers WHERE username=\"$opts[username]\"");
	 	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

      	$sth = mysql_query("UPDATE c_clanliste SET members=members-1 WHERE tag=\"$myuser[tag]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

      	$sth = mysql_query("DELETE FROM c_clanliste WHERE members=0");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }
	  else
	  {
		$opts[tag] = "noclan";
		$this->setDBData($opts);
	  }
    }

	// XML::FUNC::dropUser ($self->dropUser(username=>$username,id=>$id))
	// XML::DESC::dropUser (Lscht angegebenen User aus Datenbank & Clanliste)
	// XML::VERSION::dropUser (1.0)
	function dropUser($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

      if (!is_online)
      {
		$opts = $this->getDBData($opts);

        $sth = mysql_query("DELETE FROM c_userdb WHERE id=\"$opts[id]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

 	    $sth = mysql_query("DELETE FROM c_userstat WHERE username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

      	$sth = mysql_query("DELETE FROM c_messages WHERE username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }
	  else
	  {
        $sth = mysql_query("DELETE FROM c_anmeldung WHERE id=\"$opts[id]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }
	  mysql_close();

  	  $this->dropUserFromClan($opts);
	}

    // XML::FUNC::dropClan ($self->dropClan(tag=>$clantag))
    // XML::DESC::dropClan (Lscht angegebenen Clan aus der Clanliste)
	// XML::VERSION::dropClan (1.0)
	function dropClan($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  ($opts[tag] == "noclan") ? (die("Fehler")) : ($dummy);

      $sth = mysql_query("DELETE FROM c_clanliste WHERE tag=\"$opts[tag]\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

      $sth = mysql_query("DELETE FROM c_clanmembers WHERE tag=\"$opts[tag]\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	}

	// XML::FUNC::getClanMembers ($self->getClanMembers(tag=>$clantag))
	// XML::DESC::getClanMembers (Liefert alle Member eines Clans zurck)
	// XML::VERSION::getClanMembers (1.1)
	// XML::RETURN::getClanMembers ($array)
	function getClanMembers($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);


	  $clan = array();

	  if (($opts[tag] == 'Kein Clan') || ($opts[tag] == 'noclan'))
	  {
	    $clan[0] = "Keine Clanmembers verfgbar";
	  }
	  else
	  {
        $sth = mysql_query("SELECT username FROM c_clanmembers WHERE tag=\"$opts[tag]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    while ($ret = mysql_fetch_row($sth))
  	    {
	      array_push($clan, $ret[0]);
	    }
	  }
	  mysql_close();
	  return $clan;
	}

	// XML::FUNC::getClanInfo ($self->getClanInfo(tag=>$clantag))
	// XML::DESC::getClanInfo (Liefert Informationen eines Clans zurck)
	// XML::VERSION::getClanInfo (1.2)
	// XML::RETURN::getClanInfo ($array)
	function getClanInfo($opts)
	{
      global $cfunc;

	  // XML::COMMENT (Falls die Datenbank auf online gesetzt ist, ist diese Funktion nicht mglich)
	  if (is_online)
	    return false;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  if (($opts[tag] == 'noclan') || ($opts[tag] == 'Kein Clan'))
	  {
	    $clan[clandesc] = "Keine Clanbeschreibung verfgbar";
	    $clan[total] = "1";
	  }
	  else
	  {
        $sth = mysql_query("SELECT username FROM c_clanmembers WHERE tag=\"$opts[tag]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	    $ret = mysql_num_rows($sth);

	    $clan = array();
	    $clan['total'] = $ret;

        $sth = mysql_query("SELECT description FROM c_clanliste WHERE tag=\"$opts[tag]\"");
	    (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	    $ret = mysql_fetch_row($sth);

	    $clan['clandesc'] = $ret[0];
	  }
	  mysql_close();
	  return $clan;
    }

	// XML::FUNC::setClanOfUser ($self->setClanOfUser(username=>$username,tag=>$tag)
	// XML::DESC::setClanOfUser (Setzt den Clan des Users)
	// XML::VERSION::setClanOfUser (1.0)
	function setClanOfUser($opts)
	{
      global $cfunc;

	  $myuser = $this->getDBData($opts);
	  if ($opts[tag] != $myuser[tag])
	  {
	    $this->dropUserFromClan($opts);
		$this->addUserToClan($opts);
	  }
	}

	// XML::FUNC::setClanDesc ($self->setClanDesc(tag=>$clantag,clandesc=>$text))
	// XML::DESC::setClanDesc (Setzt die Beschreibung des Clans neu)
	// XML::VERSION::setClanDesc (1.0)
	function setClanDesc($opts)
	{
      global $cfunc;

	  // XML::COMMENT (Falls die Datenbank auf online gesetzt ist, ist diese Funktion nicht mglich)
	  if (is_online)
	    return false;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

      $sth = mysql_query("UPDATE c_clanliste SET description=\"$opts[clandesc]\" WHERE tag=\"$opts[tag]\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	  mysql_close();
	}

	// XML::FUNC::getTotalUsers ($self->getTotalUsers())
	// XML::DESC::getTotalUsers (Liefert die Anzahl registrierter Usere zurck)
	// XML::VERSION::getTotalUsers (1.0)
	// XML::RETURN::getTotalUsers ($ret)
	function getTotalUsers()
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_userdb");

	  $sth = mysql_query("SELECT username FROM $mytable");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $ret = mysql_num_rows($sth);

	  mysql_close();
	  return $ret;
	}

	// XML::FUNC::setUserStat ($self->setUserStat(username=>$username, key=>$value, key2=>$value2, key.inc=>1, key2.dec=>1...))
	// XML::DESC::setUserStat (Setzt die angegebenen Werte des Users. Dabei kann key.inc bzw. key.dec zum In- bzw. Dekrementieren verwendet werden)
	// XML::VERSION::setUserStat (1.0)
	function setUserStat($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  while(list($key, $value) = each($opts))
	  {
	    if ((preg_match("/(.*)\.(.*)/",$key,$ar))  || ($key == 'username'))
	    {
	      next;
	    }
	    else
	    {
	      if ((defined($opts[$key])) && defined($opts[$key.".inc"]))
	      {
	  		$sth = mysql_query("UPDATE c_userstat SET $key=$key+$value WHERE username=\"$opts[username]\"");
	  		(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		  }
		  elseif (defined($opts[$key]) && defined($opts[$key.".dec"]))
		  {
	  		$sth = mysql_query("UPDATE c_userstat SET $key=$key-$value WHERE username=\"$opts[username]\"");
	  		(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  	  }
	  	  else
	  	  {
	  		$sth = mysql_query("UPDATE c_userstat SET $key=\"$value\" WHERE username=\"$opts[username]\"");
	  		(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  	  }
	  	}
	  }
	}

	// XML::FUNC::setDBData ($self->setDBData(username=>$username, $key=>$value))
	// XML::DESC::setDBData (ndert die UserDB-Werte des angegebenen Users)
	// XML::VERSION::setDBData (1.0)
	function setDBData($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_userdb");

	  ($opts[id]) ? ($mysqlstring = "id=\"$opts[id]\"") : ($mysqlstring = "username=\"$opts[username]\"");

	  while(list($key, $value) = each($opts))
	  {
	    if ((preg_match("/(.*)\.(.*)/",$key,$ar))  || ($key == 'username'))
	    {
	      next;
	    }
		elseif ((defined($opts[$key])) && defined($opts[$key.".inc"]))
	    {
	  	  $sth = mysql_query("UPDATE $mytable SET $key=$key+$value WHERE $mysqlstring");
	  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		}
		elseif ((defined($opts[$key])) && defined($opts[$key.".dec"]))
		{
	  	  $sth = mysql_query("UPDATE $mytable SET $key=$key-$value WHERE $mysqlstring");
	  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  	}
	  	else
	  	{
	  	  $sth = mysql_query("UPDATE $mytable SET $key=\"$value\" WHERE $mysqlstring");
	  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  	}
	  }
	  mysql_close();
	}

	// XML::FUNC::setUserAccess ($self->setUserAccess(username=>$username, $key=>$value,$key2=>$value2...))
	// XML::DESC::setUserAccess (ndert die Access-Einstellugnen des Users auf die angegebenen Werte)
	// XML::VERSION::setUserAccess (1.1)
	// XML::RETURN::setUserAccess (BOOL)
	function setUserAccess($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_useraccess");

	  while(list($key, $value) = each($opts))
	  {
	    if (($key == 'username') || (is_online && (($key == 'comments') || ($key == 'news') || ($key == 'messages') || ($key == 'forum') || ($key == 'voting') || ($key == 'htmlcode') || ($key == 'admin'))))
	    {
	      next;
	    }
		else
		{
	  	  $sth = mysql_query("UPDATE $mytable SET $key=\"$value\" WHERE username=\"$opts[username]\"");
	  	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  	}
	  }

	  mysql_close();
	  return true;
	}

	// XML::FUNC::setUsername ($self->setUsername(id=>$id|username=>$old_username, new=>$new_username))
	// XML::DESC::setUsername (Weist dem Benutzer mit dem angegebenen Usernamen bzw. ID einen neuen Namen zu)
	// XML::VERSION::setUsername (1.0)
	// XML::RETURN::setUsername (BOOL)
	function setUsername($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_userdb");

	  // XML::COMMENT (Falls nur die ID und der neue Benutzername angegeben wurde, wird nun der noch ggw. Benutzername ausgelesen)
	  if ($opts[id])
	  {
	    $sth = mysql_query("SELECT username FROM $mytable WHERE id=\"$opts[id]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
		$ret = mysql_fetch_row($sth);
	    $opts[username] = $ret[0];
	  }

	  // XML::COMMENT (Benutzername wird in der Hauptdatenbank gendert)
	  $sth = mysql_query("UPDATE $mytable SET username=\"$opts[new_username]\" WHERE id=\"$opts[id]\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

      if (!online)
      {
	    $sth = mysql_query("UPDATE c_clanmembers SET username=\"$opts[new_username]\" WHERE username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_ordering SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_messages SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_useraccess SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_userstat SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_orderings SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);

	    $sth = mysql_query("UPDATE c_server SET username=\"$opts[new_username]\" WHERE  username=\"$opts[username]\"");
	  	(!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  }
	  mysql_close();
	  return true;
	}
	// XML::FUNC::setUserStatus ($self->setUserStatus($id,$status))
	// XML::DESC::setUserStatus  (Setzt den Status (Bezahlt|Nicht Bezahlt) des Users
	// XML::VERSION::setUserStatus  (1.0)
	// XML::RETURN::setUserStatus (BOOL)
	function setUserStatus($m_id,$m_status)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

   	  $sth = mysql_query("UPDATE c_anmeldung SET status=\"".$m_status."\" WHERE id=\"".$m_id."\"");

	  mysql_close();
	}

	// XML::FUNC::checkUserExists ($self->checkUserExists(username=>$username))
	// XML::DESC::checkUserExists  (berprft, ob der angegebene User existiert)
	// XML::VERSION::checkUserExists  (1.0)
	// XML::RETURN::checkUserExists (BOOL)
	function checkUserExists($opts)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($mytable = "c_anmeldung") : ($mytable = "c_userdb");

      $sth = mysql_query("SELECT id FROM $mytable WHERE username=\"".$opts['username']."\"");
	  (!$sth) ? ($cfunc->faultMySQL()) : ($dummy);
	  $rows = mysql_num_rows($sth);

	  mysql_close();

	  if ($rows >= 1)
	  {
	    return true;
	  }
	  else
	  {
	    return false;
	  }
	}
	// XML::FUNC::createUsernameMenu ($self->createUsernameMenu($opts))
	// XML::DESC::createUsernameMenu  (Erstellt aus allen vorhanden Usernamen ein Select-Menu)
	// XML::VERSION::createUsernameMenu  (1.1)
	// XML::RETURN::createUsernameMenu (BOOL)
	function createUsernameMenu($opts)
	{
 	  $opts['FLAG'] = "FLAG_ROWS";
	  $myusers = $this->getDBData($opts);
	  $ret = "    <select name=in_username>\n";

	  // XML::COMMENT (Dummy hinzufgen)
	  ($opts[add_emptyrow]) ? ($ret .= "      <option value=''>".$opts[add_emptyrow]."</option>\n") : ($dummy);

	  for ($cnt = 0; $cnt<count($myusers);$cnt++)
	  {
	    ($opts['user_selected'] == $myusers[$cnt]) ? ($select = "selected") : ($select = '');

	    if ($opts['val_id'])
	    {
	      $opts['FLAG'] = "FLAG_USER";
	      $opts[username] = $myusers[$cnt];
	      $myuser = $this->getDBData($opts);
	      $ret .= "      <option value=\"".$myuser['id']."\" $select>".$myusers[$cnt]."</option>\n";;
	    }
	    else
	    {
	      $ret .= "      <option value=\"".$myusers[$cnt]."\" $select>".$myusers[$cnt]."</option>\n";;
		}
	  }
	  $ret .= "    </select>\n";
	  return $ret;
	}

	// XML::FUNC::getIDofUser ($self->getIDofUser($username))
    // XML::DESC::getIDofUser (liefert die ID des Users zurck)
    // XML::VERSION::getIDofUser  (1.0)
    // XML::RETURN::getIDofUser ($id)
	function getIDofUser($m_username)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($m_table = "c_anmeldung") : ($m_table = "c_userdb");
   	  $sth = mysql_query("SELECT id FROM $m_table WHERE username=\"".$m_username."\"");
	  $ret = mysql_fetch_row($sth);
	  $m_id = $ret[0];

	  (!$m_id) ? ($m_id = "-1") : ($dummy);

	  mysql_close();
	  return $m_id;
	}

	// XML::FUNC::getUserOfID ($self->getUserOfID($id))
    // XML::DESC::getUserOfID (liefert den Usernamen der ID zurck)
    // XML::VERSION::getUserOfID (1.0)
    // XML::RETURN::getUserOfID ($string)
	function getUserOfID($m_id)
	{
      global $cfunc;

	  $dbh = mysql_connect(mysql_server,mysql_root,mysql_pw) || $cfunc->faultMySQL();
      $dbs = mysql_select_db(mysql_database) || $cfunc->faultMySQL();
	  (!$dbh) ? ($cfunc->faultMySQL()) : ($dummy);

	  (is_online) ? ($m_table = "c_anmeldung") : ($m_table = "c_userdb");
   	  $sth = mysql_query("SELECT username FROM $m_table WHERE id=\"".$m_id."\"");
	  $ret = mysql_fetch_row($sth);
	  $m_username = $ret[0];

	  (!$m_username) ? ($m_username = "") : ($dummy);

	  mysql_close();
	  return $m_username;
	}

	// XML::FUNC::getInfo ($self->getInfo())
    // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
    // XML::VERSION::getInfo  (1.0)
    // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
    function getInfo()
    {
      return $NAME;
      return $AUTHOR;
      return $VERSION;
    }
  }

?>
