<?php session_start(); ?>

<?
  // XML::MODUL   (index)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Dies ist die Einstiegsseite von phpChrystal)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "index";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  global $VERSION,$NAME,$AUTHOR;

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "index.php";
  $opts[insertin]   = "mainmenu";
  $opts[showedname] = "News";
  $opts[active] 	= 1;
  $opts[url] 		= "index.php";
  $opts[desc] 		= "Startseite mit den News";
  $opts[adminname]  = "News verwalten";
  $opts[admindesc]  = "News auf der Startseite verwalten";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "News schreiben";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "News lschen";
  $menu[1][link]	   = "$PHP_SELF?cmd=admin_delete";
  $menu[2][showedname] = "News ndern";
  $menu[2][link]       = "$PHP_SELF?cmd=admin_change";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "News";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Aufruf der Startseite)
  if (!$cmd)
  {
	// XML::COMMENT (Seitenaufrufe updaten)
	$opts[increment] = 1;
	$opts[key]		 = "lan.hasviewed";
	$cfunc->setSetting($opts);
	unset($opts);

	// XML::COMMENT (News laden)
	$opts[noopt] = 1;
	$news = $cnews->getNews($opts);
	for ($cnt = 0;$cnt<count($news);$cnt++)
	{
	  (!$news[$cnt][subject]) ? ($news[$cnt][subject] = "---") : ($dummy);

  	  // XML::COMMENT (Datum, Betreff und Verfasser ausgeben)
  	  $cl->cells2Noopt("<a name=\"".$news[$cnt][id]."\"></a>".$news[$cnt][subject],$news[$cnt][date],"out");

	  // XML::COMMENT (Body ausgeben)
	  $p_cl[in] 	  = $news[$cnt][body]."<p>von ".$news[$cnt][from];
	  $p_cl[colspan]  = 2;
	  $p_cl[p_return] = "out";
	  $cl->cellContent($p_cl);
	  unset($p_cl);

	  // XML::COMMENT (Kommentare anzeigen)
	  $p_cl[0][colspan] = 2;
	  $p_cl[0][p_class] = "right";

	  $opts[area] = "news";
	  $opts[id_of_entry] = $news[$cnt][id];
	  $p_cl[0][text]    = $ccomment->getTotalComments($opts)." Kommentar(e) | <a href=\"phpComment.php?cmd=show_comments&area=news&id_of_entry=".$news[$cnt][id]."\">Kommentar hinzufgen</a>";
	  $cl->TableText($p_cl);

	  // XML::COMMENT (Dummy einfgen)
	  $cl->cellDummy(2,"out");
    }
  }

  // XML::COMMENT News verfassen anzeigen
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=create","");
	$cl->cells2Noopt("berschrift","<input type=text name=in_subject>","out");
	$cl->cells2Noopt("Text","<textarea name=in_text cols=35 rows=7></textarea>","out");
	$cl->FormSubmit("2","News posten");
  }

  // XML::COMMENT (News lschen anzeigen)
  elseif ($cmd == 'admin_delete')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=delete","");

	$opts[noopt] = 1;
	$ar_news = $cnews->getNews($opts);
  	for($cnt=0;$cnt<count($ar_news);$cnt++)
  	{
	  (!$ar_news[$cnt][subject]) ? ($ar_news[$cnt][subject] = "---") : ($dummy);

	  $p_cl[0][text]    = "<input type=checkbox name=in_todel[] value=\"".$ar_news[$cnt][id]."\">";
	  $p_cl[0][p_class] = "option";
	  $p_cl[1][text]    = $ar_news[$cnt][date];
	  $p_cl[1][p_class] = "left";
	  $p_cl[2][text]    = $ar_news[$cnt][subject];
	  $p_cl[2][p_class] = "right";

	  $cl->TableText($p_cl);
	}

	(!$cnt) ? (($in[0][text] = "Keine News vorhanden") && ($cl->TableText($in))) : ($cl->FormSubmit("3","News lschen"));
  }

  // XML::COMMENT (News ndern anzeigen)
  elseif ($cmd == 'admin_change')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change","");

	$ar_news = $cnews->getNews($noopts);
  	for($cnt = 0;$cnt<count($ar_news);$cnt++)
  	{
	  (!$ar_news[$cnt][subject]) ? ($ar_news[$cnt][subject] = "---") : ($dummy);

	  $cl->FormHidden("in_id",$ar_news[$cnt][id]);
  	  $cl->cells2Noopt($ar_news[$cnt][date].": ".$ar_news[$cnt][subject],$ar_news[$cnt][from],"out");
	  $p_cl[in] 	  = "<textarea name=in_tochange".$ar_news[$cnt][id]." cols=35 rows=7>".$ar_news[$cnt][body]."</textarea>";
	  $p_cl[colspan]  = 2;
	  $p_cl[p_return] = "out";
	  $cl->cellContent($p_cl);
	  $cl->cellDummy("","out");
	}

	(!$cnt) ? (($in[0][text] = "Keine News vorhanden") && ($cl->TableText($in))) : ($cl->FormSubmit("2","News ndern"));
  }

  // XML::COMMENT (Update-Routinen)
  elseif ($cmd == 'cmd_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	// XML::COMMENT (News verfassen)
	if ($what == 'create')
	{
  	  // XML::COMMENT (Datumsstring erzeugen)
	  $completedate = $cevent->createDBDate();

      // XML::COMMENT (HTML-Code lschen)
      $in_text = ereg_replace("<(.*)>","",$in_text);
	  $opts[from] = $active_username;
	  $opts[body] = $in_text;
	  $opts[subject] = $in_subject;
	  $opts[date] = $completedate;

	  (!$cnews->addNews($opts)) ? (faultExt("Die News konnten nicht hinzugefgt werden.")) : ($dummy);
	}
	// XML::COMMENT (News lschen)
	elseif ($what == 'delete')
	{
	  for($cnt=0;$cnt<count($in_todel);$cnt++)
	  {
  	    $cnews->deleteNews($in_todel[$cnt]);
	  }
	}

	// XML::COMMENT (News ndern)
	elseif ($what == 'change')
	{
	  for($cnt=0;$cnt<count($in_id);$cnt++)
  	  {
	    $val = ${in_tochange."$in_id[$cnt]"};
        $cnews->changeNews($in_id[$cnt],$val);
	  }
	}
	printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>