<?php session_start(); ?>

<?
  // XML::MODUL   (phpEvent)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Vorabanmeldung)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpEvent";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpEvent.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]	    = 1;
  $opts[showedname] = "Eventorganizer";
  $opts[active] 	= 1;
  $opts[url] 		= "phpEvent.php?cmd=show_events";
  $opts[desc] 		= "Events organizen";
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Events eintragen";
  $opts[admindesc]  = "Hier knnen Events ein- und ausgetragen werden";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Events ansehen & verwalten";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Events";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php

  // XML::COMMENT (Terminkalender anzeigen)
  if ($cmd == 'show_events')
  {
	// XML::COMMENT (berschrift ausgeben)
    $p_cl[0][colspan] = 8;
	$p_cl[0][text]    =  $cevent->getFormatedToday($opts);
	$cl->cellsTop($p_cl);
    unset($p_cl);

    // XML::COMMENT (Wochentage ausgeben)
    $p_cl[0][text] = "&nbsp;";
    $p_cl[1][text] = "Sonntag";
    $p_cl[2][text] = "Montag";
    $p_cl[3][text] = "Dienstag";
    $p_cl[4][text] = "Mittwoch";
    $p_cl[5][text] = "Donnerstag";
    $p_cl[6][text] = "Freitag";
    $p_cl[7][text] = "Samstag";
	$cl->cellsTop($p_cl);
    unset($p_cl);


    $opts[noopt] = 1;
    $opts[month] = "May";
    $ar = $cevent->createCalender($opts);

    $var_actdate  = getdate(time());
	$date_month   = $var_actdate[mon];
	$date_year    = $var_actdate[year];
	$date_actdayn = $var_actdate[mday];
	$date_actday  = $var_actdate[weekday];

	// XML::COMMENT (Counter fr die Ausgabe festlegen)
	$cnt_array 	  = 1;
	$week 		  = 1;
	$my_cnt		  = 0;

	for ($cnt = 0;$cnt<count($ar);$cnt++)
	{
	  // XML::COMMENT (Falls der Wert im Array eine Zahl ist)
	  if (is_integer($ar[$cnt]))
	  {
	    //($ar[$cnt] == $date_actdayn) ? ($bg = "bgcolor=yellow") : ($bg = "");
	    $p_cl[$cnt_array][text] = "<a href=\"$PHP_SELF?cmd=admin_overview&year=".$date_year."&mon=$date_month&day=".$ar[$cnt]."\">".$ar[$cnt];
	  }
	  // XML::COMMENT (Falls nicht: Leerzeichen)
	  else
	  {
	    $p_cl[$cnt_array][text] = "&nbsp;";
	  }

	  if ($my_cnt == 6)
	  {
        // XML::COMMENT (Woche ausgeben)
	    $p_cl[0][text]    = "$week. Woche";
	    $p_cl[0][p_class] = "left";
	    $week++;
	    $my_cnt = 0;
	    $cnt_array = 1;

	    $cl->TableText($p_cl);
	    unset($p_cl);
	  }
	  else
	  {
	    $my_cnt++;
	    $cnt_array++;
	  }
	}

	unset($p_cl);
    // XML::COMMENT (Heutige Events ausgeben)
    $cl->cellDummy("8","");
    $p_cl[0][text]    = "Heutige Events";
  	$p_cl[0][colspan] = "8";
  	$cl->cellsTop($p_cl);

  	$opts[today]   = 1;
  	$opts[order_1] = 'time';
  	$myevents = $cevent->getEvents($opts);
    for ($cnt = 0;$cnt<count($myevents);$cnt++)
    {
      $p_cl[0][text] = "Uhrzeit [von]";
      $p_cl[0][colspan] = 4;
      $p_cl[1][text] = $myevents[$cnt][time]." [".$myevents[$cnt][username]."]";
      $p_cl[1][colspan] = 4;
	  $cl->TableText($p_cl);
	  unset($p_cl);

      $p_cl[0][text] = "Betreff";
      $p_cl[0][colspan] = 4;
      $p_cl[1][text] = $myevents[$cnt][subject];
      $p_cl[1][colspan] = 4;
	  $cl->TableText($p_cl);
	  unset($p_cl);

      $p_cl[0][text] = "Location";
      $p_cl[0][colspan] = 4;
      $p_cl[1][text] = $myevents[$cnt][location];
      $p_cl[1][colspan] = 4;
	  $cl->TableText($p_cl);
	  unset($p_cl);

      $p_cl[0][text] = "Beschreibung";
      $p_cl[0][colspan] = 4;
      $p_cl[1][text] = $myevents[$cnt][desc];
      $p_cl[1][colspan] = 4;
	  $cl->TableText($p_cl);
	  unset($p_cl);
	  $cl->cellDummy("8","");
    }

	(!$cnt) ? (($in[0][text] = "Keine Events hinterlegt") && ($in[0][colspan] = 8) && ($cl->cellsTop($in))) : ($dummy);
  }
  elseif ($cmd == 'admin_overview')
  {
	$cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change","");
	$opts[key]   = 'date';

	(!$mon && !$day && !$year) ? ($opts[value] = $cevent->privGetDate()) : ($opts[value] = $day.".".$mon.".".$year);

	$opts[order_1] = 'time';
	$myevents = $cevent->getEvents($opts);
	for ($cnt = 0;$cnt<count($myevents);$cnt++)
	{
	  $cl->cells2Noopt("Uhrzeit",$myevents[$cnt][time],"out");
	  $cl->cells2Noopt("Betreff",$myevents[$cnt][subject],"out");
	  $cl->cells2Noopt("Location",$myevents[$cnt][location],"out");
	  $cl->cells2Noopt("Beschreibung",$myevents[$cnt][desc],"out");
	  $cl->cells2Noopt("Von",$myevents[$cnt][username],"out");
	  $cl->cells2Noopt("Lschen","<input type=checkbox name=in_todel[] value=".$myevents[$cnt][id].">","out");
	  $cl->cellDummy("2","");
	}

	(!$cnt) ? (($in[0][text] = "Keine Events hinterlegt") && ($in[0][colspan] = 2) && ($cl->TableText($in))) : ($dummy);

	if (session_is_registered("active_login"))
	{
	  $p_cl[0][colspan] = 2;
	  $p_cl[0][text] = "Event fr ".$opts[value]." eintragen";
      $cl->cellsTop($p_cl);

	  $opts[intervall] = 10;
	  $cl->cells2Noopt("Uhrzeit",$cevent->createTimeMenu($opts),"out");
	  $cl->cells2Noopt("berschrift","<input type=text name=in_subject>","out");
	  $cl->cells2Noopt("Ort","<input type=text name=in_location>","out");
	  $cl->cells2Noopt("Beschreibung","<textarea name=in_desc cols=35 rows=7></textarea>","out");;
	  $cl->FormHidden("in_date",$day.".".$mon.".".$year);
	  $cl->FormSubmit("2","Event eintragen");
  	}
  }
  elseif ($cmd == 'cmd_update')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

    if ($what == 'change')
    {
      if ($in_subject && $in_location && in_desc)
      {
        $opts[username] = '::[CTH]Goldenhawk::';
        $opts[subject]  = $in_subject;
        $opts[location] = $in_location;
        $opts[desc] 	  = $in_desc;
        $opts[date]     = $in_date;
	    $opts[time] 	  = $in_hour.":".$in_min;
	    $cevent->addEvent($opts);
	  }
	  if ($in_todel)
	  {
	    $cevent->deleteEvents($in_todel);
	  }
	}
	printDanke();
  }
  // XML::COMMENT (Standard-Errorstring)
  else
  {
    faultExt("Diese String ist nicht registriert");
  }

?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
