<?php session_start(); ?>

<?
  // XML::MODUL   (phpServer for PHP)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Verwaltung und Anzeige der Server)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpServer";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpServer.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]     = 0;
  $opts[showedname] = "Server im LAN";
  $opts[active] 	= 1;
  $opts[url] 		= "phpServer.php?cmd=show_servers";
  $opts[desc] 		= "Server im LAN anzeigen";
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Server verwalten";
  $opts[admindesc]  = "Hier knnen Server verwaltet werden";

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpServer.php";
  $opts[insertin]   = "mainmenu";
  $opts[online]     = 0;
  $opts[showedname] = "Gameservers";
  $opts[active] 	= 1;
  $opts[url] 		= "phpServer.php?cmd=show_gameservers";
  $opts[desc] 		= "Aktuell laufende Spiele anzeigen";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (Variablen fr das 2. Modul festlegen)
  $opts[uid] 	    = "phpServer.php";
  $opts[insertin]   = "usermenu";
  $opts[online]     = 0;
  $opts[showedname] = "Eigenen Server verwalten";
  $opts[active] 	= 1;
  $opts[url] 		= "phpServer.php?cmd=user_overview";
  $opts[desc] 		= "Eigenen Server verwalten";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. fr Administrator festlegen)
  $adminmenu = array();
  $adminmenu[0][showedname] = "Server lschen";
  $adminmenu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  $adminmenu[1][showedname] = "Server hinzufgen";
  $adminmenu[1][link]	    = "$PHP_SELF?cmd=admin_add";
  global $adminmenu;

  // XML::COMMENT (einzelne Menpunkte u.. fr User festlegen)
  $usermenu = arraY();
  $usermenu[0][showedname] = "Server ndern";
  $usermneu[0][link]	   = "$PHP_SELF?cmd=user_overview";
  global $usermneu;


  // XML::COMMENT (Servertypen festlegen)
  $servers =  array("HTTP-Server","FTP-Server","IRC-Server","Streaming-Server","Counter-Strike","Quake3:Arena","Return to Castle Wolfenstein","Quake2","Tribes","Tribes2","Halo","StarCraft","Command & Conquer","Age of Empires","Age of Empires 2","UnrealTournament");
  global $servers;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }

?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Server";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($adminmenu,"admin");
  }

  // XML::COMMENT (Falls User eingeloggt und ein Userbereich aufgerufen ist)
  if ((preg_match("/user_/i",$cmd,$ret)) && session_is_registered("active_userlogin"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($usermenu,"user");
  }

  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Sicherheitsabfrage, ob der User dem System bekannt ist)
  (!session_is_registered("active_userlogin")) ? (faultExt("Um diesen Service nutzen zu knnen, musst du angemeldet sein")) : ($dummy);

  // XML::COMMENT (Server im LAN anzeigen)
  if ($cmd == 'show_servers')
  {
	$opts[FLAG] = "FLAG_ALL";
	$server = $cserver->getServer($opts);
	// XML::COMMENT (Falls Server vorhanden sind)
	if ($server)
	{
	  $p_cl[0][text] = "IP";
	  $p_cl[1][text] = "Typ";
	  $p_cl[2][text] = "Weiteres";
	}
	else
	{
	  $p_cl[0][text] = "Keine Server vorhanden oder eingetragen";
	}
	$cl->cellsTop($p_cl);


	for($cnt=0;$cnt<count($server);$cnt++)
	{
	  $p_cl[0][text] 	= $server[$cnt][ip];
	  $p_cl[0][p_class] = "left";
	  $p_cl[1][text] 	= $server[$cnt][usedas];
	  $p_cl[1][p_class] = "left";
	  $p_cl[2][text] 	= "<a href=\"phpServer.php?cmd=show_serverdetail&id=".$server[$cnt][id]."\">Weiteres</a>";
	  $p_cl[2][p_class] = "left";
	  $cl->TableText($p_cl);
	}
  }

  // XML::COMMENT (Gameserver mittels Plugin anzeigen)
  elseif ($cmd == 'show_gameservers')
  {
    $p_cl[0][text] = "Fr die korrekte Anzeige der Server bentigt ihr das <a href=\"download/npq3plug.zip\">npq3-Plugin</a>.";
	$cl->cellsTop($p_cl);
	$cl->cellDummy("1","");

	$npq3_server = array('Counter-Strike'=>'hl','UnrealTournament'=>'ut','Return to Castle Wolfenstein'=>'q3','Quake3:Arena'=>'q3','Tribes2'=>'t2');

	while(list($key,$val) = each($npq3_server))
	{
	  // XML::COMMENT (Hinweis ausgeben, dass man das npq3-Plugin bentigt)
	  $opts[FLAG] = "FLAG_TYPE";
	  $opts[type] = $key;
	  $server = $cserver->getServer($opts);
	  // XML::COMMENT (Falls Q3A-Server vorhanden sind)
	  if ($server)
	  {
	    for($cnt=0;$cnt<count($server);$cnt++)
	    {
	      $p_cl[0][text] = "<embed width=\"400\" height=\"200\" type=\"application/x-q3plug-plugin\" name=\"".$server[$cnt][ip]."\" game=\"".$val."\"  pluginspage=\"http://nem3d.net/q3plug\">";
		  $p_cl[0][p_class] = "center";
		  $found = 1;
		  $cl->TableText($p_cl);
		  $cl->cellDummy("1","");
	    }
		$cl->cellDummy("1","");
	  }
	}
	(!$found) ? (($in[0][text] = "Keine Gameserver vorhanden oder eingetragen") && ($cl->cellsTop($in))) : ($dummy);
  }
  // XML::COMMENT (einzelnen Server im Detail anzeigen)
  elseif ($cmd == 'show_serverdetail')
  {
	$opts[FLAG] = "FLAG_ID";
	$opts[id]   =  $id;
	$myserver = $cserver->getServer($opts);

	$p_cl[0][text]    = $myserver[0][ip];
	$p_cl[0][colspan] = 2;
	$cl->cellsTop($p_cl);

	$cl->cells2Noopt("DNS-Adresse",$myserver[0][dns],"out");
	$cl->cells2Noopt("Typ",$myserver[0][usedas],"out");
	$cl->cells2Noopt("Besitzer",$myserver[0][username],"out");
	$cl->cells2Noopt("Beschreibung",$myserver[0][desc],"out");
	$cl->cells2Noopt("Benutzername f. Server",$myserver[0][srv_username],"out");
	$cl->cells2Noopt("Passwort f. Server",$myserver[0][srv_pw],"out");
  }

  // XML::COMMENT (Administrationsbereich)
  elseif ($cmd == 'user_overview')
  {
    (!session_is_registered("active_userlogin")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=userchange","");

	$opts[FLAG] = "FLAG_USER";
	$opts[username] = $active_username;
	$myserver = $cserver->getServer($opts);

	$out[0][text] = "Typ";
	$out[1][text] = "<select name=in_usedas>";

	for($cnt = 0;$cnt<count($servers);$cnt++)
	{
	  if ($servers[$cnt] == $myserver[0][usedas])
	  {
	    $out[1][text] .= "  <option selected value=\"".$servers[$cnt]."\">".$servers[$cnt]."</option>\n";
		$wasfound = 1;
	  }
	  else
	  {
	    $out[1][text] .= "  <option value=\"".$servers[$cnt]."\">".$servers[$cnt]."</option>\n";
	  }
	}

	(!$wasfound && $myserver[0][usedas] != '') ? ($out[1][text] .= "<option value=\"".$myserver[0][usedas]."\" selected>".$myserver[0][usedas]."</option>") : ($dummy);
	($myserver[0][usedas] == '') ? ($out[1][text] .= "<option value=\"no\" selected>Kein Server</option>") : ($out[1][text] .= "<option value=\"no\">Kein Server</option>");
	$out[1][text] .=  "<option value=\"new\">Neuer Typ</option></select><input type=text name=in_newserver>";
	$cl->TableText($out);

	$cl->FormHidden("in_id",$myserver[0][id]);

	$ip_port = split(":",$myserver[0][ip]);
	$out[0][text] = "IP:Port";
	$out[1][text] = "<input type=text name=in_ip value=\"".$ip_port[0]."\">:<input type=text name=in_port value=\"".$ip_port[1]."\" size=5 maxlength=5>";
	$cl->TableText($out);

	$out[0][text] = "DNS";
	$out[1][text] = "<input type=text name=in_dns value=\"".$myserver[0][dns]."\">";
	$cl->TableText($out);

	$out[0][text] = "Benutzername f. Server";
	$out[1][text] = "<input type=text name=in_srv_username value=\"".$myserver[0][srv_username]."\">";
	$cl->TableText($out);

	$out[0][text] = "Passwort f. Server";
	$out[1][text] = "<input type=text name=in_srv_pw value=\"".$myserver[0][srv_pw]."\">";
	$cl->TableText($out);

	$out[0][text] = "Kommentar";
	$out[1][text] = "<textarea name=in_comment cols=35 rows=7>".$myserver[0][desc]."</textarea>";
	$cl->TableText($out);

	$cl->FormSubmit("3","");
  }
  // XML::COMMENT (Administrationsbereich)
  elseif ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=delete","");

	$server = $cserver->getServer($opts);

	for ($cnt = 0;$cnt<count($server);$cnt++)
	{
	  $p_cl[0][text] 	= "<input type=checkbox name=in_todel[] value=\"".$server[$cnt][id]."\">";
	  $p_cl[0][p_class] = "option";
	  $p_cl[1][text]    = $server[$cnt][usedas];
	  $p_cl[1][p_class]	= "left";
	  $p_cl[2][text]    = $server[$cnt][username];
	  $p_cl[2][p_class] = "left";
	  $cl->TableText($p_cl);
  	}
	(!$cnt) ? (($in[0][text] = "Keine Server vorhanden") && ($cl->TableText($in))) : ($cl->FormSubmit("3","Ausgewhlte Server lschen"));
  }
  // XML::COMMENT (Server hinzufgen)
  elseif ($cmd == 'admin_add')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=add","");


	$out[0][text] = "Typ";
	$out[1][text] = "<select name=in_usedas>";

	for($cnt = 0;$cnt<count($servers);$cnt++)
	{
      $out[1][text] .= "  <option value=\"".$servers[$cnt]."\">".$servers[$cnt]."</option>\n";
	}

	$out[1][text] .=  "<option value=\"new\">Neuer Typ</option></select><input type=text name=in_newserver>";
	$cl->TableText($out);

	$out[0][text] = "IP:Port";
	$out[1][text] = "<input type=text name=in_ip value=\"".$GLOBALS['REMOTE_ADDR']."\">:<input type=text name=in_port size=5 maxlength=5>";
	$cl->TableText($out);

	$out[0][text] = "DNS";
	$out[1][text] = "<input type=text name=in_dns>";
	$cl->TableText($out);

	$out[0][text] = "Benutzername f. Server";
	$out[1][text] = "<input type=text name=in_srv_username>";
	$cl->TableText($out);

	$out[0][text] = "Passwort f. Server";
	$out[1][text] = "<input type=text name=in_srv_pw>";
	$cl->TableText($out);

	$out[0][text] = "Kommentar";
	$out[1][text] = "<textarea name=in_comment cols=35 rows=7></textarea>";
	$cl->TableText($out);

	$cl->FormSubmit("3","Server hinzufgen");
  }
  elseif ($cmd == 'cmd_update')
  {
    if ($what == 'add')
    {
      (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

      (($in_usedas == 'new') && ($in_newserver != '')) ? ($in_usedas = $in_newserver) : ($dummy);
	  (($in_usedas == 'new') && ($in_newserver == '')) ? ($in_usedas = "Nicht definert") : ($dummy);
      (!$cfunc->checkIPAddress($in_ip)) ? (faultExt("Die IP-Adresse besitzt kein gltiges Format.")) : ($dummy);
	  ($in_port) ? ($in_ip .= ":$in_port") : ($dummy);

	  $in_usedas = htmlentities($in_usedas);
	  $in_comment = htmlentities($in_comment);

      $opts = array("ip"=>$in_ip,"usedas"=>$in_usedas,"dns"=>$in_dns,"srv_username"=>$in_srv_username,"srv_pw"=>$in_srv_pw,"comment"=>$in_comment);
      $cserver->addServer($opts);
    }
    elseif ($what == 'delete')
    {
      (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

      for ($cnt = 0;$cnt<count($in_todel);$cnt++)
      {
        $cserver->deleteServer($in_todel[$cnt]);
      }
	}
	elseif ($what == 'userchange')
	{
      (!session_is_registered("active_userlogin")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

      (($in_usedas == 'new') && ($in_newserver != '')) ? ($in_usedas = $in_newserver) : ($dummy);
	  (($in_usedas == 'new') && ($in_newserver == '')) ? ($in_usedas = "Nicht definert") : ($dummy);
      (!checkIPAddress($in_ip)) ? (faultExt("Die IP-Adresse besitzt kein gltiges Format.")) : ($dummy);

	  if ($in_usedas == 'no' )
	  {
        if ($in_id)
        {
	      $cserver->deleteServer($in_id);
	  	}
	  }
      elseif ($in_usedas != 'no' && ($in_id != '0' || $in_id != ''))
      {
        $in_ip .= ":".$in_port;

		$in_usedas = htmlentities($in_usedas);
		$in_comment = htmlentities($in_comment);

        $opts = array("ip"=>$in_ip,"usedas"=>$in_usedas,"dns"=>$in_dns,"srv_username"=>$in_srv_username,"srv_pw"=>$in_srv_pw,"comment"=>$in_comment,"id"=>$in_id,"username"=>$active_username);
		if ($in_id)
		{
 	      $cserver->setServer($opts);
        }
        else
        {
	      $cserver->addServer($opts);
	  	}
	  }
	}
    printDanke();
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>