<?php session_start(); ?>

<?
  // XML::MODUL   (phpStats)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (phpStats zeigt die laufenden Statistiken an)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpStats";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
  include("./classes/CCore.php");

 // XML::COMMENT (Variablen fr das 3. Modul festlegen)
  $opts[uid] 	    = "phpStats.php";
  $opts[insertin]   = "";
  $opts[active] 	= 1;
  $opts[is_admin]   = 1;
  $opts[adminname] 	= "Statistiken anzeigen";
  $opts[admindesc]  = "Statistiken anzeigen";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Statistiken anzeigen";
  $menu[0][link] = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Softwareinformationen";
  $menu[1][link] = "$PHP_SELF?cmd=admin_software";

  global $menu;

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Statistiken";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
	$cdesign->createModulesMenu($menu,"admin");
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  // XML::COMMENT (Statistiken anzeigen)
  if ($cmd == 'admin_overview')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

	$my_stat = $cstat->getChrystalStats();

	$cl->cells2Noopt("Aufruf des Intranetsystems",$settings['lan.hasviewed'],"out");
	$cl->cells2Noopt("Registrierte User",$cuser->getTotalUsers(),"out");
	$cl->cells2Noopt("Gepostete News",$my_stat[news],"out");
	$cl->cells2Noopt("Abgegebene Votings",$cvote->getTotalVotes(),"out");
	$cl->cells2Noopt("Gepostete Kommentare",$my_stat[comments],"out");
	$cl->cells2Noopt("Erfolgreiche Logins",$my_stat[logins],"out");
	$cl->cells2Noopt("Fehlgeschlagene Logins",$my_stat[flogins],"out");

	// XML::COMMENT (Falls Apache als Server verwendet wird)
	$info = $cstat->getSoftwareInfo();

	if ($info['webserver.is_apache'])
	{	  
	  if ($apache = $cstat->getApacheStatus($noopt))
	  {
	    $opts[seconds] = $apache[uptime];
	    $cl->cells2Noopt("Apache: Uptime",$cevent->secondsToDate($opts),"out");
	    $cl->cells2Noopt("Apache: Seitenzugriffe seit Uptime",$apache[total_access],"out");
	    $cl->cells2Noopt("Apache: bertragene Daten",$apache[trans_kbyte]." KByte","out");
	    $cl->cells2Noopt("Apache: Laufende Server-Threads",$apache[threads_running]."/".$apache[idle],"out");
	  }
	}

	$mysql = $cstat->getMySQLStatus($noopt);
	$opts[seconds] = $mysql[uptime];
	$cl->cells2Noopt("MySQL: Uptime",$cevent->secondsToDate($opts),"out");
	$cl->cells2Noopt("MySQL: Verbindungen",$mysql[connections],"out");
	$cl->cells2Noopt("MySQL: Abgebrochene Verbindungen",$mysql[aborted_connects],"out");
	$cl->cells2Noopt("MySQL: Laufende Server-Threads",$mysql[threads_running],"out");

	if ($cfunc->getCurrentOS == 'linux')
	{
	  $my_usage = getrusage();
	  while(list($key, $val) = each($my_usage))
	  {
 	    $cl->cells2Noopt("Linux: ".$key,$val,"out");
	  }
	}
  }
	// XML::COMMENT (Folgendes funktioniert nur mit der PHP-CSV 4 Version)
	// XML::CODE ($cl->cells2Noopt("Gre des gallery-Ordners","".disk_total_space("gallery") / 1024." KByte","out");)
  elseif ($cmd == 'admin_software')
  {
    (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);
	$info = $cstat->getSoftwareInfo();
	$cl->cells2Noopt("MySQL: Version",$info['mysql.version'],"out");
	$cl->cells2Noopt("MySQL: Protokoll",$info['mysql.protocol'],"out");
	$cl->cells2Noopt("PHP: Version (original)",$info['php.version.original'],"out");
	$cl->cells2Noopt("PHP: Version (intern)",$info['php.version.intern'],"out");
	$cl->cells2Noopt("Webserver: Software",$info['webserver.software'],"out");
	$cl->cells2Noopt("Webserver: Name",$info['webserver.name'],"out");
	$cl->cells2Noopt("Webserver: Adresse",$info['webserver.addr'].":".$info['webserver.port'],"out");
	$cl->cells2Noopt("Betriebssystem",$info['os.name'],"out");
  }
  else
  {
    faultExt("Dieser String ist nicht registriert.");
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
