<?php session_start(); ?>

<?
  // XML::MODUL   (phpTurnierAdmin)
  // XML::VERSION (0.035)
  // XML::AUTHOR  (::[CTH]Goldenhawk::)
  // XML::INFO    (Administrationsmodul fr Turnierverwaltung)


  // XML::COMMENT (Vesrion, Name und Autor festlege)
  $VERSION = "0.035";
  $NAME    = "phpTurnierAdmin";
  $AUTHOR  = "::[CTH]Goldenhawk::";

  // XML::COMMENT (Variablen laden)
   include("./classes/CCore.php");

  // XML::COMMENT (Variablen fr das Modul festlegen)
  $opts[uid] 	    = "phpTurnierAdmin.php";
  $opts[active] 	= 1;
  $opts[online]     = 0;
  $opts[is_admin]   = 1;
  $opts[adminname]  = "Turnierverwaltung";
  $opts[admindesc]  = "Turniere verwalten";

  // XML::COMMENT (Modul registrieren & $opts-Array lschen)
  $cmod->registerMod($opts);
  unset($opts);

  // XML::COMMENT (einzelne Menpunkte u.. festlegen)
  $menu = array();
  $menu[0][showedname] = "Neues Turnier";
  $menu[0][link]       = "$PHP_SELF?cmd=admin_overview";
  $menu[1][showedname] = "Turniere lschen";
  $menu[1][link]	   = "$PHP_SELF?cmd=admin_delete";
  $menu[2][showedname] = "Turniere verwalten";
  $menu[2][link]	   = "$PHP_SELF?cmd=admin_change";
  global $menu;

  // XML::COMMENT (Spiele festlegen)
  $games = array("Counter-Strike","Day of Defeat","Return to Castle Wolfenstein","Quake3:Arena","UnrealTournament","Alien vs. Predator","Command & Conquer 3","Halo","StarCraft");
  global $games;

  // XML::COMMENT (Spiele festlegen)
  $teams = array("2","4","8","16","24","32","48","64");
  global $teams;

  // XML::COMMENT (Spieltypen festlegen)
  $types = array('single' => 'Single Elimination', 'double' => 'Double Elimination', '2lifes' => '2 Lifes');

  // XML::FUNC::getInfo ($self->getInfo())
  // XML::DESC::getInfo (liefert Name, Autor und Version des Modules zurck)
  // XML::VERSION::getInfo  (1.0)
  // XML::RETURN::getInfo ($NAME,$AUTHOR,$VERSION)
  function getInfo()
  {
    global $VERSION,$NAME,$AUTHOR;

    return $NAME;
    return $AUTHOR;
    return $VERSION;
  }
?>

<?php
  // XML::COMMENT (Grundgerst der HTML-Seite ausgeben)
  // XML::COMMENT (Titel festlegen)
  $cdesign->var_szTitel = "Turnierverwaltung";

  // XML::COMMENT (Falls ein Update der Einstellung durchgefhrt wurde, wird automatisch weitergeleitet)
  ((preg_match("/cmd_update/i",$cmd,$ret)) || (preg_match("/cmd_userupdate/i",$cmd,$ret))) ? (($opts[ref] = 1) && ($opts[reftime] = 2) && ($cdesign->var_iAdmin = "1")) : ($opts[noopt]);

  // XML::COMMENT (Header,Titel etc. ausgeben)
  $cdesign->createSiteHeader($opts);

  // XML::COMMENT (Quickinfo etc. laden)
  $cdesign->createSiteLayers($opts);

  // XML::COMMENT (Falls Administrator eingeloggt ist und ein Administrationsbereich aufgerufen ist)
  if ((preg_match("/admin_/i",$cmd,$ret)) && session_is_registered("active_login"))
  {
    $opts[banner_links] = "images/adm.jpg";
  }
  // XML::COMMENT (Layer und Tabelle mit den Haupttexten erstellen)
  $cdesign->createInnerTable($opts);
?>

<?php
  (!session_is_registered("active_login")) ? (faultExt("Du bist nicht befugt diese Ressource zu nutzen.")) : ($dummy);

  // XML::COMMENT (Turnier hinzufgen)
  if ($cmd == 'admin_overview')
  {
	// XML::COMMENT (Nenu erst jetzt erstellen)
	$cdesign->createModulesMenu($menu,"admin");

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=add","");

	// XML::COMMENT (Server festlegen)
	$cl->cells2Noopt("Adresse des Game-Servers","<input type=text name=in_server>","out");

	// XML::COMMENT (Server festlegen)
	$cl->cells2Noopt("Passwort des Game-Servers","<input type=text name=in_pw>","out");

    // XML::COMMENT (Welches Spiel gespielt wird)
    for ($cnt = 0;$cnt<count($games);$cnt++)
    {
      $in .= "<option value=\"$games[$cnt]\">$games[$cnt]</option>\n";
	}
	$cl->cells2Noopt("Spiel","<select name=in_game>$in</select>","out");
	unset($in);

	$cl->cells2Noopt("Punktebewertung","<select name=in_rs><option value=\"asis\">Nach eingegebener Punktzahl</option><option value=\"soccer\">Bundesligabewertung</option></select>","out");

	// XML::COMMENT (Wieviel gegen wieviel => legt automatisch die Teamgre fest)
	for ($cnt = 1;$cnt<=16;$cnt++)
	{
	  $in .= "<option value=\"$cnt\">".$cnt."on".$cnt."</option>\n";
	}
	$cl->cells2Noopt("Konstellation","<select name=in_constellation>$in</select>\n","out");
	unset($in);

	$cl->cells2Noopt("Turnierbeginn",$cevent->createDateMenu($noopt).", ".$cevent->createTimeMenu($noopt)." Uhr","out");
	unset($in);

	// XML::COMMENT (Maximale Anzahl von Teams festlegen)
	for ($cnt = 0;$cnt<count($teams);$cnt++)
	{
	  $in .= "      <option value=\"$teams[$cnt]\">$teams[$cnt]</option>\n";
	}
	$cl->cells2Noopt("Max. Teams","<select name=in_max_teams>$in</select>","out");
	unset($in);

	// XML::COMMENT (Spieltypen festlegen)
	while(list($key,$val) = each($types))
	{
	  $in .= "      <option value=\"$key\">$val</option>\n";
	}
	$cl->cells2Noopt("Spieltyp","<select name=in_typ>$in</select>","out");
	unset($in);

	// XML::CODE ($cl->cells2Noopt("Mappool verwenden","<input type=checkbox value=1 name=in_use_mappool>","out");)

	// XML::COMMENT (Spieltypen festlegen)
	$cl->cells2Noopt("Regelwerk (HTML erlaubt)","<textarea name=in_rules cols=35 rows=7></textarea>","out");
	unset($in);


	// XML::COMMENT (Nur Administrator darf Ergebnisse von Spielen eintragen)
	$cl->cells2Noopt("Nur Admin darf Spiele eintragen","<input type=checkbox name=in_only_admin value=1>","out");

	// XML::COMMENT (WWCL-Punktebewertung)
	$cl->cells2Noopt("Nach Beendigung WWCL-Ranking berechnen","<input type=checkbox name=in_wwcl value=1>","out");

	// XML::COMMENT (Was soll geschehen, wenn ein Turnier wgn. zu wenig Teilnehmern nicht stattfindet?)
	$cl->cells2Noopt("Turnier bei Ablauf der Frist und zu wenig angemeldeten Spielern lschen?","<input type=checkbox name=in_datl value=1>","out");

    $cl->FormSubmit("2","Turnier erstellen");
  }
  elseif ($cmd == 'admin_delete')
  {
	// XML::COMMENT (Nenu erst jetzt erstellen)
	$cdesign->createModulesMenu($menu,"admin");

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=delete","");
	$opts[noopt] = 1;

	$ar = $ctourn->getTourneys($opts);

	for($cnt = 0;$cnt<count($ar);$cnt++)
	{
	  $tset = $ctourn->getTSettings($ar[$cnt][tourneyid]);

	  $p_cl[0][text] = "<input type=checkbox name=in_todel[] value=".$ar[$cnt][id].">";
	  $p_cl[1][text] = $tset[game];
	  $p_cl[2][text] = $tset[constellation]."on".$tset[constellation];
	  $cl->TableText($p_cl);
	}

	(!$cnt) ? (($p_cl[0][text] = "Keine Turniere vorhanden oder eingetragen") && ($cl->cellsTop($p_cl))) : ($cl->FormSubmit("3","Ausgewhlte Turniere lschen"));
  }
  elseif ($cmd == 'admin_change')
  {
	// XML::COMMENT (Nenu erst jetzt erstellen)
	$cdesign->createModulesMenu($menu,"admin");

	if (!$tid)
	{
	  $p_cl[0][text] = "Turnier";
	  $p_cl[1][text] = "ndern";
	  $cl->cellsTop($p_cl);
	  unset($opts,$out);

	  $ar = $ctourn->getTourneys($opts);

	  for ($cnt = 0;$cnt<count($ar);$cnt++)
	  {
	    $tset = $ctourn->getTSettings($ar[$cnt][tourneyid]);
	    $p_cl[0][text] = $tset[game]." ".$tset[constellation]."on".$tset[constellation].", Start am ".$cevent->convertTStoDB($tset[starttime])." Uhr";
	    $p_cl[1][text] = "<a href=\"$PHP_SELF?cmd=admin_change&tid=".$ar[$cnt][tourneyid]."\">ndern</a>";
	    $cl->TableText($p_cl);
	  }

	  unset($p_cl);
	  (!$cnt) ? (($p_cl[0][text] = "Keine Turniere vorhanden oder eingetragen") && ($p_cl[0][colspan] = 2) && ($cl->cellsTop($p_cl))) : ($dummy);
	}
	// XML::COMMENT (TID wurde angegeben, also Turniersettings laden)
	else
	{
      $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=change&tid=$tid","");

	  $tset = $ctourn->getTSettings($tid);
	  $cl->cells2Noopt("Adresse des Gameservers","<input type=in_gameserver value=\"".$tset[gameserver]."\">","out");

      // XML::COMMENT (Welches Spiel gespielt wird)
      for ($cnt = 0;$cnt<count($games);$cnt++)
      {
        ($games[$cnt] == $tset[game]) ? ($out = "selected") : ($out = '');
        $in .= "<option value=\"$games[$cnt]\">$games[$cnt]</option>\n";
	  }
	  $cl->cells2Noopt("Spiel","<select name=in_game>$in</select>","out");
	  unset($in);

	  $cl->cells2Noopt("Punktebewertung","<select name=in_rs><option value=\"asis\">Nach eingegebener Punktzahl</option><option value=\"soccer\">Bundesligabewertung</option></select>","out");

	  // XML::COMMENT (Wieviel gegen wieviel => legt automatisch die Teamgre fest)
	  for ($cnt = 1;$cnt<=16;$cnt++)
	  {
	    ($cnt == $tset[constellation]) ? ($out = "selected") : ($out = '');
	    $in .= "<option value=\"$cnt\" $out>".$cnt."on".$cnt."</option>\n";
	  }
      $cl->cells2Noopt("Konstellation","<select name=in_constellation>$in</select>\n","out");
	  unset($in);

	  $cl->cells2Noopt("Turnierbeginn",$cevent->createDateMenu($noopt).", ".$cevent->createTimeMenu($noopt)." Uhr","out");
	  unset($in);

	  // XML::COMMENT (Maximale Anzahl von Teams festlegen)
	  for ($cnt = 0;$cnt<count($teams);$cnt++)
	  {
	    ($teams[$cnt] == $tset[max_teams]) ? ($out = "selected") : ($out = '');
	    $in .= "      <option value=\"$teams[$cnt]\" $out>$teams[$cnt]</option>\n";
	  }
	  $cl->cells2Noopt("Max. Teams","<select name=in_max_teams>$in</select>","out");
	  unset($in);

	  // XML::COMMENT (Spieltypen festlegen)
	  while(list($key,$val) = each($types))
	  {
	    ($key == $tset[tourneytype]) ? ($out = 'selected') : ($out = '');
	    $in .= "      <option value=\"$key\" $out>$val</option>\n";
	  }
	  $cl->cells2Noopt("Spieltyp","<select name=in_typ>$in</select>","out");
	  unset($in);

	  // XML::COMMENT (Spieltypen festlegen)
	  $cl->cells2Noopt("Regelwerk (HTML erlaubt)","<textarea name=in_rules cols=35 rows=7>".$tset[rules]."</textarea>","out");
	  unset($in);

	  // XML::COMMENT (Nur Administrator darf Ergebnisse von Spielen eintragen)
	  ($tset[sfoa]) ? ($out = "checked") : ($out = '');
	  $cl->cells2Noopt("Nur Admin darf Spiele eintragen","<input type=checkbox name=in_only_admin value=1 $out>","out");
	  $cl->cells2Noopt("Teams kicken","<a href=\"$PHP_SELF?cmd=admin_kick&tid=$tid\">Auswahlliste</a>","out");
      $cl->FormSubmit("2","Turniereinstellungen bernehmen");
	}
  }
  elseif ($cmd == 'admin_kick')
  {
    $opts[key]   = 'tourneyid';
    $opts[value] = $tid;
    $my_teams = $ctourn->getTeams($opts);

    $cl->FormNew("$PHP_SELF?cmd=cmd_update&what=kick&tid=$tid","");

    for ($cnt = 0;$cnt<count($my_teams);$cnt++)
    {
      $p_cl[0][p_class] = 'option';
      $p_cl[0][text]	= "<input type=checkbox name=in_tokick value=\"".$my_teams[$cnt][id]."\">";
      $p_cl[1][p_class] = 'right';
      $p_cl[1][text]    = "<a href=\"phpTurnierIndex.php?cmd=show_details&what=team&id=$tid\">".$my_teams[$cnt][teamname]."</a>";
      $cl->TableText($p_cl);
	}

	unset($p_cl);
	(!$cnt) ? (($p_cl[0][text] = "Keine Teams angemeldet") && ($cl->cellsTop($p_cl))) : ($cl->FormSubmit("2","Ausgewhlte Teams kicken"));
  }
  elseif ($cmd == 'cmd_update')
  {
    if ($what == 'add')
    {
	  (!checkdate($in_month,$in_day,$in_year)) ? ($cfunc->faultExt("Das angegebene Datum ist unglitg.")) : ($dummy);
	  $starttime = $in_day.".".$in_month.".".$in_year.", ".$in_hour.":".$in_min.":00";

	  $opts[starttime] 	   = $cevent->convertDBtoTS($starttime);
  	  $opts[gameserver]    = $in_server;
  	  $opts[game]		   = $in_game;
  	  $opts[constellation] = $in_constellation;
  	  $opts[max_teams]	   = $in_max_teams;
  	  $opts[rules]		   = $in_rules;
  	  $opts[sfoa]		   = $in_only_admin;
	  $opts[tourneytype]   = $in_typ;
	  $opts[rs]  		   = $in_rs;
	  $opts[wwcl]		   = $in_wwcl;
	  $opts[pw]			   = $in_pw;
	  
	  if ($settings['lan.scs.activated'])
	  {
	     $cscs->rpcCall("tournament.game.new",$norpcopts);
		 $opts[scs_id] = $cscs->rpcResult['gameid'];
	  }
	  
	  // XML::COMMENT (datl = delete after time limit)
	  $opts[datl]		   = $in_datl;

	  // XML::CODE ($opts[mappool]	   = $in_use_mappool;)
	  $ctourn->addTourney($opts);
	}
	elseif ($what == 'change')
	{
	  (!$tid) ? ($cfunc->faultExt("Es muss eine Tourney-ID angegeben werden.")) : ($dummy);

	  $opts[tourneyid] = $tid;

	  $starttime = $in_day.".".$in_month.".".$in_year.", ".$in_hour.":".$in_min.":00";
	  $opts[key]   = 'starttime';
	  $opts[value] = $cevent->convertDBtoTS($starttime);

	  $opts[key]   = 'gameserver';
	  $opts[value] = $in_gameserver;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'game';
	  $opts[value] = $in_game;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'rs';
	  $opts[value] = $in_rs;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'constellation';
	  $opts[value] = $in_constellation;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'max_teams';
	  $opts[value] = $in_max_teams;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'typ';
	  $opts[value] = $in_typ;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'rules';
	  $opts[value] = $in_rules;
	  $ctourn->setTSettings($opts);

	  $opts[key]   = 'sfoa';
	  $opts[value] = $in_sfoa;
	  $ctourn->setTSettings($opts);
	}
	elseif ($what == 'delete')
	{
	  $ctourn->deleteTourneys($in_todel);
	}
	elseif ($what == 'kick')
	{
	  $opts[tourneyid] = $tid;

	  for ($cnt = 0;$cnt<count($in_tokick);$cnt++)
	  {
	    $opts[id] = $in_tokick[$cnt];
	    $cmatch->kickTeamFromRunningMatch($opts);
	  }
	}
	printDanke();
  }
?>

<?php
  // XML::COMMENT (Seite abschlieen)
  $cdesign->createSiteFooter($opts);
?>
